// bup_qsys_merlin_slave_translator_0.v

// Generated using ACDS version 17.0 236

`timescale 1 ps / 1 ps
module bup_qsys_merlin_slave_translator_0 (
		output wire [7:0]  av_address,        //      avalon_anti_slave_0.address
		output wire        av_write,          //                         .write
		output wire        av_read,           //                         .read
		input  wire [31:0] av_readdata,       //                         .readdata
		output wire [31:0] av_writedata,      //                         .writedata
		input  wire        av_waitrequest,    //                         .waitrequest
		input  wire [31:0] uav_address,       // avalon_universal_slave_0.address
		input  wire [3:0]  uav_burstcount,    //                         .burstcount
		input  wire        uav_read,          //                         .read
		input  wire        uav_write,         //                         .write
		output wire        uav_waitrequest,   //                         .waitrequest
		output wire        uav_readdatavalid, //                         .readdatavalid
		input  wire [3:0]  uav_byteenable,    //                         .byteenable
		output wire [31:0] uav_readdata,      //                         .readdata
		input  wire [31:0] uav_writedata,     //                         .writedata
		input  wire        uav_lock,          //                         .lock
		input  wire        uav_debugaccess,   //                         .debugaccess
		input  wire        clk,               //                      clk.clk
		input  wire        reset              //                    reset.reset
	);

	altera_merlin_slave_translator #(
		.AV_ADDRESS_W                   (8),
		.AV_DATA_W                      (32),
		.UAV_DATA_W                     (32),
		.AV_BURSTCOUNT_W                (4),
		.AV_BYTEENABLE_W                (4),
		.UAV_BYTEENABLE_W               (4),
		.UAV_ADDRESS_W                  (32),
		.UAV_BURSTCOUNT_W               (4),
		.AV_READLATENCY                 (0),
		.USE_READDATAVALID              (0),
		.USE_WAITREQUEST                (1),
		.USE_UAV_CLKEN                  (0),
		.USE_READRESPONSE               (0),
		.USE_WRITERESPONSE              (0),
		.AV_SYMBOLS_PER_WORD            (4),
		.AV_ADDRESS_SYMBOLS             (0),
		.AV_BURSTCOUNT_SYMBOLS          (0),
		.AV_CONSTANT_BURST_BEHAVIOR     (0),
		.UAV_CONSTANT_BURST_BEHAVIOR    (0),
		.AV_REQUIRE_UNALIGNED_ADDRESSES (0),
		.CHIPSELECT_THROUGH_READLATENCY (0),
		.AV_READ_WAIT_CYCLES            (1),
		.AV_WRITE_WAIT_CYCLES           (0),
		.AV_SETUP_WAIT_CYCLES           (0),
		.AV_DATA_HOLD_CYCLES            (0)
	) bup_qsys_merlin_slave_translator_0 (
		.clk                    (clk),               //                      clk.clk
		.reset                  (reset),             //                    reset.reset
		.uav_address            (uav_address),       // avalon_universal_slave_0.address
		.uav_burstcount         (uav_burstcount),    //                         .burstcount
		.uav_read               (uav_read),          //                         .read
		.uav_write              (uav_write),         //                         .write
		.uav_waitrequest        (uav_waitrequest),   //                         .waitrequest
		.uav_readdatavalid      (uav_readdatavalid), //                         .readdatavalid
		.uav_byteenable         (uav_byteenable),    //                         .byteenable
		.uav_readdata           (uav_readdata),      //                         .readdata
		.uav_writedata          (uav_writedata),     //                         .writedata
		.uav_lock               (uav_lock),          //                         .lock
		.uav_debugaccess        (uav_debugaccess),   //                         .debugaccess
		.av_address             (av_address),        //      avalon_anti_slave_0.address
		.av_write               (av_write),          //                         .write
		.av_read                (av_read),           //                         .read
		.av_readdata            (av_readdata),       //                         .readdata
		.av_writedata           (av_writedata),      //                         .writedata
		.av_waitrequest         (av_waitrequest),    //                         .waitrequest
		.av_begintransfer       (),                  //              (terminated)
		.av_beginbursttransfer  (),                  //              (terminated)
		.av_burstcount          (),                  //              (terminated)
		.av_byteenable          (),                  //              (terminated)
		.av_readdatavalid       (1'b0),              //              (terminated)
		.av_writebyteenable     (),                  //              (terminated)
		.av_lock                (),                  //              (terminated)
		.av_chipselect          (),                  //              (terminated)
		.av_clken               (),                  //              (terminated)
		.uav_clken              (1'b0),              //              (terminated)
		.av_debugaccess         (),                  //              (terminated)
		.av_outputenable        (),                  //              (terminated)
		.uav_response           (),                  //              (terminated)
		.av_response            (2'b00),             //              (terminated)
		.uav_writeresponsevalid (),                  //              (terminated)
		.av_writeresponsevalid  (1'b0)               //              (terminated)
	);

endmodule
