// eth_tse.v

// Generated using ACDS version 17.0 238

`timescale 1 ps / 1 ps
module eth_tse (
		input  wire [7:0]  avalon_slave_address,         //  avalon_slave_eth.address
		input  wire        avalon_slave_write,           //                  .write
		input  wire        avalon_slave_read,            //                  .read
		input  wire [31:0] avalon_slave_writedata,       //                  .writedata
		output wire [31:0] avalon_slave_readdata,        //                  .readdata
		output wire        avalon_slave_waitrequest,     //                  .waitrequest
		output wire [7:0]  avalon_slave_eth_address,     // avalon_slave_eth1.address
		output wire        avalon_slave_eth_write,       //                  .write
		output wire        avalon_slave_eth_read,        //                  .read
		output wire [31:0] avalon_slave_eth_writedata,   //                  .writedata
		input  wire [31:0] avalon_slave_eth_readdata,    //                  .readdata
		input  wire        avalon_slave_eth_waitrequest, //                  .waitrequest
		input  wire        clock_sink_clk,               //    clock_sink_eth.clk
		input  wire        reset_source_reset,           //    reset_sink_eth.reset
		output wire        reset_sink_eth_reset          //   reset_sink_eth1.reset
	);

	assign avalon_slave_readdata = avalon_slave_eth_readdata;

	assign avalon_slave_waitrequest = avalon_slave_eth_waitrequest;

	assign avalon_slave_eth_address = avalon_slave_address;

	assign avalon_slave_eth_read = avalon_slave_read;

	assign avalon_slave_eth_write = avalon_slave_write;

	assign avalon_slave_eth_writedata = avalon_slave_writedata;

	assign reset_sink_eth_reset = reset_source_reset;

endmodule
