	component q_sys_pio_0_user_led is
		port (
			clk        : in  std_logic                     := 'X';             -- clk
			out_port   : out std_logic_vector(7 downto 0);                     -- export
			reset_n    : in  std_logic                     := 'X';             -- reset_n
			address    : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- address
			write_n    : in  std_logic                     := 'X';             -- write_n
			writedata  : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			chipselect : in  std_logic                     := 'X';             -- chipselect
			readdata   : out std_logic_vector(31 downto 0)                     -- readdata
		);
	end component q_sys_pio_0_user_led;

	u0 : component q_sys_pio_0_user_led
		port map (
			clk        => CONNECTED_TO_clk,        --                 clk.clk
			out_port   => CONNECTED_TO_out_port,   -- external_connection.export
			reset_n    => CONNECTED_TO_reset_n,    --               reset.reset_n
			address    => CONNECTED_TO_address,    --                  s1.address
			write_n    => CONNECTED_TO_write_n,    --                    .write_n
			writedata  => CONNECTED_TO_writedata,  --                    .writedata
			chipselect => CONNECTED_TO_chipselect, --                    .chipselect
			readdata   => CONNECTED_TO_readdata    --                    .readdata
		);

