module q_sys_tb_fm (
		input  wire        clk,                  //   clk.clk
		output wire [26:0] tb_fm_address,        //   out.tb_fm_address
		inout  wire [15:0] tb_fm_data,           //      .tb_fm_data
		output wire [0:0]  flash_csn,            //      .flash_csn
		output wire [0:0]  flash_ren,            //      .flash_ren
		output wire [0:0]  flash_wen,            //      .flash_wen
		output wire [0:0]  flash_resetn,         //      .flash_resetn
		input  wire        reset,                // reset.reset
		input  wire        request,              //   tcs.request
		output wire        grant,                //      .grant
		input  wire [26:0] tcs_tb_fm_address,    //      .tb_fm_address_out
		input  wire [15:0] tcs_tb_fm_data,       //      .tb_fm_data_out
		input  wire        tcs_tb_fm_data_outen, //      .tb_fm_data_outen
		output wire [15:0] tcs_tb_fm_data_in,    //      .tb_fm_data_in
		input  wire [0:0]  tcs_flash_csn,        //      .flash_csn_out
		input  wire [0:0]  tcs_flash_ren,        //      .flash_ren_out
		input  wire [0:0]  tcs_flash_wen,        //      .flash_wen_out
		input  wire [0:0]  tcs_flash_resetn      //      .flash_resetn_out
	);
endmodule

