// q_sys_tb_fm.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module q_sys_tb_fm (
		input  wire        clk,                  //   clk.clk
		output wire [26:0] tb_fm_address,        //   out.tb_fm_address
		inout  wire [15:0] tb_fm_data,           //      .tb_fm_data
		output wire [0:0]  flash_csn,            //      .flash_csn
		output wire [0:0]  flash_ren,            //      .flash_ren
		output wire [0:0]  flash_wen,            //      .flash_wen
		output wire [0:0]  flash_resetn,         //      .flash_resetn
		input  wire        reset,                // reset.reset
		input  wire        request,              //   tcs.request
		output wire        grant,                //      .grant
		input  wire [26:0] tcs_tb_fm_address,    //      .tb_fm_address_out
		input  wire [15:0] tcs_tb_fm_data,       //      .tb_fm_data_out
		input  wire        tcs_tb_fm_data_outen, //      .tb_fm_data_outen
		output wire [15:0] tcs_tb_fm_data_in,    //      .tb_fm_data_in
		input  wire [0:0]  tcs_flash_csn,        //      .flash_csn_out
		input  wire [0:0]  tcs_flash_ren,        //      .flash_ren_out
		input  wire [0:0]  tcs_flash_wen,        //      .flash_wen_out
		input  wire [0:0]  tcs_flash_resetn      //      .flash_resetn_out
	);

	q_sys_tb_fm_altera_tristate_conduit_bridge_171_w23ni5y tb_fm (
		.clk                  (clk),                  //   input,   width = 1,   clk.clk
		.reset                (reset),                //   input,   width = 1, reset.reset
		.request              (request),              //   input,   width = 1,   tcs.request
		.grant                (grant),                //  output,   width = 1,      .grant
		.tcs_tb_fm_address    (tcs_tb_fm_address),    //   input,  width = 27,      .tb_fm_address_out
		.tcs_tb_fm_data       (tcs_tb_fm_data),       //   input,  width = 16,      .tb_fm_data_out
		.tcs_tb_fm_data_outen (tcs_tb_fm_data_outen), //   input,   width = 1,      .tb_fm_data_outen
		.tcs_tb_fm_data_in    (tcs_tb_fm_data_in),    //  output,  width = 16,      .tb_fm_data_in
		.tcs_flash_csn        (tcs_flash_csn),        //   input,   width = 1,      .flash_csn_out
		.tcs_flash_ren        (tcs_flash_ren),        //   input,   width = 1,      .flash_ren_out
		.tcs_flash_wen        (tcs_flash_wen),        //   input,   width = 1,      .flash_wen_out
		.tcs_flash_resetn     (tcs_flash_resetn),     //   input,   width = 1,      .flash_resetn_out
		.tb_fm_address        (tb_fm_address),        //  output,  width = 27,   out.tb_fm_address
		.tb_fm_data           (tb_fm_data),           //   inout,  width = 16,      .tb_fm_data
		.flash_csn            (flash_csn),            //  output,   width = 1,      .flash_csn
		.flash_ren            (flash_ren),            //  output,   width = 1,      .flash_ren
		.flash_wen            (flash_wen),            //  output,   width = 1,      .flash_wen
		.flash_resetn         (flash_resetn)          //  output,   width = 1,      .flash_resetn
	);

endmodule
