// q_sys_tb_fm_ps.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module q_sys_tb_fm_ps (
		input  wire        clk_clk,               //   clk.clk
		input  wire        reset_reset,           // reset.reset
		output wire        request,               //   tcm.request
		input  wire        grant,                 //      .grant
		output wire [26:0] tb_fm_address,         //      .tb_fm_address_out
		output wire [0:0]  flash_ren,             //      .flash_ren_out
		output wire [0:0]  flash_resetn,          //      .flash_resetn_out
		output wire [0:0]  flash_wen,             //      .flash_wen_out
		output wire [15:0] tb_fm_data,            //      .tb_fm_data_out
		input  wire [15:0] tb_fm_data_in,         //      .tb_fm_data_in
		output wire        tb_fm_data_outen,      //      .tb_fm_data_outen
		output wire [0:0]  flash_csn,             //      .flash_csn_out
		input  wire        tcs0_request,          //  tcs0.request
		output wire        tcs0_grant,            //      .grant
		input  wire [26:0] tcs0_address_out,      //      .address_out
		input  wire [0:0]  tcs0_read_n_out,       //      .read_n_out
		input  wire [0:0]  tcs0_reset_n_out,      //      .reset_n_out
		input  wire [0:0]  tcs0_write_n_out,      //      .write_n_out
		input  wire [15:0] tcs0_data_out,         //      .data_out
		output wire [15:0] tcs0_data_in,          //      .data_in
		input  wire        tcs0_data_outen,       //      .data_outen
		input  wire [0:0]  tcs0_chipselect_n_out  //      .chipselect_n_out
	);

	q_sys_tb_fm_ps_altera_tristate_conduit_pin_sharer_171_wl2dnti tb_fm_ps (
		.clk_clk               (clk_clk),               //   input,   width = 1,   clk.clk
		.reset_reset           (reset_reset),           //   input,   width = 1, reset.reset
		.request               (request),               //  output,   width = 1,   tcm.request
		.grant                 (grant),                 //   input,   width = 1,      .grant
		.tb_fm_address         (tb_fm_address),         //  output,  width = 27,      .tb_fm_address_out
		.flash_ren             (flash_ren),             //  output,   width = 1,      .flash_ren_out
		.flash_resetn          (flash_resetn),          //  output,   width = 1,      .flash_resetn_out
		.flash_wen             (flash_wen),             //  output,   width = 1,      .flash_wen_out
		.tb_fm_data            (tb_fm_data),            //  output,  width = 16,      .tb_fm_data_out
		.tb_fm_data_in         (tb_fm_data_in),         //   input,  width = 16,      .tb_fm_data_in
		.tb_fm_data_outen      (tb_fm_data_outen),      //  output,   width = 1,      .tb_fm_data_outen
		.flash_csn             (flash_csn),             //  output,   width = 1,      .flash_csn_out
		.tcs0_request          (tcs0_request),          //   input,   width = 1,  tcs0.request
		.tcs0_grant            (tcs0_grant),            //  output,   width = 1,      .grant
		.tcs0_address_out      (tcs0_address_out),      //   input,  width = 27,      .address_out
		.tcs0_read_n_out       (tcs0_read_n_out),       //   input,   width = 1,      .read_n_out
		.tcs0_reset_n_out      (tcs0_reset_n_out),      //   input,   width = 1,      .reset_n_out
		.tcs0_write_n_out      (tcs0_write_n_out),      //   input,   width = 1,      .write_n_out
		.tcs0_data_out         (tcs0_data_out),         //   input,  width = 16,      .data_out
		.tcs0_data_in          (tcs0_data_in),          //  output,  width = 16,      .data_in
		.tcs0_data_outen       (tcs0_data_outen),       //   input,   width = 1,      .data_outen
		.tcs0_chipselect_n_out (tcs0_chipselect_n_out)  //   input,   width = 1,      .chipselect_n_out
	);

endmodule
