// ed_synth.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module ed_synth (
		input  wire        clk_50m_clk,                              //                           clk_50m.clk
		input  wire        ddr_ref_clk_clk,                          //                       ddr_ref_clk.clk
		output wire [0:0]  emif_s10_0_mem_mem_ck,                    //                    emif_s10_0_mem.mem_ck
		output wire [0:0]  emif_s10_0_mem_mem_ck_n,                  //                                  .mem_ck_n
		output wire [14:0] emif_s10_0_mem_mem_a,                     //                                  .mem_a
		output wire [2:0]  emif_s10_0_mem_mem_ba,                    //                                  .mem_ba
		output wire [0:0]  emif_s10_0_mem_mem_cke,                   //                                  .mem_cke
		output wire [0:0]  emif_s10_0_mem_mem_cs_n,                  //                                  .mem_cs_n
		output wire [0:0]  emif_s10_0_mem_mem_odt,                   //                                  .mem_odt
		output wire [0:0]  emif_s10_0_mem_mem_reset_n,               //                                  .mem_reset_n
		output wire [0:0]  emif_s10_0_mem_mem_we_n,                  //                                  .mem_we_n
		output wire [0:0]  emif_s10_0_mem_mem_ras_n,                 //                                  .mem_ras_n
		output wire [0:0]  emif_s10_0_mem_mem_cas_n,                 //                                  .mem_cas_n
		inout  wire [8:0]  emif_s10_0_mem_mem_dqs,                   //                                  .mem_dqs
		inout  wire [8:0]  emif_s10_0_mem_mem_dqs_n,                 //                                  .mem_dqs_n
		inout  wire [71:0] emif_s10_0_mem_mem_dq,                    //                                  .mem_dq
		output wire [8:0]  emif_s10_0_mem_mem_dm,                    //                                  .mem_dm
		input  wire        emif_s10_0_oct_oct_rzqin,                 //                    emif_s10_0_oct.oct_rzqin
		input  wire        global_reset_reset_n,                     //                      global_reset.reset_n
		input  wire        local_reset_req,                          //                   local_reset_req.local_reset_req
		output wire        local_reset_done,                         //                local_reset_status.local_reset_done
		output wire        master_driver_msgdma_0_error_mon_export,  //  master_driver_msgdma_0_error_mon.export
		output wire        master_driver_msgdma_0_status_mon_export  // master_driver_msgdma_0_status_mon.export
	);

	wire          clk_50m_clk_clk;                                            // clk_50m:clk_out -> [freq_counter_0:clk, irq_mapper:clk, irq_synchronizer:sender_clk, irq_synchronizer_001:sender_clk, mSGDMA_0:clk_0_clk, master_0:clk_clk, master_driver_msgdma_0:clk, mm_interconnect_0:clk_50m_clk_clk, mm_interconnect_2:clk_50m_clk_clk, product_info_0:clk, rst_controller:clk, rst_controller_001:clk]
	wire          clk_133m_clk_clk;                                           // clk_133m:clk_out -> emif_s10_0:pll_ref_clk
	wire          emif_s10_0_emif_usr_clk_clk;                                // emif_s10_0:emif_usr_clk -> [irq_synchronizer:receiver_clk, irq_synchronizer_001:receiver_clk, mSGDMA_0:clk_clk, mm_interconnect_0:emif_s10_0_emif_usr_clk_clk, mm_interconnect_1:emif_s10_0_emif_usr_clk_clk, rst_controller_003:clk, rst_controller_004:clk]
	wire          emif_s10_0_pll_ref_clk_out_clk;                             // emif_s10_0:pll_ref_clk_out -> [freq_counter_0:sample_clk, local_reset_combiner:clk]
	wire          msgdma_0_cal_fail_mon_export;                               // mSGDMA_0:cal_fail_mon_export -> master_driver_msgdma_0:cal_fail
	wire          msgdma_0_cal_success_mon_export;                            // mSGDMA_0:cal_success_mon_export -> master_driver_msgdma_0:cal_success
	wire          local_reset_combiner_local_reset_req_out_0_local_reset_req; // local_reset_combiner:local_reset_req_out_0 -> emif_s10_0:local_reset_req
	wire          emif_s10_0_local_reset_status_local_reset_done;             // emif_s10_0:local_reset_done -> local_reset_combiner:local_reset_done_in_0
	wire          emif_s10_0_pll_locked_pll_locked;                           // emif_s10_0:pll_locked -> local_reset_combiner:reset_n
	wire          emif_s10_0_status_local_cal_fail;                           // emif_s10_0:local_cal_fail -> mSGDMA_0:status_mon_in_local_cal_fail
	wire          emif_s10_0_status_local_cal_success;                        // emif_s10_0:local_cal_success -> mSGDMA_0:status_mon_in_local_cal_success
	wire          clk_50m_clk_reset_reset;                                    // clk_50m:reset_n_out -> [clk_133m:reset_n, mSGDMA_0:reset_0_reset_n, master_0:clk_reset_reset, rst_controller:reset_in0]
	wire          master_driver_msgdma_0_avalon_master_chipselect;            // master_driver_msgdma_0:csn -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_chipselect
	wire          master_driver_msgdma_0_avalon_master_waitrequest;           // mm_interconnect_0:master_driver_msgdma_0_avalon_master_waitrequest -> master_driver_msgdma_0:waitrequest_in
	wire   [31:0] master_driver_msgdma_0_avalon_master_readdata;              // mm_interconnect_0:master_driver_msgdma_0_avalon_master_readdata -> master_driver_msgdma_0:data_read
	wire          master_driver_msgdma_0_avalon_master_read;                  // master_driver_msgdma_0:oen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_read
	wire    [3:0] master_driver_msgdma_0_avalon_master_byteenable;            // master_driver_msgdma_0:be -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_byteenable
	wire   [31:0] master_driver_msgdma_0_avalon_master_address;               // master_driver_msgdma_0:address -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_address
	wire          master_driver_msgdma_0_avalon_master_write;                 // master_driver_msgdma_0:wen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_write
	wire   [31:0] master_driver_msgdma_0_avalon_master_writedata;             // master_driver_msgdma_0:data_write -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_writedata
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata;          // mSGDMA_0:mm_bridge_slv_readdata -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdata
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest;       // mSGDMA_0:mm_bridge_slv_waitrequest -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_waitrequest
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess;       // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_debugaccess -> mSGDMA_0:mm_bridge_slv_debugaccess
	wire   [19:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_address;           // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_address -> mSGDMA_0:mm_bridge_slv_address
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_read;              // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_read -> mSGDMA_0:mm_bridge_slv_read
	wire    [3:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable;        // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_byteenable -> mSGDMA_0:mm_bridge_slv_byteenable
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid;     // mSGDMA_0:mm_bridge_slv_readdatavalid -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdatavalid
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_write;             // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_write -> mSGDMA_0:mm_bridge_slv_write
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata;         // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_writedata -> mSGDMA_0:mm_bridge_slv_writedata
	wire    [6:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount;        // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_burstcount -> mSGDMA_0:mm_bridge_slv_burstcount
	wire  [511:0] msgdma_0_dma_read_master_readdata;                          // mm_interconnect_1:mSGDMA_0_dma_read_master_readdata -> mSGDMA_0:dma_read_master_readdata
	wire          msgdma_0_dma_read_master_waitrequest;                       // mm_interconnect_1:mSGDMA_0_dma_read_master_waitrequest -> mSGDMA_0:dma_read_master_waitrequest
	wire   [30:0] msgdma_0_dma_read_master_address;                           // mSGDMA_0:dma_read_master_address -> mm_interconnect_1:mSGDMA_0_dma_read_master_address
	wire          msgdma_0_dma_read_master_read;                              // mSGDMA_0:dma_read_master_read -> mm_interconnect_1:mSGDMA_0_dma_read_master_read
	wire   [63:0] msgdma_0_dma_read_master_byteenable;                        // mSGDMA_0:dma_read_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_read_master_byteenable
	wire          msgdma_0_dma_read_master_readdatavalid;                     // mm_interconnect_1:mSGDMA_0_dma_read_master_readdatavalid -> mSGDMA_0:dma_read_master_readdatavalid
	wire    [5:0] msgdma_0_dma_read_master_burstcount;                        // mSGDMA_0:dma_read_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_read_master_burstcount
	wire          msgdma_0_dma_write_master_waitrequest;                      // mm_interconnect_1:mSGDMA_0_dma_write_master_waitrequest -> mSGDMA_0:dma_write_master_waitrequest
	wire   [30:0] msgdma_0_dma_write_master_address;                          // mSGDMA_0:dma_write_master_address -> mm_interconnect_1:mSGDMA_0_dma_write_master_address
	wire   [63:0] msgdma_0_dma_write_master_byteenable;                       // mSGDMA_0:dma_write_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_write_master_byteenable
	wire          msgdma_0_dma_write_master_write;                            // mSGDMA_0:dma_write_master_write -> mm_interconnect_1:mSGDMA_0_dma_write_master_write
	wire  [511:0] msgdma_0_dma_write_master_writedata;                        // mSGDMA_0:dma_write_master_writedata -> mm_interconnect_1:mSGDMA_0_dma_write_master_writedata
	wire    [5:0] msgdma_0_dma_write_master_burstcount;                       // mSGDMA_0:dma_write_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_write_master_burstcount
	wire  [511:0] mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdata;           // emif_s10_0:amm_readdata_0 -> mm_interconnect_1:emif_s10_0_ctrl_amm_0_readdata
	wire          mm_interconnect_1_emif_s10_0_ctrl_amm_0_waitrequest;        // emif_s10_0:amm_ready_0 -> mm_interconnect_1:emif_s10_0_ctrl_amm_0_waitrequest
	wire   [24:0] mm_interconnect_1_emif_s10_0_ctrl_amm_0_address;            // mm_interconnect_1:emif_s10_0_ctrl_amm_0_address -> emif_s10_0:amm_address_0
	wire          mm_interconnect_1_emif_s10_0_ctrl_amm_0_read;               // mm_interconnect_1:emif_s10_0_ctrl_amm_0_read -> emif_s10_0:amm_read_0
	wire   [63:0] mm_interconnect_1_emif_s10_0_ctrl_amm_0_byteenable;         // mm_interconnect_1:emif_s10_0_ctrl_amm_0_byteenable -> emif_s10_0:amm_byteenable_0
	wire          mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdatavalid;      // emif_s10_0:amm_readdatavalid_0 -> mm_interconnect_1:emif_s10_0_ctrl_amm_0_readdatavalid
	wire          mm_interconnect_1_emif_s10_0_ctrl_amm_0_write;              // mm_interconnect_1:emif_s10_0_ctrl_amm_0_write -> emif_s10_0:amm_write_0
	wire  [511:0] mm_interconnect_1_emif_s10_0_ctrl_amm_0_writedata;          // mm_interconnect_1:emif_s10_0_ctrl_amm_0_writedata -> emif_s10_0:amm_writedata_0
	wire    [6:0] mm_interconnect_1_emif_s10_0_ctrl_amm_0_burstcount;         // mm_interconnect_1:emif_s10_0_ctrl_amm_0_burstcount -> emif_s10_0:amm_burstcount_0
	wire   [31:0] master_0_master_readdata;                                   // mm_interconnect_2:master_0_master_readdata -> master_0:master_readdata
	wire          master_0_master_waitrequest;                                // mm_interconnect_2:master_0_master_waitrequest -> master_0:master_waitrequest
	wire   [31:0] master_0_master_address;                                    // master_0:master_address -> mm_interconnect_2:master_0_master_address
	wire          master_0_master_read;                                       // master_0:master_read -> mm_interconnect_2:master_0_master_read
	wire    [3:0] master_0_master_byteenable;                                 // master_0:master_byteenable -> mm_interconnect_2:master_0_master_byteenable
	wire          master_0_master_readdatavalid;                              // mm_interconnect_2:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire          master_0_master_write;                                      // master_0:master_write -> mm_interconnect_2:master_0_master_write
	wire   [31:0] master_0_master_writedata;                                  // master_0:master_writedata -> mm_interconnect_2:master_0_master_writedata
	wire          mm_interconnect_2_product_info_0_avalon_slave_0_chipselect; // mm_interconnect_2:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire   [31:0] mm_interconnect_2_product_info_0_avalon_slave_0_readdata;   // product_info_0:av_data_read -> mm_interconnect_2:product_info_0_avalon_slave_0_readdata
	wire    [1:0] mm_interconnect_2_product_info_0_avalon_slave_0_address;    // mm_interconnect_2:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire          mm_interconnect_2_product_info_0_avalon_slave_0_read;       // mm_interconnect_2:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire   [31:0] mm_interconnect_2_freq_counter_0_csr_readdata;              // freq_counter_0:csr_readdata -> mm_interconnect_2:freq_counter_0_csr_readdata
	wire          mm_interconnect_2_freq_counter_0_csr_waitrequest;           // freq_counter_0:csr_waitrequest -> mm_interconnect_2:freq_counter_0_csr_waitrequest
	wire    [3:0] mm_interconnect_2_freq_counter_0_csr_address;               // mm_interconnect_2:freq_counter_0_csr_address -> freq_counter_0:csr_address
	wire          mm_interconnect_2_freq_counter_0_csr_read;                  // mm_interconnect_2:freq_counter_0_csr_read -> freq_counter_0:csr_read
	wire   [31:0] mm_interconnect_2_master_driver_msgdma_0_csr_readdata;      // master_driver_msgdma_0:csr_readdata -> mm_interconnect_2:master_driver_msgdma_0_csr_readdata
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest;   // master_driver_msgdma_0:csr_waitrequest -> mm_interconnect_2:master_driver_msgdma_0_csr_waitrequest
	wire    [3:0] mm_interconnect_2_master_driver_msgdma_0_csr_address;       // mm_interconnect_2:master_driver_msgdma_0_csr_address -> master_driver_msgdma_0:csr_address
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_read;          // mm_interconnect_2:master_driver_msgdma_0_csr_read -> master_driver_msgdma_0:csr_read
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_write;         // mm_interconnect_2:master_driver_msgdma_0_csr_write -> master_driver_msgdma_0:csr_write
	wire   [31:0] mm_interconnect_2_master_driver_msgdma_0_csr_writedata;     // mm_interconnect_2:master_driver_msgdma_0_csr_writedata -> master_driver_msgdma_0:csr_writedata
	wire    [1:0] master_driver_msgdma_0_interrupt_receiver_irq;              // irq_mapper:sender_irq -> master_driver_msgdma_0:irq
	wire          irq_mapper_receiver0_irq;                                   // irq_synchronizer:sender_irq -> irq_mapper:receiver0_irq
	wire    [0:0] irq_synchronizer_receiver_irq;                              // mSGDMA_0:dispatcher_read_csr_irq_irq -> irq_synchronizer:receiver_irq
	wire          irq_mapper_receiver1_irq;                                   // irq_synchronizer_001:sender_irq -> irq_mapper:receiver1_irq
	wire    [0:0] irq_synchronizer_001_receiver_irq;                          // mSGDMA_0:dispatcher_write_csr_irq_irq -> irq_synchronizer_001:receiver_irq
	wire          rst_controller_reset_out_reset;                             // rst_controller:reset_out -> [freq_counter_0:reset_n, mm_interconnect_2:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_2:product_info_0_reset_reset_bridge_in_reset_reset, product_info_0:reset_n]
	wire          rst_controller_001_reset_out_reset;                         // rst_controller_001:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, irq_synchronizer_001:sender_reset, master_driver_msgdma_0:reset_n, mm_interconnect_0:master_driver_msgdma_0_reset_reset_bridge_in_reset_reset, mm_interconnect_2:master_driver_msgdma_0_reset_reset_bridge_in_reset_reset]
	wire          emif_s10_0_emif_usr_reset_n_reset;                          // emif_s10_0:emif_usr_reset_n -> [rst_controller_001:reset_in0, rst_controller_002:reset_in0, rst_controller_003:reset_in0, rst_controller_004:reset_in0]
	wire          rst_controller_002_reset_out_reset;                         // rst_controller_002:reset_out -> mSGDMA_0:reset_reset_n
	wire          master_driver_msgdma_0_reset_source_reset;                  // master_driver_msgdma_0:reset_out -> [rst_controller_002:reset_in1, rst_controller_003:reset_in1]
	wire          rst_controller_003_reset_out_reset;                         // rst_controller_003:reset_out -> [irq_synchronizer:receiver_reset, irq_synchronizer_001:receiver_reset, mm_interconnect_0:mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:mSGDMA_0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_004_reset_out_reset;                         // rst_controller_004:reset_out -> mm_interconnect_1:emif_s10_0_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset

	ed_synth_clk_1 clk_133m (
		.clk_out     (clk_133m_clk_clk),        //  output,  width = 1,          clk.clk
		.in_clk      (ddr_ref_clk_clk),         //   input,  width = 1,       clk_in.clk
		.reset_n     (clk_50m_clk_reset_reset), //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out ()                         //  output,  width = 1,    clk_reset.reset_n
	);

	ed_synth_clk_0 clk_50m (
		.clk_out     (clk_50m_clk_clk),         //  output,  width = 1,          clk.clk
		.in_clk      (clk_50m_clk),             //   input,  width = 1,       clk_in.clk
		.reset_n     (global_reset_reset_n),    //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out (clk_50m_clk_reset_reset)  //  output,  width = 1,    clk_reset.reset_n
	);

	ed_synth_emif_s10_0 emif_s10_0 (
		.amm_ready_0               (mm_interconnect_1_emif_s10_0_ctrl_amm_0_waitrequest),        //  output,    width = 1,                ctrl_amm_0.waitrequest_n
		.amm_read_0                (mm_interconnect_1_emif_s10_0_ctrl_amm_0_read),               //   input,    width = 1,                          .read
		.amm_write_0               (mm_interconnect_1_emif_s10_0_ctrl_amm_0_write),              //   input,    width = 1,                          .write
		.amm_address_0             (mm_interconnect_1_emif_s10_0_ctrl_amm_0_address),            //   input,   width = 25,                          .address
		.amm_readdata_0            (mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdata),           //  output,  width = 512,                          .readdata
		.amm_writedata_0           (mm_interconnect_1_emif_s10_0_ctrl_amm_0_writedata),          //   input,  width = 512,                          .writedata
		.amm_burstcount_0          (mm_interconnect_1_emif_s10_0_ctrl_amm_0_burstcount),         //   input,    width = 7,                          .burstcount
		.amm_byteenable_0          (mm_interconnect_1_emif_s10_0_ctrl_amm_0_byteenable),         //   input,   width = 64,                          .byteenable
		.amm_readdatavalid_0       (mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdatavalid),      //  output,    width = 1,                          .readdatavalid
		.ctrl_ecc_user_interrupt_0 (),                                                           //  output,    width = 1, ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		.emif_usr_clk              (emif_s10_0_emif_usr_clk_clk),                                //  output,    width = 1,              emif_usr_clk.clk
		.emif_usr_reset_n          (emif_s10_0_emif_usr_reset_n_reset),                          //  output,    width = 1,          emif_usr_reset_n.reset_n
		.local_reset_req           (local_reset_combiner_local_reset_req_out_0_local_reset_req), //   input,    width = 1,           local_reset_req.local_reset_req
		.local_reset_done          (emif_s10_0_local_reset_status_local_reset_done),             //  output,    width = 1,        local_reset_status.local_reset_done
		.mem_ck                    (emif_s10_0_mem_mem_ck),                                      //  output,    width = 1,                       mem.mem_ck
		.mem_ck_n                  (emif_s10_0_mem_mem_ck_n),                                    //  output,    width = 1,                          .mem_ck_n
		.mem_a                     (emif_s10_0_mem_mem_a),                                       //  output,   width = 15,                          .mem_a
		.mem_ba                    (emif_s10_0_mem_mem_ba),                                      //  output,    width = 3,                          .mem_ba
		.mem_cke                   (emif_s10_0_mem_mem_cke),                                     //  output,    width = 1,                          .mem_cke
		.mem_cs_n                  (emif_s10_0_mem_mem_cs_n),                                    //  output,    width = 1,                          .mem_cs_n
		.mem_odt                   (emif_s10_0_mem_mem_odt),                                     //  output,    width = 1,                          .mem_odt
		.mem_reset_n               (emif_s10_0_mem_mem_reset_n),                                 //  output,    width = 1,                          .mem_reset_n
		.mem_we_n                  (emif_s10_0_mem_mem_we_n),                                    //  output,    width = 1,                          .mem_we_n
		.mem_ras_n                 (emif_s10_0_mem_mem_ras_n),                                   //  output,    width = 1,                          .mem_ras_n
		.mem_cas_n                 (emif_s10_0_mem_mem_cas_n),                                   //  output,    width = 1,                          .mem_cas_n
		.mem_dqs                   (emif_s10_0_mem_mem_dqs),                                     //   inout,    width = 9,                          .mem_dqs
		.mem_dqs_n                 (emif_s10_0_mem_mem_dqs_n),                                   //   inout,    width = 9,                          .mem_dqs_n
		.mem_dq                    (emif_s10_0_mem_mem_dq),                                      //   inout,   width = 72,                          .mem_dq
		.mem_dm                    (emif_s10_0_mem_mem_dm),                                      //  output,    width = 9,                          .mem_dm
		.oct_rzqin                 (emif_s10_0_oct_oct_rzqin),                                   //   input,    width = 1,                       oct.oct_rzqin
		.pll_locked                (emif_s10_0_pll_locked_pll_locked),                           //  output,    width = 1,                pll_locked.pll_locked
		.pll_ref_clk               (clk_133m_clk_clk),                                           //   input,    width = 1,               pll_ref_clk.clk
		.pll_ref_clk_out           (emif_s10_0_pll_ref_clk_out_clk),                             //  output,    width = 1,           pll_ref_clk_out.clk
		.local_cal_success         (emif_s10_0_status_local_cal_success),                        //  output,    width = 1,                    status.local_cal_success
		.local_cal_fail            (emif_s10_0_status_local_cal_fail)                            //  output,    width = 1,                          .local_cal_fail
	);

	ed_synth_freq_counter_0 freq_counter_0 (
		.clk             (clk_50m_clk_clk),                                  //   input,   width = 1,        clock.clk
		.csr_address     (mm_interconnect_2_freq_counter_0_csr_address),     //   input,   width = 4,          csr.address
		.csr_read        (mm_interconnect_2_freq_counter_0_csr_read),        //   input,   width = 1,             .read
		.csr_readdata    (mm_interconnect_2_freq_counter_0_csr_readdata),    //  output,  width = 32,             .readdata
		.csr_waitrequest (mm_interconnect_2_freq_counter_0_csr_waitrequest), //  output,   width = 1,             .waitrequest
		.reset_n         (~rst_controller_reset_out_reset),                  //   input,   width = 1,        reset.reset_n
		.sample_clk      (emif_s10_0_pll_ref_clk_out_clk)                    //   input,   width = 1, sample_clock.clk
	);

	ed_synth_local_reset_combiner local_reset_combiner (
		.clk                   (emif_s10_0_pll_ref_clk_out_clk),                             //   input,  width = 1,             generic_clk.clk
		.reset_n               (emif_s10_0_pll_locked_pll_locked),                           //   input,  width = 1, generic_conduit_reset_n.pll_locked
		.local_reset_req       (local_reset_req),                                            //   input,  width = 1,         local_reset_req.local_reset_req
		.local_reset_req_out_0 (local_reset_combiner_local_reset_req_out_0_local_reset_req), //  output,  width = 1,   local_reset_req_out_0.local_reset_req
		.local_reset_done      (local_reset_done),                                           //  output,  width = 1,      local_reset_status.local_reset_done
		.local_reset_done_in_0 (emif_s10_0_local_reset_status_local_reset_done)              //   input,  width = 1, local_reset_status_in_0.local_reset_done
	);

	ed_synth_master_0 master_0 (
		.clk_clk              (clk_50m_clk_clk),               //   input,   width = 1,          clk.clk
		.clk_reset_reset      (~clk_50m_clk_reset_reset),      //   input,   width = 1,    clk_reset.reset
		.master_address       (master_0_master_address),       //  output,  width = 32,       master.address
		.master_readdata      (master_0_master_readdata),      //   input,  width = 32,             .readdata
		.master_read          (master_0_master_read),          //  output,   width = 1,             .read
		.master_write         (master_0_master_write),         //  output,   width = 1,             .write
		.master_writedata     (master_0_master_writedata),     //  output,  width = 32,             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //   input,   width = 1,             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //   input,   width = 1,             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //  output,   width = 4,             .byteenable
		.master_reset_reset   ()                               //  output,   width = 1, master_reset.reset
	);

	ed_synth_master_driver_msgdma_0 master_driver_msgdma_0 (
		.waitrequest_in  (master_driver_msgdma_0_avalon_master_waitrequest),         //   input,   width = 1,      avalon_master.waitrequest
		.csn             (master_driver_msgdma_0_avalon_master_chipselect),          //  output,   width = 1,                   .chipselect_n
		.wen             (master_driver_msgdma_0_avalon_master_write),               //  output,   width = 1,                   .write_n
		.oen             (master_driver_msgdma_0_avalon_master_read),                //  output,   width = 1,                   .read_n
		.be              (master_driver_msgdma_0_avalon_master_byteenable),          //  output,   width = 4,                   .byteenable
		.address         (master_driver_msgdma_0_avalon_master_address),             //  output,  width = 32,                   .address
		.data_write      (master_driver_msgdma_0_avalon_master_writedata),           //  output,  width = 32,                   .writedata
		.data_read       (master_driver_msgdma_0_avalon_master_readdata),            //   input,  width = 32,                   .readdata
		.cal_fail        (msgdma_0_cal_fail_mon_export),                             //   input,   width = 1,           cal_fail.export
		.cal_success     (msgdma_0_cal_success_mon_export),                          //   input,   width = 1,        cal_success.export
		.clk             (clk_50m_clk_clk),                                          //   input,   width = 1,              clock.clk
		.csr_address     (mm_interconnect_2_master_driver_msgdma_0_csr_address),     //   input,   width = 4,                csr.address
		.csr_read        (mm_interconnect_2_master_driver_msgdma_0_csr_read),        //   input,   width = 1,                   .read
		.csr_write       (mm_interconnect_2_master_driver_msgdma_0_csr_write),       //   input,   width = 1,                   .write
		.csr_readdata    (mm_interconnect_2_master_driver_msgdma_0_csr_readdata),    //  output,  width = 32,                   .readdata
		.csr_writedata   (mm_interconnect_2_master_driver_msgdma_0_csr_writedata),   //   input,  width = 32,                   .writedata
		.csr_waitrequest (mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest), //  output,   width = 1,                   .waitrequest
		.error_mon       (master_driver_msgdma_0_error_mon_export),                  //  output,   width = 1,          error_mon.export
		.irq             (master_driver_msgdma_0_interrupt_receiver_irq),            //   input,   width = 2, interrupt_receiver.irq
		.reset_n         (~rst_controller_001_reset_out_reset),                      //   input,   width = 1,              reset.reset_n
		.reset_out       (master_driver_msgdma_0_reset_source_reset),                //  output,   width = 1,       reset_source.reset
		.status_mon      (master_driver_msgdma_0_status_mon_export)                  //  output,   width = 1,         status_mon.export
	);

	ed_synth_product_info_0 product_info_0 (
		.chipselect_n (~mm_interconnect_2_product_info_0_avalon_slave_0_chipselect), //   input,   width = 1, avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_2_product_info_0_avalon_slave_0_read),       //   input,   width = 1,               .read_n
		.av_data_read (mm_interconnect_2_product_info_0_avalon_slave_0_readdata),    //  output,  width = 32,               .readdata
		.av_address   (mm_interconnect_2_product_info_0_avalon_slave_0_address),     //   input,   width = 2,               .address
		.clk          (clk_50m_clk_clk),                                             //   input,   width = 1,          clock.clk
		.reset_n      (~rst_controller_reset_out_reset)                              //   input,   width = 1,          reset.reset_n
	);

	mSGDMA msgdma_0 (
		.cal_fail_mon_export             (msgdma_0_cal_fail_mon_export),                           //  output,    width = 1,             cal_fail_mon.export
		.cal_success_mon_export          (msgdma_0_cal_success_mon_export),                        //  output,    width = 1,          cal_success_mon.export
		.clk_clk                         (emif_s10_0_emif_usr_clk_clk),                            //   input,    width = 1,                      clk.clk
		.clk_0_clk                       (clk_50m_clk_clk),                                        //   input,    width = 1,                    clk_0.clk
		.dispatcher_read_csr_irq_irq     (irq_synchronizer_receiver_irq),                          //  output,    width = 1,  dispatcher_read_csr_irq.irq
		.dispatcher_write_csr_irq_irq    (irq_synchronizer_001_receiver_irq),                      //  output,    width = 1, dispatcher_write_csr_irq.irq
		.dma_read_master_address         (msgdma_0_dma_read_master_address),                       //  output,   width = 31,          dma_read_master.address
		.dma_read_master_read            (msgdma_0_dma_read_master_read),                          //  output,    width = 1,                         .read
		.dma_read_master_byteenable      (msgdma_0_dma_read_master_byteenable),                    //  output,   width = 64,                         .byteenable
		.dma_read_master_readdata        (msgdma_0_dma_read_master_readdata),                      //   input,  width = 512,                         .readdata
		.dma_read_master_waitrequest     (msgdma_0_dma_read_master_waitrequest),                   //   input,    width = 1,                         .waitrequest
		.dma_read_master_readdatavalid   (msgdma_0_dma_read_master_readdatavalid),                 //   input,    width = 1,                         .readdatavalid
		.dma_read_master_burstcount      (msgdma_0_dma_read_master_burstcount),                    //  output,    width = 6,                         .burstcount
		.dma_write_master_address        (msgdma_0_dma_write_master_address),                      //  output,   width = 31,         dma_write_master.address
		.dma_write_master_write          (msgdma_0_dma_write_master_write),                        //  output,    width = 1,                         .write
		.dma_write_master_byteenable     (msgdma_0_dma_write_master_byteenable),                   //  output,   width = 64,                         .byteenable
		.dma_write_master_writedata      (msgdma_0_dma_write_master_writedata),                    //  output,  width = 512,                         .writedata
		.dma_write_master_waitrequest    (msgdma_0_dma_write_master_waitrequest),                  //   input,    width = 1,                         .waitrequest
		.dma_write_master_burstcount     (msgdma_0_dma_write_master_burstcount),                   //  output,    width = 6,                         .burstcount
		.eset_source_reset_n             (),                                                       //  output,    width = 1,              eset_source.reset_n
		.mm_bridge_slv_waitrequest       (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),   //  output,    width = 1,            mm_bridge_slv.waitrequest
		.mm_bridge_slv_readdata          (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),      //  output,   width = 32,                         .readdata
		.mm_bridge_slv_readdatavalid     (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid), //  output,    width = 1,                         .readdatavalid
		.mm_bridge_slv_burstcount        (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),    //   input,    width = 7,                         .burstcount
		.mm_bridge_slv_writedata         (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),     //   input,   width = 32,                         .writedata
		.mm_bridge_slv_address           (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),       //   input,   width = 20,                         .address
		.mm_bridge_slv_write             (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),         //   input,    width = 1,                         .write
		.mm_bridge_slv_read              (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),          //   input,    width = 1,                         .read
		.mm_bridge_slv_byteenable        (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),    //   input,    width = 4,                         .byteenable
		.mm_bridge_slv_debugaccess       (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess),   //   input,    width = 1,                         .debugaccess
		.reset_reset_n                   (~rst_controller_002_reset_out_reset),                    //   input,    width = 1,                    reset.reset_n
		.reset_0_reset_n                 (clk_50m_clk_reset_reset),                                //   input,    width = 1,                  reset_0.reset_n
		.status_mon_in_local_cal_success (emif_s10_0_status_local_cal_success),                    //   input,    width = 1,            status_mon_in.local_cal_success
		.status_mon_in_local_cal_fail    (emif_s10_0_status_local_cal_fail)                        //   input,    width = 1,                         .local_cal_fail
	);

	ed_synth_altera_mm_interconnect_171_44tjbfi mm_interconnect_0 (
		.clk_50m_clk_clk                                                     (clk_50m_clk_clk),                                        //   input,   width = 1,                                                   clk_50m_clk.clk
		.emif_s10_0_emif_usr_clk_clk                                         (emif_s10_0_emif_usr_clk_clk),                            //   input,   width = 1,                                       emif_s10_0_emif_usr_clk.clk
		.mSGDMA_0_mm_bridge_slv_address                                      (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),       //  output,  width = 20,                                        mSGDMA_0_mm_bridge_slv.address
		.mSGDMA_0_mm_bridge_slv_write                                        (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),         //  output,   width = 1,                                                              .write
		.mSGDMA_0_mm_bridge_slv_read                                         (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),          //  output,   width = 1,                                                              .read
		.mSGDMA_0_mm_bridge_slv_readdata                                     (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),      //   input,  width = 32,                                                              .readdata
		.mSGDMA_0_mm_bridge_slv_writedata                                    (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),     //  output,  width = 32,                                                              .writedata
		.mSGDMA_0_mm_bridge_slv_burstcount                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),    //  output,   width = 7,                                                              .burstcount
		.mSGDMA_0_mm_bridge_slv_byteenable                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),    //  output,   width = 4,                                                              .byteenable
		.mSGDMA_0_mm_bridge_slv_readdatavalid                                (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid), //   input,   width = 1,                                                              .readdatavalid
		.mSGDMA_0_mm_bridge_slv_waitrequest                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),   //   input,   width = 1,                                                              .waitrequest
		.mSGDMA_0_mm_bridge_slv_debugaccess                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess),   //  output,   width = 1,                                                              .debugaccess
		.mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                     //   input,   width = 1, mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                          (rst_controller_003_reset_out_reset),                     //   input,   width = 1,                          mSGDMA_0_reset_reset_bridge_in_reset.reset
		.master_driver_msgdma_0_avalon_master_address                        (master_driver_msgdma_0_avalon_master_address),           //   input,  width = 32,                          master_driver_msgdma_0_avalon_master.address
		.master_driver_msgdma_0_avalon_master_waitrequest                    (master_driver_msgdma_0_avalon_master_waitrequest),       //  output,   width = 1,                                                              .waitrequest
		.master_driver_msgdma_0_avalon_master_byteenable                     (master_driver_msgdma_0_avalon_master_byteenable),        //   input,   width = 4,                                                              .byteenable
		.master_driver_msgdma_0_avalon_master_chipselect                     (~master_driver_msgdma_0_avalon_master_chipselect),       //   input,   width = 1,                                                              .chipselect
		.master_driver_msgdma_0_avalon_master_read                           (~master_driver_msgdma_0_avalon_master_read),             //   input,   width = 1,                                                              .read
		.master_driver_msgdma_0_avalon_master_readdata                       (master_driver_msgdma_0_avalon_master_readdata),          //  output,  width = 32,                                                              .readdata
		.master_driver_msgdma_0_avalon_master_write                          (~master_driver_msgdma_0_avalon_master_write),            //   input,   width = 1,                                                              .write
		.master_driver_msgdma_0_avalon_master_writedata                      (master_driver_msgdma_0_avalon_master_writedata),         //   input,  width = 32,                                                              .writedata
		.master_driver_msgdma_0_reset_reset_bridge_in_reset_reset            (rst_controller_001_reset_out_reset)                      //   input,   width = 1,            master_driver_msgdma_0_reset_reset_bridge_in_reset.reset
	);

	ed_synth_altera_mm_interconnect_171_tetrw7a mm_interconnect_1 (
		.emif_s10_0_ctrl_amm_0_address                                         (mm_interconnect_1_emif_s10_0_ctrl_amm_0_address),       //  output,   width = 25,                                           emif_s10_0_ctrl_amm_0.address
		.emif_s10_0_ctrl_amm_0_write                                           (mm_interconnect_1_emif_s10_0_ctrl_amm_0_write),         //  output,    width = 1,                                                                .write
		.emif_s10_0_ctrl_amm_0_read                                            (mm_interconnect_1_emif_s10_0_ctrl_amm_0_read),          //  output,    width = 1,                                                                .read
		.emif_s10_0_ctrl_amm_0_readdata                                        (mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdata),      //   input,  width = 512,                                                                .readdata
		.emif_s10_0_ctrl_amm_0_writedata                                       (mm_interconnect_1_emif_s10_0_ctrl_amm_0_writedata),     //  output,  width = 512,                                                                .writedata
		.emif_s10_0_ctrl_amm_0_burstcount                                      (mm_interconnect_1_emif_s10_0_ctrl_amm_0_burstcount),    //  output,    width = 7,                                                                .burstcount
		.emif_s10_0_ctrl_amm_0_byteenable                                      (mm_interconnect_1_emif_s10_0_ctrl_amm_0_byteenable),    //  output,   width = 64,                                                                .byteenable
		.emif_s10_0_ctrl_amm_0_readdatavalid                                   (mm_interconnect_1_emif_s10_0_ctrl_amm_0_readdatavalid), //   input,    width = 1,                                                                .readdatavalid
		.emif_s10_0_ctrl_amm_0_waitrequest                                     (~mm_interconnect_1_emif_s10_0_ctrl_amm_0_waitrequest),  //   input,    width = 1,                                                                .waitrequest
		.emif_s10_0_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset    (rst_controller_004_reset_out_reset),                    //   input,    width = 1,    emif_s10_0_ctrl_amm_0_translator_reset_reset_bridge_in_reset.reset
		.emif_s10_0_emif_usr_clk_clk                                           (emif_s10_0_emif_usr_clk_clk),                           //   input,    width = 1,                                         emif_s10_0_emif_usr_clk.clk
		.mSGDMA_0_dma_read_master_address                                      (msgdma_0_dma_read_master_address),                      //   input,   width = 31,                                        mSGDMA_0_dma_read_master.address
		.mSGDMA_0_dma_read_master_waitrequest                                  (msgdma_0_dma_read_master_waitrequest),                  //  output,    width = 1,                                                                .waitrequest
		.mSGDMA_0_dma_read_master_burstcount                                   (msgdma_0_dma_read_master_burstcount),                   //   input,    width = 6,                                                                .burstcount
		.mSGDMA_0_dma_read_master_byteenable                                   (msgdma_0_dma_read_master_byteenable),                   //   input,   width = 64,                                                                .byteenable
		.mSGDMA_0_dma_read_master_read                                         (msgdma_0_dma_read_master_read),                         //   input,    width = 1,                                                                .read
		.mSGDMA_0_dma_read_master_readdata                                     (msgdma_0_dma_read_master_readdata),                     //  output,  width = 512,                                                                .readdata
		.mSGDMA_0_dma_read_master_readdatavalid                                (msgdma_0_dma_read_master_readdatavalid),                //  output,    width = 1,                                                                .readdatavalid
		.mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                    //   input,    width = 1, mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_dma_write_master_address                                     (msgdma_0_dma_write_master_address),                     //   input,   width = 31,                                       mSGDMA_0_dma_write_master.address
		.mSGDMA_0_dma_write_master_waitrequest                                 (msgdma_0_dma_write_master_waitrequest),                 //  output,    width = 1,                                                                .waitrequest
		.mSGDMA_0_dma_write_master_burstcount                                  (msgdma_0_dma_write_master_burstcount),                  //   input,    width = 6,                                                                .burstcount
		.mSGDMA_0_dma_write_master_byteenable                                  (msgdma_0_dma_write_master_byteenable),                  //   input,   width = 64,                                                                .byteenable
		.mSGDMA_0_dma_write_master_write                                       (msgdma_0_dma_write_master_write),                       //   input,    width = 1,                                                                .write
		.mSGDMA_0_dma_write_master_writedata                                   (msgdma_0_dma_write_master_writedata),                   //   input,  width = 512,                                                                .writedata
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                            (rst_controller_003_reset_out_reset)                     //   input,    width = 1,                            mSGDMA_0_reset_reset_bridge_in_reset.reset
	);

	ed_synth_altera_mm_interconnect_171_o2zj3kq mm_interconnect_2 (
		.clk_50m_clk_clk                                          (clk_50m_clk_clk),                                            //   input,   width = 1,                                        clk_50m_clk.clk
		.freq_counter_0_csr_address                               (mm_interconnect_2_freq_counter_0_csr_address),               //  output,   width = 4,                                 freq_counter_0_csr.address
		.freq_counter_0_csr_read                                  (mm_interconnect_2_freq_counter_0_csr_read),                  //  output,   width = 1,                                                   .read
		.freq_counter_0_csr_readdata                              (mm_interconnect_2_freq_counter_0_csr_readdata),              //   input,  width = 32,                                                   .readdata
		.freq_counter_0_csr_waitrequest                           (mm_interconnect_2_freq_counter_0_csr_waitrequest),           //   input,   width = 1,                                                   .waitrequest
		.master_0_clk_reset_reset_bridge_in_reset_reset           (rst_controller_reset_out_reset),                             //   input,   width = 1,           master_0_clk_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                  (master_0_master_address),                                    //   input,  width = 32,                                    master_0_master.address
		.master_0_master_waitrequest                              (master_0_master_waitrequest),                                //  output,   width = 1,                                                   .waitrequest
		.master_0_master_byteenable                               (master_0_master_byteenable),                                 //   input,   width = 4,                                                   .byteenable
		.master_0_master_read                                     (master_0_master_read),                                       //   input,   width = 1,                                                   .read
		.master_0_master_readdata                                 (master_0_master_readdata),                                   //  output,  width = 32,                                                   .readdata
		.master_0_master_readdatavalid                            (master_0_master_readdatavalid),                              //  output,   width = 1,                                                   .readdatavalid
		.master_0_master_write                                    (master_0_master_write),                                      //   input,   width = 1,                                                   .write
		.master_0_master_writedata                                (master_0_master_writedata),                                  //   input,  width = 32,                                                   .writedata
		.master_driver_msgdma_0_csr_address                       (mm_interconnect_2_master_driver_msgdma_0_csr_address),       //  output,   width = 4,                         master_driver_msgdma_0_csr.address
		.master_driver_msgdma_0_csr_write                         (mm_interconnect_2_master_driver_msgdma_0_csr_write),         //  output,   width = 1,                                                   .write
		.master_driver_msgdma_0_csr_read                          (mm_interconnect_2_master_driver_msgdma_0_csr_read),          //  output,   width = 1,                                                   .read
		.master_driver_msgdma_0_csr_readdata                      (mm_interconnect_2_master_driver_msgdma_0_csr_readdata),      //   input,  width = 32,                                                   .readdata
		.master_driver_msgdma_0_csr_writedata                     (mm_interconnect_2_master_driver_msgdma_0_csr_writedata),     //  output,  width = 32,                                                   .writedata
		.master_driver_msgdma_0_csr_waitrequest                   (mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest),   //   input,   width = 1,                                                   .waitrequest
		.master_driver_msgdma_0_reset_reset_bridge_in_reset_reset (rst_controller_001_reset_out_reset),                         //   input,   width = 1, master_driver_msgdma_0_reset_reset_bridge_in_reset.reset
		.product_info_0_avalon_slave_0_address                    (mm_interconnect_2_product_info_0_avalon_slave_0_address),    //  output,   width = 2,                      product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                       (mm_interconnect_2_product_info_0_avalon_slave_0_read),       //  output,   width = 1,                                                   .read
		.product_info_0_avalon_slave_0_readdata                   (mm_interconnect_2_product_info_0_avalon_slave_0_readdata),   //   input,  width = 32,                                                   .readdata
		.product_info_0_avalon_slave_0_chipselect                 (mm_interconnect_2_product_info_0_avalon_slave_0_chipselect), //  output,   width = 1,                                                   .chipselect
		.product_info_0_reset_reset_bridge_in_reset_reset         (rst_controller_reset_out_reset)                              //   input,   width = 1,         product_info_0_reset_reset_bridge_in_reset.reset
	);

	ed_synth_altera_irq_mapper_171_pefnsai irq_mapper (
		.clk           (clk_50m_clk_clk),                               //   input,  width = 1,       clk.clk
		.reset         (rst_controller_001_reset_out_reset),            //   input,  width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),                      //   input,  width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),                      //   input,  width = 1, receiver1.irq
		.sender_irq    (master_driver_msgdma_0_interrupt_receiver_irq)  //  output,  width = 2,    sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (emif_s10_0_emif_usr_clk_clk),        //   input,  width = 1,       receiver_clk.clk
		.sender_clk     (clk_50m_clk_clk),                    //   input,  width = 1,         sender_clk.clk
		.receiver_reset (rst_controller_003_reset_out_reset), //   input,  width = 1, receiver_clk_reset.reset
		.sender_reset   (rst_controller_001_reset_out_reset), //   input,  width = 1,   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //   input,  width = 1,           receiver.irq
		.sender_irq     (irq_mapper_receiver0_irq)            //  output,  width = 1,             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_001 (
		.receiver_clk   (emif_s10_0_emif_usr_clk_clk),        //   input,  width = 1,       receiver_clk.clk
		.sender_clk     (clk_50m_clk_clk),                    //   input,  width = 1,         sender_clk.clk
		.receiver_reset (rst_controller_003_reset_out_reset), //   input,  width = 1, receiver_clk_reset.reset
		.sender_reset   (rst_controller_001_reset_out_reset), //   input,  width = 1,   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_001_receiver_irq),  //   input,  width = 1,           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //  output,  width = 1,             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~clk_50m_clk_reset_reset),       //   input,  width = 1, reset_in0.reset
		.clk            (clk_50m_clk_clk),                //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~emif_s10_0_emif_usr_reset_n_reset), //   input,  width = 1, reset_in0.reset
		.clk            (clk_50m_clk_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~emif_s10_0_emif_usr_reset_n_reset),        //   input,  width = 1, reset_in0.reset
		.reset_in1      (master_driver_msgdma_0_reset_source_reset), //   input,  width = 1, reset_in1.reset
		.clk            (),                                          //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),        //  output,  width = 1, reset_out.reset
		.reset_req      (),                                          // (terminated),                       
		.reset_req_in0  (1'b0),                                      // (terminated),                       
		.reset_req_in1  (1'b0),                                      // (terminated),                       
		.reset_in2      (1'b0),                                      // (terminated),                       
		.reset_req_in2  (1'b0),                                      // (terminated),                       
		.reset_in3      (1'b0),                                      // (terminated),                       
		.reset_req_in3  (1'b0),                                      // (terminated),                       
		.reset_in4      (1'b0),                                      // (terminated),                       
		.reset_req_in4  (1'b0),                                      // (terminated),                       
		.reset_in5      (1'b0),                                      // (terminated),                       
		.reset_req_in5  (1'b0),                                      // (terminated),                       
		.reset_in6      (1'b0),                                      // (terminated),                       
		.reset_req_in6  (1'b0),                                      // (terminated),                       
		.reset_in7      (1'b0),                                      // (terminated),                       
		.reset_req_in7  (1'b0),                                      // (terminated),                       
		.reset_in8      (1'b0),                                      // (terminated),                       
		.reset_req_in8  (1'b0),                                      // (terminated),                       
		.reset_in9      (1'b0),                                      // (terminated),                       
		.reset_req_in9  (1'b0),                                      // (terminated),                       
		.reset_in10     (1'b0),                                      // (terminated),                       
		.reset_req_in10 (1'b0),                                      // (terminated),                       
		.reset_in11     (1'b0),                                      // (terminated),                       
		.reset_req_in11 (1'b0),                                      // (terminated),                       
		.reset_in12     (1'b0),                                      // (terminated),                       
		.reset_req_in12 (1'b0),                                      // (terminated),                       
		.reset_in13     (1'b0),                                      // (terminated),                       
		.reset_req_in13 (1'b0),                                      // (terminated),                       
		.reset_in14     (1'b0),                                      // (terminated),                       
		.reset_req_in14 (1'b0),                                      // (terminated),                       
		.reset_in15     (1'b0),                                      // (terminated),                       
		.reset_req_in15 (1'b0)                                       // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~emif_s10_0_emif_usr_reset_n_reset),        //   input,  width = 1, reset_in0.reset
		.reset_in1      (master_driver_msgdma_0_reset_source_reset), //   input,  width = 1, reset_in1.reset
		.clk            (emif_s10_0_emif_usr_clk_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset),        //  output,  width = 1, reset_out.reset
		.reset_req      (),                                          // (terminated),                       
		.reset_req_in0  (1'b0),                                      // (terminated),                       
		.reset_req_in1  (1'b0),                                      // (terminated),                       
		.reset_in2      (1'b0),                                      // (terminated),                       
		.reset_req_in2  (1'b0),                                      // (terminated),                       
		.reset_in3      (1'b0),                                      // (terminated),                       
		.reset_req_in3  (1'b0),                                      // (terminated),                       
		.reset_in4      (1'b0),                                      // (terminated),                       
		.reset_req_in4  (1'b0),                                      // (terminated),                       
		.reset_in5      (1'b0),                                      // (terminated),                       
		.reset_req_in5  (1'b0),                                      // (terminated),                       
		.reset_in6      (1'b0),                                      // (terminated),                       
		.reset_req_in6  (1'b0),                                      // (terminated),                       
		.reset_in7      (1'b0),                                      // (terminated),                       
		.reset_req_in7  (1'b0),                                      // (terminated),                       
		.reset_in8      (1'b0),                                      // (terminated),                       
		.reset_req_in8  (1'b0),                                      // (terminated),                       
		.reset_in9      (1'b0),                                      // (terminated),                       
		.reset_req_in9  (1'b0),                                      // (terminated),                       
		.reset_in10     (1'b0),                                      // (terminated),                       
		.reset_req_in10 (1'b0),                                      // (terminated),                       
		.reset_in11     (1'b0),                                      // (terminated),                       
		.reset_req_in11 (1'b0),                                      // (terminated),                       
		.reset_in12     (1'b0),                                      // (terminated),                       
		.reset_req_in12 (1'b0),                                      // (terminated),                       
		.reset_in13     (1'b0),                                      // (terminated),                       
		.reset_req_in13 (1'b0),                                      // (terminated),                       
		.reset_in14     (1'b0),                                      // (terminated),                       
		.reset_req_in14 (1'b0),                                      // (terminated),                       
		.reset_in15     (1'b0),                                      // (terminated),                       
		.reset_req_in15 (1'b0)                                       // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~emif_s10_0_emif_usr_reset_n_reset), //   input,  width = 1, reset_in0.reset
		.clk            (emif_s10_0_emif_usr_clk_clk),        //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
