module ed_synth (
		output wire [0:0]  emif_s10_0_mem_mem_ck,               //         emif_s10_0_mem.mem_ck
		output wire [0:0]  emif_s10_0_mem_mem_ck_n,             //                       .mem_ck_n
		output wire [14:0] emif_s10_0_mem_mem_a,                //                       .mem_a
		output wire [2:0]  emif_s10_0_mem_mem_ba,               //                       .mem_ba
		output wire [0:0]  emif_s10_0_mem_mem_cke,              //                       .mem_cke
		output wire [0:0]  emif_s10_0_mem_mem_cs_n,             //                       .mem_cs_n
		output wire [0:0]  emif_s10_0_mem_mem_odt,              //                       .mem_odt
		output wire [0:0]  emif_s10_0_mem_mem_reset_n,          //                       .mem_reset_n
		output wire [0:0]  emif_s10_0_mem_mem_we_n,             //                       .mem_we_n
		output wire [0:0]  emif_s10_0_mem_mem_ras_n,            //                       .mem_ras_n
		output wire [0:0]  emif_s10_0_mem_mem_cas_n,            //                       .mem_cas_n
		inout  wire [8:0]  emif_s10_0_mem_mem_dqs,              //                       .mem_dqs
		inout  wire [8:0]  emif_s10_0_mem_mem_dqs_n,            //                       .mem_dqs_n
		inout  wire [71:0] emif_s10_0_mem_mem_dq,               //                       .mem_dq
		output wire [8:0]  emif_s10_0_mem_mem_dm,               //                       .mem_dm
		input  wire        emif_s10_0_oct_oct_rzqin,            //         emif_s10_0_oct.oct_rzqin
		input  wire        emif_s10_0_pll_ref_clk_clk,          // emif_s10_0_pll_ref_clk.clk
		output wire        emif_s10_0_status_local_cal_success, //      emif_s10_0_status.local_cal_success
		output wire        emif_s10_0_status_local_cal_fail,    //                       .local_cal_fail
		output wire        emif_s10_0_tg_0_traffic_gen_pass,    //        emif_s10_0_tg_0.traffic_gen_pass
		output wire        emif_s10_0_tg_0_traffic_gen_fail,    //                       .traffic_gen_fail
		output wire        emif_s10_0_tg_0_traffic_gen_timeout, //                       .traffic_gen_timeout
		input  wire        local_reset_req,                     //        local_reset_req.local_reset_req
		output wire        local_reset_done                     //     local_reset_status.local_reset_done
	);
endmodule

