module ed_synth_tg (
		input  wire         amm_ready_0,               //                ctrl_amm_0.waitrequest_n
		output wire         amm_read_0,                //                          .read
		output wire         amm_write_0,               //                          .write
		output wire [30:0]  amm_address_0,             //                          .address
		input  wire [511:0] amm_readdata_0,            //                          .readdata
		output wire [511:0] amm_writedata_0,           //                          .writedata
		output wire [6:0]   amm_burstcount_0,          //                          .burstcount
		output wire [63:0]  amm_byteenable_0,          //                          .byteenable
		input  wire         amm_readdatavalid_0,       //                          .readdatavalid
		input  wire         ctrl_ecc_user_interrupt_0, // ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		input  wire         emif_usr_clk,              //              emif_usr_clk.clk
		input  wire         emif_usr_reset_n,          //          emif_usr_reset_n.reset_n
		output wire         traffic_gen_pass_0,        //               tg_status_0.traffic_gen_pass
		output wire         traffic_gen_fail_0,        //                          .traffic_gen_fail
		output wire         traffic_gen_timeout_0      //                          .traffic_gen_timeout
	);
endmodule

