// ed_sim_mem.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module ed_sim_mem (
		input  wire [0:0]  mem_ck,      // mem.mem_ck
		input  wire [0:0]  mem_ck_n,    //    .mem_ck_n
		input  wire [14:0] mem_a,       //    .mem_a
		input  wire [2:0]  mem_ba,      //    .mem_ba
		input  wire [0:0]  mem_cke,     //    .mem_cke
		input  wire [0:0]  mem_cs_n,    //    .mem_cs_n
		input  wire [0:0]  mem_odt,     //    .mem_odt
		input  wire [0:0]  mem_reset_n, //    .mem_reset_n
		input  wire [0:0]  mem_we_n,    //    .mem_we_n
		input  wire [0:0]  mem_ras_n,   //    .mem_ras_n
		input  wire [0:0]  mem_cas_n,   //    .mem_cas_n
		inout  wire [8:0]  mem_dqs,     //    .mem_dqs
		inout  wire [8:0]  mem_dqs_n,   //    .mem_dqs_n
		inout  wire [71:0] mem_dq,      //    .mem_dq
		input  wire [8:0]  mem_dm       //    .mem_dm
	);

	ed_sim_mem_altera_emif_mem_model_171_orc2ayi mem (
		.mem_ck      (mem_ck),      //   input,   width = 1, mem.mem_ck
		.mem_ck_n    (mem_ck_n),    //   input,   width = 1,    .mem_ck_n
		.mem_a       (mem_a),       //   input,  width = 15,    .mem_a
		.mem_ba      (mem_ba),      //   input,   width = 3,    .mem_ba
		.mem_cke     (mem_cke),     //   input,   width = 1,    .mem_cke
		.mem_cs_n    (mem_cs_n),    //   input,   width = 1,    .mem_cs_n
		.mem_odt     (mem_odt),     //   input,   width = 1,    .mem_odt
		.mem_reset_n (mem_reset_n), //   input,   width = 1,    .mem_reset_n
		.mem_we_n    (mem_we_n),    //   input,   width = 1,    .mem_we_n
		.mem_ras_n   (mem_ras_n),   //   input,   width = 1,    .mem_ras_n
		.mem_cas_n   (mem_cas_n),   //   input,   width = 1,    .mem_cas_n
		.mem_dqs     (mem_dqs),     //   inout,   width = 9,    .mem_dqs
		.mem_dqs_n   (mem_dqs_n),   //   inout,   width = 9,    .mem_dqs_n
		.mem_dq      (mem_dq),      //   inout,  width = 72,    .mem_dq
		.mem_dm      (mem_dm)       //   input,   width = 9,    .mem_dm
	);

endmodule
