// ed_synth_emif_local_reset_combiner_0.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module ed_synth_emif_local_reset_combiner_0 (
		input  wire  clk,                   //             generic_clk.clk
		input  wire  reset_n,               // generic_conduit_reset_n.reset_n
		input  wire  local_reset_req,       //         local_reset_req.local_reset_req
		output wire  local_reset_req_out_0, //   local_reset_req_out_0.local_reset_req
		output wire  local_reset_done,      //      local_reset_status.local_reset_done
		input  wire  local_reset_done_in_0  // local_reset_status_in_0.local_reset_done
	);

	altera_emif_local_reset_combiner #(
		.NUM_OF_RESET_REQ_IFS    (1),
		.NUM_OF_RESET_STATUS_IFS (1)
	) emif_local_reset_combiner_0 (
		.local_reset_req_out_0  (local_reset_req_out_0), //  output,  width = 1,   local_reset_req_out_0.local_reset_req
		.local_reset_done_in_0  (local_reset_done_in_0), //   input,  width = 1, local_reset_status_in_0.local_reset_done
		.clk                    (clk),                   //   input,  width = 1,             generic_clk.clk
		.reset_n                (reset_n),               //   input,  width = 1, generic_conduit_reset_n.reset_n
		.local_reset_req        (local_reset_req),       //   input,  width = 1,         local_reset_req.local_reset_req
		.local_reset_done       (local_reset_done),      //  output,  width = 1,      local_reset_status.local_reset_done
		.local_reset_req_out_1  (),                      // (terminated),                                     
		.local_reset_req_out_2  (),                      // (terminated),                                     
		.local_reset_req_out_3  (),                      // (terminated),                                     
		.local_reset_req_out_4  (),                      // (terminated),                                     
		.local_reset_req_out_5  (),                      // (terminated),                                     
		.local_reset_req_out_6  (),                      // (terminated),                                     
		.local_reset_req_out_7  (),                      // (terminated),                                     
		.local_reset_req_out_8  (),                      // (terminated),                                     
		.local_reset_req_out_9  (),                      // (terminated),                                     
		.local_reset_req_out_10 (),                      // (terminated),                                     
		.local_reset_req_out_11 (),                      // (terminated),                                     
		.local_reset_req_out_12 (),                      // (terminated),                                     
		.local_reset_req_out_13 (),                      // (terminated),                                     
		.local_reset_req_out_14 (),                      // (terminated),                                     
		.local_reset_req_out_15 (),                      // (terminated),                                     
		.local_reset_done_in_1  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_2  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_3  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_4  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_5  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_6  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_7  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_8  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_9  (1'b0),                  // (terminated),                                     
		.local_reset_done_in_10 (1'b0),                  // (terminated),                                     
		.local_reset_done_in_11 (1'b0),                  // (terminated),                                     
		.local_reset_done_in_12 (1'b0),                  // (terminated),                                     
		.local_reset_done_in_13 (1'b0),                  // (terminated),                                     
		.local_reset_done_in_14 (1'b0),                  // (terminated),                                     
		.local_reset_done_in_15 (1'b0)                   // (terminated),                                     
	);

endmodule
