	component mSGDMA_prbs_pattern_checker_1 is
		generic (
			DATA_WIDTH : integer := 32;
			PRBS_WIDTH : integer := 32
		);
		port (
			clk            : in  std_logic                               := 'X';             -- clk
			csr_address    : in  std_logic_vector(3 downto 0)            := (others => 'X'); -- address
			csr_writedata  : in  std_logic_vector(31 downto 0)           := (others => 'X'); -- writedata
			csr_write      : in  std_logic                               := 'X';             -- write
			csr_readdata   : out std_logic_vector(31 downto 0);                              -- readdata
			csr_read       : in  std_logic                               := 'X';             -- read
			csr_byteenable : in  std_logic_vector(3 downto 0)            := (others => 'X'); -- byteenable
			reset          : in  std_logic                               := 'X';             -- reset
			snk_data       : in  std_logic_vector(DATA_WIDTH-1 downto 0) := (others => 'X'); -- data
			snk_valid      : in  std_logic                               := 'X';             -- valid
			snk_ready      : out std_logic                                                   -- ready
		);
	end component mSGDMA_prbs_pattern_checker_1;

	u0 : component mSGDMA_prbs_pattern_checker_1
		generic map (
			DATA_WIDTH => INTEGER_VALUE_FOR_DATA_WIDTH,
			PRBS_WIDTH => INTEGER_VALUE_FOR_PRBS_WIDTH
		)
		port map (
			clk            => CONNECTED_TO_clk,            --            clock.clk
			csr_address    => CONNECTED_TO_csr_address,    --              csr.address
			csr_writedata  => CONNECTED_TO_csr_writedata,  --                 .writedata
			csr_write      => CONNECTED_TO_csr_write,      --                 .write
			csr_readdata   => CONNECTED_TO_csr_readdata,   --                 .readdata
			csr_read       => CONNECTED_TO_csr_read,       --                 .read
			csr_byteenable => CONNECTED_TO_csr_byteenable, --                 .byteenable
			reset          => CONNECTED_TO_reset,          --            reset.reset
			snk_data       => CONNECTED_TO_snk_data,       -- st_pattern_input.data
			snk_valid      => CONNECTED_TO_snk_valid,      --                 .valid
			snk_ready      => CONNECTED_TO_snk_ready       --                 .ready
		);

