// mSGDMA_prbs_pattern_checker_1.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module mSGDMA_prbs_pattern_checker_1 #(
		parameter DATA_WIDTH = 512,
		parameter PRBS_WIDTH = 64
	) (
		input  wire                  clk,            //            clock.clk
		input  wire [3:0]            csr_address,    //              csr.address
		input  wire [31:0]           csr_writedata,  //                 .writedata
		input  wire                  csr_write,      //                 .write
		output wire [31:0]           csr_readdata,   //                 .readdata
		input  wire                  csr_read,       //                 .read
		input  wire [3:0]            csr_byteenable, //                 .byteenable
		input  wire                  reset,          //            reset.reset
		input  wire [DATA_WIDTH-1:0] snk_data,       // st_pattern_input.data
		input  wire                  snk_valid,      //                 .valid
		output wire                  snk_ready       //                 .ready
	);

	mtm_prbs_pattern_checker #(
		.DATA_WIDTH (DATA_WIDTH),
		.PRBS_WIDTH (PRBS_WIDTH)
	) msgdma_prbs_pattern_checker_1 (
		.clk            (clk),            //   input,           width = 1,            clock.clk
		.reset          (reset),          //   input,           width = 1,            reset.reset
		.csr_address    (csr_address),    //   input,           width = 4,              csr.address
		.csr_writedata  (csr_writedata),  //   input,          width = 32,                 .writedata
		.csr_write      (csr_write),      //   input,           width = 1,                 .write
		.csr_readdata   (csr_readdata),   //  output,          width = 32,                 .readdata
		.csr_read       (csr_read),       //   input,           width = 1,                 .read
		.csr_byteenable (csr_byteenable), //   input,           width = 4,                 .byteenable
		.snk_data       (snk_data),       //   input,  width = DATA_WIDTH, st_pattern_input.data
		.snk_valid      (snk_valid),      //   input,           width = 1,                 .valid
		.snk_ready      (snk_ready)       //  output,           width = 1,                 .ready
	);

endmodule
