	component mSGDMA_timing_adapter is
		port (
			clk       : in  std_logic                      := 'X';             -- clk
			in_data   : in  std_logic_vector(511 downto 0) := (others => 'X'); -- data
			in_valid  : in  std_logic                      := 'X';             -- valid
			in_ready  : out std_logic;                                         -- ready
			out_data  : out std_logic_vector(511 downto 0);                    -- data
			out_valid : out std_logic;                                         -- valid
			out_ready : in  std_logic                      := 'X';             -- ready
			reset_n   : in  std_logic                      := 'X'              -- reset_n
		);
	end component mSGDMA_timing_adapter;

	u0 : component mSGDMA_timing_adapter
		port map (
			clk       => CONNECTED_TO_clk,       --   clk.clk
			in_data   => CONNECTED_TO_in_data,   --    in.data
			in_valid  => CONNECTED_TO_in_valid,  --      .valid
			in_ready  => CONNECTED_TO_in_ready,  --      .ready
			out_data  => CONNECTED_TO_out_data,  --   out.data
			out_valid => CONNECTED_TO_out_valid, --      .valid
			out_ready => CONNECTED_TO_out_ready, --      .ready
			reset_n   => CONNECTED_TO_reset_n    -- reset.reset_n
		);

