// mSGDMA_prbs_pattern_checker.v

// Generated using ACDS version 17.0ir2 116

`timescale 1 ps / 1 ps
module mSGDMA_prbs_pattern_checker (
		input  wire         clk,            //            clock.clk
		input  wire [3:0]   csr_address,    //              csr.address
		input  wire [31:0]  csr_writedata,  //                 .writedata
		input  wire         csr_write,      //                 .write
		output wire [31:0]  csr_readdata,   //                 .readdata
		input  wire         csr_read,       //                 .read
		input  wire [3:0]   csr_byteenable, //                 .byteenable
		input  wire         reset,          //            reset.reset
		input  wire [511:0] snk_data,       // st_pattern_input.data
		input  wire         snk_valid,      //                 .valid
		output wire         snk_ready       //                 .ready
	);

	mtm_prbs_pattern_checker #(
		.DATA_WIDTH (512),
		.PRBS_WIDTH (64)
	) prbs_pattern_checker (
		.clk            (clk),            //            clock.clk
		.reset          (reset),          //            reset.reset
		.csr_address    (csr_address),    //              csr.address
		.csr_writedata  (csr_writedata),  //                 .writedata
		.csr_write      (csr_write),      //                 .write
		.csr_readdata   (csr_readdata),   //                 .readdata
		.csr_read       (csr_read),       //                 .read
		.csr_byteenable (csr_byteenable), //                 .byteenable
		.snk_data       (snk_data),       // st_pattern_input.data
		.snk_valid      (snk_valid),      //                 .valid
		.snk_ready      (snk_ready)       //                 .ready
	);

endmodule
