// mSGDMA_prbs_pattern_generator.v

// Generated using ACDS version 17.0ir2 116

`timescale 1 ps / 1 ps
module mSGDMA_prbs_pattern_generator (
		input  wire         clk,            //             clock.clk
		input  wire [2:0]   csr_address,    //               csr.address
		input  wire [31:0]  csr_writedata,  //                  .writedata
		input  wire         csr_write,      //                  .write
		output wire [31:0]  csr_readdata,   //                  .readdata
		input  wire         csr_read,       //                  .read
		input  wire [3:0]   csr_byteenable, //                  .byteenable
		input  wire         reset,          //             reset.reset
		output wire [511:0] src_data,       // st_pattern_output.data
		output wire         src_valid,      //                  .valid
		input  wire         src_ready       //                  .ready
	);

	mtm_prbs_pattern_generator #(
		.DATA_WIDTH (512),
		.PRBS_WIDTH (64)
	) prbs_pattern_generator (
		.clk            (clk),            //             clock.clk
		.reset          (reset),          //             reset.reset
		.csr_address    (csr_address),    //               csr.address
		.csr_writedata  (csr_writedata),  //                  .writedata
		.csr_write      (csr_write),      //                  .write
		.csr_readdata   (csr_readdata),   //                  .readdata
		.csr_read       (csr_read),       //                  .read
		.csr_byteenable (csr_byteenable), //                  .byteenable
		.src_data       (src_data),       // st_pattern_output.data
		.src_valid      (src_valid),      //                  .valid
		.src_ready      (src_ready)       //                  .ready
	);

endmodule
