module mSGDMA_prbs_pattern_generator_0 #(
		parameter DATA_WIDTH = 512,
		parameter PRBS_WIDTH = 64
	) (
		input  wire                  clk,            //             clock.clk
		input  wire [2:0]            csr_address,    //               csr.address
		input  wire [31:0]           csr_writedata,  //                  .writedata
		input  wire                  csr_write,      //                  .write
		output wire [31:0]           csr_readdata,   //                  .readdata
		input  wire                  csr_read,       //                  .read
		input  wire [3:0]            csr_byteenable, //                  .byteenable
		input  wire                  reset,          //             reset.reset
		output wire [DATA_WIDTH-1:0] src_data,       // st_pattern_output.data
		output wire                  src_valid,      //                  .valid
		input  wire                  src_ready       //                  .ready
	);
endmodule

