// mSGDMA_prbs_pattern_generator_0.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module mSGDMA_prbs_pattern_generator_0 #(
		parameter DATA_WIDTH = 512,
		parameter PRBS_WIDTH = 64
	) (
		input  wire                  clk,            //             clock.clk
		input  wire [2:0]            csr_address,    //               csr.address
		input  wire [31:0]           csr_writedata,  //                  .writedata
		input  wire                  csr_write,      //                  .write
		output wire [31:0]           csr_readdata,   //                  .readdata
		input  wire                  csr_read,       //                  .read
		input  wire [3:0]            csr_byteenable, //                  .byteenable
		input  wire                  reset,          //             reset.reset
		output wire [DATA_WIDTH-1:0] src_data,       // st_pattern_output.data
		output wire                  src_valid,      //                  .valid
		input  wire                  src_ready       //                  .ready
	);

	mtm_prbs_pattern_generator #(
		.DATA_WIDTH (DATA_WIDTH),
		.PRBS_WIDTH (PRBS_WIDTH)
	) msgdma_prbs_pattern_generator_0 (
		.clk            (clk),            //   input,           width = 1,             clock.clk
		.reset          (reset),          //   input,           width = 1,             reset.reset
		.csr_address    (csr_address),    //   input,           width = 3,               csr.address
		.csr_writedata  (csr_writedata),  //   input,          width = 32,                  .writedata
		.csr_write      (csr_write),      //   input,           width = 1,                  .write
		.csr_readdata   (csr_readdata),   //  output,          width = 32,                  .readdata
		.csr_read       (csr_read),       //   input,           width = 1,                  .read
		.csr_byteenable (csr_byteenable), //   input,           width = 4,                  .byteenable
		.src_data       (src_data),       //  output,  width = DATA_WIDTH, st_pattern_output.data
		.src_valid      (src_valid),      //  output,           width = 1,                  .valid
		.src_ready      (src_ready)       //   input,           width = 1,                  .ready
	);

endmodule
