	component mSGDMA_status_mon_1 is
		port (
			cal_fail_mon      : out std_logic;                                        -- export
			cal_success_mon   : out std_logic;                                        -- export
			slv_clk           : in  std_logic                     := 'X';             -- clk
			slv_reset_n       : in  std_logic                     := 'X';             -- reset_n
			reset_out_n       : out std_logic;                                        -- reset_n
			slv_read_n        : in  std_logic                     := 'X';             -- read_n
			slv_write_n       : in  std_logic                     := 'X';             -- write_n
			slv_address       : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- address
			slv_cs_n          : in  std_logic                     := 'X';             -- chipselect_n
			slv_data_write    : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			slv_data_read     : out std_logic_vector(31 downto 0);                    -- readdata
			local_cal_success : in  std_logic                     := 'X';             -- local_cal_success
			local_cal_fail    : in  std_logic                     := 'X'              -- local_cal_fail
		);
	end component mSGDMA_status_mon_1;

	u0 : component mSGDMA_status_mon_1
		port map (
			cal_fail_mon      => CONNECTED_TO_cal_fail_mon,      --    cal_fail_mon.export
			cal_success_mon   => CONNECTED_TO_cal_success_mon,   -- cal_success_mon.export
			slv_clk           => CONNECTED_TO_slv_clk,           --           clock.clk
			slv_reset_n       => CONNECTED_TO_slv_reset_n,       --         reset_n.reset_n
			reset_out_n       => CONNECTED_TO_reset_out_n,       --    reset_source.reset_n
			slv_read_n        => CONNECTED_TO_slv_read_n,        --             slv.read_n
			slv_write_n       => CONNECTED_TO_slv_write_n,       --                .write_n
			slv_address       => CONNECTED_TO_slv_address,       --                .address
			slv_cs_n          => CONNECTED_TO_slv_cs_n,          --                .chipselect_n
			slv_data_write    => CONNECTED_TO_slv_data_write,    --                .writedata
			slv_data_read     => CONNECTED_TO_slv_data_read,     --                .readdata
			local_cal_success => CONNECTED_TO_local_cal_success, --          status.local_cal_success
			local_cal_fail    => CONNECTED_TO_local_cal_fail     --                .local_cal_fail
		);

