// fmc_xcvr_system_pll_status_interconnect_1.v

// Generated using ACDS version 17.1 235

`timescale 1 ps / 1 ps
module fmc_xcvr_system_pll_status_interconnect_1 (
		output wire [0:0] mcgb_rst,          //          mcgb_rst.mcgb_rst
		input  wire [0:0] pll_locked,        //        pll_locked.pll_locked
		output wire [0:0] pll_locked_a,      //      pll_locked_a.pll_locked
		output wire [0:0] pll_locked_b,      //      pll_locked_b.pll_locked
		output wire [0:0] pll_locked_c,      //      pll_locked_c.pll_locked
		output wire [0:0] pll_locked_d,      //      pll_locked_d.pll_locked
		output wire [0:0] pll_locked_e,      //      pll_locked_e.pll_locked
		output wire [0:0] pll_locked_f,      //      pll_locked_f.pll_locked
		output wire [0:0] pll_locked_g,      //      pll_locked_g.pll_locked
		output wire [0:0] pll_locked_h,      //      pll_locked_h.pll_locked
		output wire [0:0] pll_locked_i,      //      pll_locked_i.pll_locked
		output wire [0:0] pll_locked_j,      //      pll_locked_j.pll_locked
		output wire [0:0] pll_locked_k,      //      pll_locked_k.pll_locked
		output wire [0:0] pll_locked_l,      //      pll_locked_l.pll_locked
		output wire [0:0] pll_locked_m,      //      pll_locked_m.pll_locked
		output wire [0:0] pll_locked_n,      //      pll_locked_n.pll_locked
		output wire [0:0] pll_locked_o,      //      pll_locked_o.pll_locked
		output wire [0:0] pll_locked_output, // pll_locked_output.pll_locked
		output wire [0:0] pll_locked_p,      //      pll_locked_p.pll_locked
		output wire [0:0] pll_powerdown,     //     pll_powerdown.pll_powerdown
		input  wire [0:0] pll_powerdown_a,   //   pll_powerdown_a.pll_powerdown
		input  wire [0:0] pll_powerdown_b,   //   pll_powerdown_b.pll_powerdown
		input  wire [0:0] pll_powerdown_c,   //   pll_powerdown_c.pll_powerdown
		input  wire [0:0] pll_powerdown_d,   //   pll_powerdown_d.pll_powerdown
		input  wire [0:0] pll_powerdown_e,   //   pll_powerdown_e.pll_powerdown
		input  wire [0:0] pll_powerdown_f,   //   pll_powerdown_f.pll_powerdown
		input  wire [0:0] pll_powerdown_g,   //   pll_powerdown_g.pll_powerdown
		input  wire [0:0] pll_powerdown_h,   //   pll_powerdown_h.pll_powerdown
		input  wire [0:0] pll_powerdown_i,   //   pll_powerdown_i.pll_powerdown
		input  wire [0:0] pll_powerdown_j,   //   pll_powerdown_j.pll_powerdown
		input  wire [0:0] pll_powerdown_k,   //   pll_powerdown_k.pll_powerdown
		input  wire [0:0] pll_powerdown_l,   //   pll_powerdown_l.pll_powerdown
		input  wire [0:0] pll_powerdown_m,   //   pll_powerdown_m.pll_powerdown
		input  wire [0:0] pll_powerdown_n,   //   pll_powerdown_n.pll_powerdown
		input  wire [0:0] pll_powerdown_o,   //   pll_powerdown_o.pll_powerdown
		input  wire [0:0] pll_powerdown_p    //   pll_powerdown_p.pll_powerdown
	);

	pll_status_interconnect #(
		.DATAWIDTH (1),
		.NUM_OF_CH (16)
	) fmc_xcvr_system_pll_status_interconnect_1 (
		.pll_locked        (pll_locked),        //   input,  width = 1,        pll_locked.pll_locked
		.pll_powerdown     (pll_powerdown),     //  output,  width = 1,     pll_powerdown.pll_powerdown
		.mcgb_rst          (mcgb_rst),          //  output,  width = 1,          mcgb_rst.mcgb_rst
		.pll_locked_output (pll_locked_output), //  output,  width = 1, pll_locked_output.pll_locked
		.pll_locked_a      (pll_locked_a),      //  output,  width = 1,      pll_locked_a.pll_locked
		.pll_powerdown_a   (pll_powerdown_a),   //   input,  width = 1,   pll_powerdown_a.pll_powerdown
		.pll_locked_b      (pll_locked_b),      //  output,  width = 1,      pll_locked_b.pll_locked
		.pll_powerdown_b   (pll_powerdown_b),   //   input,  width = 1,   pll_powerdown_b.pll_powerdown
		.pll_locked_c      (pll_locked_c),      //  output,  width = 1,      pll_locked_c.pll_locked
		.pll_powerdown_c   (pll_powerdown_c),   //   input,  width = 1,   pll_powerdown_c.pll_powerdown
		.pll_locked_d      (pll_locked_d),      //  output,  width = 1,      pll_locked_d.pll_locked
		.pll_powerdown_d   (pll_powerdown_d),   //   input,  width = 1,   pll_powerdown_d.pll_powerdown
		.pll_locked_e      (pll_locked_e),      //  output,  width = 1,      pll_locked_e.pll_locked
		.pll_powerdown_e   (pll_powerdown_e),   //   input,  width = 1,   pll_powerdown_e.pll_powerdown
		.pll_locked_f      (pll_locked_f),      //  output,  width = 1,      pll_locked_f.pll_locked
		.pll_powerdown_f   (pll_powerdown_f),   //   input,  width = 1,   pll_powerdown_f.pll_powerdown
		.pll_locked_g      (pll_locked_g),      //  output,  width = 1,      pll_locked_g.pll_locked
		.pll_powerdown_g   (pll_powerdown_g),   //   input,  width = 1,   pll_powerdown_g.pll_powerdown
		.pll_locked_h      (pll_locked_h),      //  output,  width = 1,      pll_locked_h.pll_locked
		.pll_powerdown_h   (pll_powerdown_h),   //   input,  width = 1,   pll_powerdown_h.pll_powerdown
		.pll_locked_i      (pll_locked_i),      //  output,  width = 1,      pll_locked_i.pll_locked
		.pll_powerdown_i   (pll_powerdown_i),   //   input,  width = 1,   pll_powerdown_i.pll_powerdown
		.pll_locked_j      (pll_locked_j),      //  output,  width = 1,      pll_locked_j.pll_locked
		.pll_powerdown_j   (pll_powerdown_j),   //   input,  width = 1,   pll_powerdown_j.pll_powerdown
		.pll_locked_k      (pll_locked_k),      //  output,  width = 1,      pll_locked_k.pll_locked
		.pll_powerdown_k   (pll_powerdown_k),   //   input,  width = 1,   pll_powerdown_k.pll_powerdown
		.pll_locked_l      (pll_locked_l),      //  output,  width = 1,      pll_locked_l.pll_locked
		.pll_powerdown_l   (pll_powerdown_l),   //   input,  width = 1,   pll_powerdown_l.pll_powerdown
		.pll_locked_m      (pll_locked_m),      //  output,  width = 1,      pll_locked_m.pll_locked
		.pll_powerdown_m   (pll_powerdown_m),   //   input,  width = 1,   pll_powerdown_m.pll_powerdown
		.pll_locked_n      (pll_locked_n),      //  output,  width = 1,      pll_locked_n.pll_locked
		.pll_powerdown_n   (pll_powerdown_n),   //   input,  width = 1,   pll_powerdown_n.pll_powerdown
		.pll_locked_o      (pll_locked_o),      //  output,  width = 1,      pll_locked_o.pll_locked
		.pll_powerdown_o   (pll_powerdown_o),   //   input,  width = 1,   pll_powerdown_o.pll_powerdown
		.pll_locked_p      (pll_locked_p),      //  output,  width = 1,      pll_locked_p.pll_locked
		.pll_powerdown_p   (pll_powerdown_p)    //   input,  width = 1,   pll_powerdown_p.pll_powerdown
	);

endmodule
