// pcie_xcvr_system_mm_bridge_0.v

// Generated using ACDS version 17.1ir.2 50

`timescale 1 ps / 1 ps
module pcie_xcvr_system_mm_bridge_0 (
		input  wire        clk,              //   clk.clk
		input  wire        m0_waitrequest,   //    m0.waitrequest
		input  wire [31:0] m0_readdata,      //      .readdata
		input  wire        m0_readdatavalid, //      .readdatavalid
		output wire [0:0]  m0_burstcount,    //      .burstcount
		output wire [31:0] m0_writedata,     //      .writedata
		output wire [19:0] m0_address,       //      .address
		output wire        m0_write,         //      .write
		output wire        m0_read,          //      .read
		output wire [3:0]  m0_byteenable,    //      .byteenable
		output wire        m0_debugaccess,   //      .debugaccess
		input  wire        reset,            // reset.reset
		output wire        s0_waitrequest,   //    s0.waitrequest
		output wire [31:0] s0_readdata,      //      .readdata
		output wire        s0_readdatavalid, //      .readdatavalid
		input  wire [0:0]  s0_burstcount,    //      .burstcount
		input  wire [31:0] s0_writedata,     //      .writedata
		input  wire [19:0] s0_address,       //      .address
		input  wire        s0_write,         //      .write
		input  wire        s0_read,          //      .read
		input  wire [3:0]  s0_byteenable,    //      .byteenable
		input  wire        s0_debugaccess    //      .debugaccess
	);

	altera_avalon_mm_bridge #(
		.DATA_WIDTH        (32),
		.SYMBOL_WIDTH      (8),
		.HDL_ADDR_WIDTH    (20),
		.BURSTCOUNT_WIDTH  (1),
		.PIPELINE_COMMAND  (1),
		.PIPELINE_RESPONSE (1)
	) mm_bridge_0 (
		.clk              (clk),              //   input,   width = 1,   clk.clk
		.reset            (reset),            //   input,   width = 1, reset.reset
		.s0_waitrequest   (s0_waitrequest),   //  output,   width = 1,    s0.waitrequest
		.s0_readdata      (s0_readdata),      //  output,  width = 32,      .readdata
		.s0_readdatavalid (s0_readdatavalid), //  output,   width = 1,      .readdatavalid
		.s0_burstcount    (s0_burstcount),    //   input,   width = 1,      .burstcount
		.s0_writedata     (s0_writedata),     //   input,  width = 32,      .writedata
		.s0_address       (s0_address),       //   input,  width = 20,      .address
		.s0_write         (s0_write),         //   input,   width = 1,      .write
		.s0_read          (s0_read),          //   input,   width = 1,      .read
		.s0_byteenable    (s0_byteenable),    //   input,   width = 4,      .byteenable
		.s0_debugaccess   (s0_debugaccess),   //   input,   width = 1,      .debugaccess
		.m0_waitrequest   (m0_waitrequest),   //   input,   width = 1,    m0.waitrequest
		.m0_readdata      (m0_readdata),      //   input,  width = 32,      .readdata
		.m0_readdatavalid (m0_readdatavalid), //   input,   width = 1,      .readdatavalid
		.m0_burstcount    (m0_burstcount),    //  output,   width = 1,      .burstcount
		.m0_writedata     (m0_writedata),     //  output,  width = 32,      .writedata
		.m0_address       (m0_address),       //  output,  width = 20,      .address
		.m0_write         (m0_write),         //  output,   width = 1,      .write
		.m0_read          (m0_read),          //  output,   width = 1,      .read
		.m0_byteenable    (m0_byteenable),    //  output,   width = 4,      .byteenable
		.m0_debugaccess   (m0_debugaccess),   //  output,   width = 1,      .debugaccess
		.s0_response      (),                 // (terminated),                    
		.m0_response      (2'b00)             // (terminated),                    
	);

endmodule
