// pcie_xcvr_test_nativePHY_loopback_cont_0.v

// Generated using ACDS version 17.1 235

`timescale 1 ps / 1 ps
module pcie_xcvr_test_nativePHY_loopback_cont_0 (
		input  wire        clk,                 //               clock.clk
		input  wire [3:0]  csr_address,         //                 csr.address
		input  wire        csr_read,            //                    .read
		input  wire        csr_write,           //                    .write
		output wire [31:0] csr_readdata,        //                    .readdata
		input  wire [31:0] csr_writedata,       //                    .writedata
		input  wire [0:0]  pll_locked,          //          pll_locked.pll_locked
		input  wire        reset_n,             //               reset.reset_n
		input  wire [0:0]  rx_is_lockedtoref,   //   rx_is_lockedtoref.rx_is_lockedtoref
		output wire [0:0]  rx_seriallpbken,     //     rx_seriallpbken.rx_seriallpbken
		output wire [0:0]  rx_seriallpbken_mon  // rx_seriallpbken_mon.export
	);

	nativePHY_loopback_cont #(
		.NUM_OF_CH (1)
	) pcie_xcvr_test_nativephy_loopback_cont_1 (
		.reset_n             (reset_n),             //   input,   width = 1,               reset.reset_n
		.clk                 (clk),                 //   input,   width = 1,               clock.clk
		.csr_address         (csr_address),         //   input,   width = 4,                 csr.address
		.csr_read            (csr_read),            //   input,   width = 1,                    .read
		.csr_write           (csr_write),           //   input,   width = 1,                    .write
		.csr_readdata        (csr_readdata),        //  output,  width = 32,                    .readdata
		.csr_writedata       (csr_writedata),       //   input,  width = 32,                    .writedata
		.pll_locked          (pll_locked),          //   input,   width = 1,          pll_locked.pll_locked
		.rx_is_lockedtoref   (rx_is_lockedtoref),   //   input,   width = 1,   rx_is_lockedtoref.rx_is_lockedtoref
		.rx_seriallpbken     (rx_seriallpbken),     //  output,   width = 1,     rx_seriallpbken.rx_seriallpbken
		.rx_seriallpbken_mon (rx_seriallpbken_mon)  //  output,   width = 1, rx_seriallpbken_mon.export
	);

endmodule
