// pcie_xcvr_test_xcvr_st_converter_0.v

// Generated using ACDS version 17.1 235

`timescale 1 ps / 1 ps
module pcie_xcvr_test_xcvr_st_converter_0 (
		input  wire [0:0]  rx_clkout,          //          rx_clkout.clk
		output wire        rx_clkout_a,        //        rx_clkout_a.export
		output wire        rx_clkout_a_output, // rx_clkout_a_output.clk
		output wire [63:0] rx_data_a,          //          rx_data_a.export
		input  wire [0:0]  rx_is_lockedtodata, // rx_is_lockedtodata.rx_is_lockedtodata
		input  wire [63:0] rx_parallel_data,   //   rx_parallel_data.rx_parallel_data
		output wire        test_reset_n_a,     //     test_reset_n_a.reset_n
		input  wire [0:0]  tx_clkout,          //          tx_clkout.clk
		output wire        tx_clkout_a,        //        tx_clkout_a.export
		output wire        tx_clkout_a_output, // tx_clkout_a_output.clk
		input  wire [63:0] tx_data_a,          //          tx_data_a.export
		output wire [63:0] tx_parallel_data    //   tx_parallel_data.tx_parallel_data
	);

	xcvr_st_converter #(
		.DATAWIDTH (64),
		.NUM_OF_CH (1)
	) xcvr_st_converter_0 (
		.tx_parallel_data   (tx_parallel_data),   //  output,  width = 64,   tx_parallel_data.tx_parallel_data
		.tx_clkout          (tx_clkout),          //   input,   width = 1,          tx_clkout.clk
		.rx_parallel_data   (rx_parallel_data),   //   input,  width = 64,   rx_parallel_data.rx_parallel_data
		.rx_clkout          (rx_clkout),          //   input,   width = 1,          rx_clkout.clk
		.rx_is_lockedtodata (rx_is_lockedtodata), //   input,   width = 1, rx_is_lockedtodata.rx_is_lockedtodata
		.tx_data_a          (tx_data_a),          //   input,  width = 64,          tx_data_a.export
		.tx_clkout_a        (tx_clkout_a),        //  output,   width = 1,        tx_clkout_a.export
		.rx_data_a          (rx_data_a),          //  output,  width = 64,          rx_data_a.export
		.rx_clkout_a        (rx_clkout_a),        //  output,   width = 1,        rx_clkout_a.export
		.test_reset_n_a     (test_reset_n_a),     //  output,   width = 1,     test_reset_n_a.reset_n
		.tx_clkout_a_output (tx_clkout_a_output), //  output,   width = 1, tx_clkout_a_output.clk
		.rx_clkout_a_output (rx_clkout_a_output)  //  output,   width = 1, rx_clkout_a_output.clk
	);

endmodule
