module pcie_xcvr_system (
		input  wire       atx_pll_1c_refclk_in_clk_clk,                                               //                                    atx_pll_1c_refclk_in_clk.clk
		input  wire       clk_100_clk,                                                                //                                                     clk_100.clk
		input  wire       clk_100_reset_reset_n,                                                      //                                               clk_100_reset.reset_n
		input  wire       clk_50_clk,                                                                 //                                                      clk_50.clk
		input  wire       clk_50_reset_reset_n,                                                       //                                                clk_50_reset.reset_n
		input  wire [0:0] pcie_xcvr_system_bank_1c_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1c_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1c_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1c_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1c_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1c_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1c_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1c_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1c_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1d_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1d_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1d_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1d_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1e_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1e_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1e_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1e_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1e_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1e_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1e_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1e_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1e_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1e_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1e_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1e_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0] pcie_xcvr_system_bank_1e_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data, // pcie_xcvr_system_bank_1e_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0] pcie_xcvr_system_bank_1e_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data, // pcie_xcvr_system_bank_1e_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		output wire [0:0] pcie_xcvr_system_pll_status_pll_locked_output_pll_locked                    //               pcie_xcvr_system_pll_status_pll_locked_output.pll_locked
	);
endmodule

