// bup_qsys.v

// Generated using ACDS version 17.1 169

`timescale 1 ps / 1 ps
module bup_qsys (
		output wire [26:0] bup_qsys_cfi_flash_atb_bridge_0_out_tcm_address_out,      // bup_qsys_cfi_flash_atb_bridge_0_out.tcm_address_out
		output wire [0:0]  bup_qsys_cfi_flash_atb_bridge_0_out_tcm_read_n_out,       //                                    .tcm_read_n_out
		output wire [0:0]  bup_qsys_cfi_flash_atb_bridge_0_out_tcm_write_n_out,      //                                    .tcm_write_n_out
		inout  wire [15:0] bup_qsys_cfi_flash_atb_bridge_0_out_tcm_data_out,         //                                    .tcm_data_out
		output wire [0:0]  bup_qsys_cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out, //                                    .tcm_chipselect_n_out
		input  wire [2:0]  button_pio_external_connection_export,                    //      button_pio_external_connection.export
		input  wire        clk_125m_clk,                                             //                            clk_125m.clk
		output wire        flash_select_external_connection_export,                  //    flash_select_external_connection.export
		output wire [7:0]  led_pio_out_export,                                       //                         led_pio_out.export
		inout  wire        opencores_i2c_export_0_scl_pad_io,                        //              opencores_i2c_export_0.scl_pad_io
		inout  wire        opencores_i2c_export_0_sda_pad_io,                        //                                    .sda_pad_io
		input  wire        reset_1_reset_n,                                          //                             reset_1.reset_n
		input  wire        reset_125m_reset_n,                                       //                          reset_125m.reset_n
		input  wire        sys_clk_clk,                                              //                             sys_clk.clk
		output wire        tse_mac_mac_mdio_connection_mdc,                          //         tse_mac_mac_mdio_connection.mdc
		input  wire        tse_mac_mac_mdio_connection_mdio_in,                      //                                    .mdio_in
		output wire        tse_mac_mac_mdio_connection_mdio_out,                     //                                    .mdio_out
		output wire        tse_mac_mac_mdio_connection_mdio_oen,                     //                                    .mdio_oen
		output wire        tse_mac_misc_connection_magic_wakeup,                     //             tse_mac_misc_connection.magic_wakeup
		input  wire        tse_mac_misc_connection_magic_sleep_n,                    //                                    .magic_sleep_n
		input  wire        tse_mac_misc_connection_ff_tx_crc_fwd,                    //                                    .ff_tx_crc_fwd
		output wire        tse_mac_misc_connection_ff_tx_septy,                      //                                    .ff_tx_septy
		output wire        tse_mac_misc_connection_tx_ff_uflow,                      //                                    .tx_ff_uflow
		output wire        tse_mac_misc_connection_ff_tx_a_full,                     //                                    .ff_tx_a_full
		output wire        tse_mac_misc_connection_ff_tx_a_empty,                    //                                    .ff_tx_a_empty
		output wire [17:0] tse_mac_misc_connection_rx_err_stat,                      //                                    .rx_err_stat
		output wire [3:0]  tse_mac_misc_connection_rx_frm_type,                      //                                    .rx_frm_type
		output wire        tse_mac_misc_connection_ff_rx_dsav,                       //                                    .ff_rx_dsav
		output wire        tse_mac_misc_connection_ff_rx_a_full,                     //                                    .ff_rx_a_full
		output wire        tse_mac_misc_connection_ff_rx_a_empty,                    //                                    .ff_rx_a_empty
		input  wire        tse_mac_serial_connection_rxp_0,                          //           tse_mac_serial_connection.rxp_0
		output wire        tse_mac_serial_connection_txp_0,                          //                                    .txp_0
		output wire        tse_mac_status_led_connection_crs,                        //       tse_mac_status_led_connection.crs
		output wire        tse_mac_status_led_connection_link,                       //                                    .link
		output wire        tse_mac_status_led_connection_panel_link,                 //                                    .panel_link
		output wire        tse_mac_status_led_connection_col,                        //                                    .col
		output wire        tse_mac_status_led_connection_an,                         //                                    .an
		output wire        tse_mac_status_led_connection_char_err,                   //                                    .char_err
		output wire        tse_mac_status_led_connection_disp_err                    //                                    .disp_err
	);

	wire         tse_0_dma_tx_st_source_valid;                                 // tse_0_dma_tx:st_source_valid -> tse_0_tse:ff_tx_wren
	wire  [31:0] tse_0_dma_tx_st_source_data;                                  // tse_0_dma_tx:st_source_data -> tse_0_tse:ff_tx_data
	wire         tse_0_dma_tx_st_source_ready;                                 // tse_0_tse:ff_tx_rdy -> tse_0_dma_tx:st_source_ready
	wire         tse_0_dma_tx_st_source_startofpacket;                         // tse_0_dma_tx:st_source_startofpacket -> tse_0_tse:ff_tx_sop
	wire         tse_0_dma_tx_st_source_endofpacket;                           // tse_0_dma_tx:st_source_endofpacket -> tse_0_tse:ff_tx_eop
	wire         tse_0_dma_tx_st_source_error;                                 // tse_0_dma_tx:st_source_error -> tse_0_tse:ff_tx_err
	wire   [1:0] tse_0_dma_tx_st_source_empty;                                 // tse_0_dma_tx:st_source_empty -> tse_0_tse:ff_tx_mod
	wire         sys_clk_clk_clk;                                              // sys_clk:clk_out -> [avalon_st_adapter:in_clk_0_clk, bup_qsys_cfi_flash_atb_bridge_0:clk, button_pio:clk, cpu:clk, descriptor_memory:clk, ext_flash:clk_clk, flash_select:clk, irq_mapper:clk, jtag_uart:clk, led_pio:clk, mm_interconnect_0:sys_clk_clk_clk, onchip_ram_m9:clk, opencores_i2c_0:wb_clk_i, rst_controller:clk, rst_controller_001:clk, rst_controller_002:clk, sys_clk_timer:clk, sysid:clock, tse_0_dma_rx:clock_clk, tse_0_dma_tx:clock_clk, tse_0_tse:clk, tse_0_tse:ff_rx_clk, tse_0_tse:ff_tx_clk]
	wire         clk_125m_clk_clk;                                             // clk_125m:clk_out -> tse_0_tse:ref_clk
	wire         ext_flash_tcm_data_outen;                                     // ext_flash:tcm_data_outen -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_data_outen
	wire         ext_flash_tcm_request;                                        // ext_flash:tcm_request -> bup_qsys_cfi_flash_atb_bridge_0:request
	wire         ext_flash_tcm_write_n_out;                                    // ext_flash:tcm_write_n_out -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_write_n_out
	wire         ext_flash_tcm_read_n_out;                                     // ext_flash:tcm_read_n_out -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_read_n_out
	wire         ext_flash_tcm_grant;                                          // bup_qsys_cfi_flash_atb_bridge_0:grant -> ext_flash:tcm_grant
	wire         ext_flash_tcm_chipselect_n_out;                               // ext_flash:tcm_chipselect_n_out -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_chipselect_n_out
	wire  [26:0] ext_flash_tcm_address_out;                                    // ext_flash:tcm_address_out -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_address_out
	wire  [15:0] ext_flash_tcm_data_out;                                       // ext_flash:tcm_data_out -> bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_data_out
	wire  [15:0] ext_flash_tcm_data_in;                                        // bup_qsys_cfi_flash_atb_bridge_0:tcs_tcm_data_in -> ext_flash:tcm_data_in
	wire  [31:0] cpu_data_master_readdata;                                     // mm_interconnect_0:cpu_data_master_readdata -> cpu:d_readdata
	wire         cpu_data_master_waitrequest;                                  // mm_interconnect_0:cpu_data_master_waitrequest -> cpu:d_waitrequest
	wire         cpu_data_master_debugaccess;                                  // cpu:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:cpu_data_master_debugaccess
	wire  [28:0] cpu_data_master_address;                                      // cpu:d_address -> mm_interconnect_0:cpu_data_master_address
	wire   [3:0] cpu_data_master_byteenable;                                   // cpu:d_byteenable -> mm_interconnect_0:cpu_data_master_byteenable
	wire         cpu_data_master_read;                                         // cpu:d_read -> mm_interconnect_0:cpu_data_master_read
	wire         cpu_data_master_readdatavalid;                                // mm_interconnect_0:cpu_data_master_readdatavalid -> cpu:d_readdatavalid
	wire         cpu_data_master_write;                                        // cpu:d_write -> mm_interconnect_0:cpu_data_master_write
	wire  [31:0] cpu_data_master_writedata;                                    // cpu:d_writedata -> mm_interconnect_0:cpu_data_master_writedata
	wire  [31:0] cpu_instruction_master_readdata;                              // mm_interconnect_0:cpu_instruction_master_readdata -> cpu:i_readdata
	wire         cpu_instruction_master_waitrequest;                           // mm_interconnect_0:cpu_instruction_master_waitrequest -> cpu:i_waitrequest
	wire  [28:0] cpu_instruction_master_address;                               // cpu:i_address -> mm_interconnect_0:cpu_instruction_master_address
	wire         cpu_instruction_master_read;                                  // cpu:i_read -> mm_interconnect_0:cpu_instruction_master_read
	wire         cpu_instruction_master_readdatavalid;                         // mm_interconnect_0:cpu_instruction_master_readdatavalid -> cpu:i_readdatavalid
	wire  [31:0] tse_0_dma_tx_mm_read_readdata;                                // mm_interconnect_0:tse_0_dma_tx_mm_read_readdata -> tse_0_dma_tx:mm_read_readdata
	wire         tse_0_dma_tx_mm_read_waitrequest;                             // mm_interconnect_0:tse_0_dma_tx_mm_read_waitrequest -> tse_0_dma_tx:mm_read_waitrequest
	wire  [28:0] tse_0_dma_tx_mm_read_address;                                 // tse_0_dma_tx:mm_read_address -> mm_interconnect_0:tse_0_dma_tx_mm_read_address
	wire         tse_0_dma_tx_mm_read_read;                                    // tse_0_dma_tx:mm_read_read -> mm_interconnect_0:tse_0_dma_tx_mm_read_read
	wire   [3:0] tse_0_dma_tx_mm_read_byteenable;                              // tse_0_dma_tx:mm_read_byteenable -> mm_interconnect_0:tse_0_dma_tx_mm_read_byteenable
	wire         tse_0_dma_tx_mm_read_readdatavalid;                           // mm_interconnect_0:tse_0_dma_tx_mm_read_readdatavalid -> tse_0_dma_tx:mm_read_readdatavalid
	wire         tse_0_dma_rx_mm_write_waitrequest;                            // mm_interconnect_0:tse_0_dma_rx_mm_write_waitrequest -> tse_0_dma_rx:mm_write_waitrequest
	wire  [28:0] tse_0_dma_rx_mm_write_address;                                // tse_0_dma_rx:mm_write_address -> mm_interconnect_0:tse_0_dma_rx_mm_write_address
	wire   [3:0] tse_0_dma_rx_mm_write_byteenable;                             // tse_0_dma_rx:mm_write_byteenable -> mm_interconnect_0:tse_0_dma_rx_mm_write_byteenable
	wire         tse_0_dma_rx_mm_write_write;                                  // tse_0_dma_rx:mm_write_write -> mm_interconnect_0:tse_0_dma_rx_mm_write_write
	wire  [31:0] tse_0_dma_rx_mm_write_writedata;                              // tse_0_dma_rx:mm_write_writedata -> mm_interconnect_0:tse_0_dma_rx_mm_write_writedata
	wire  [31:0] tse_0_dma_tx_descriptor_read_master_readdata;                 // mm_interconnect_0:tse_0_dma_tx_descriptor_read_master_readdata -> tse_0_dma_tx:descriptor_read_master_readdata
	wire         tse_0_dma_tx_descriptor_read_master_waitrequest;              // mm_interconnect_0:tse_0_dma_tx_descriptor_read_master_waitrequest -> tse_0_dma_tx:descriptor_read_master_waitrequest
	wire  [12:0] tse_0_dma_tx_descriptor_read_master_address;                  // tse_0_dma_tx:descriptor_read_master_address -> mm_interconnect_0:tse_0_dma_tx_descriptor_read_master_address
	wire         tse_0_dma_tx_descriptor_read_master_read;                     // tse_0_dma_tx:descriptor_read_master_read -> mm_interconnect_0:tse_0_dma_tx_descriptor_read_master_read
	wire         tse_0_dma_tx_descriptor_read_master_readdatavalid;            // mm_interconnect_0:tse_0_dma_tx_descriptor_read_master_readdatavalid -> tse_0_dma_tx:descriptor_read_master_readdatavalid
	wire  [31:0] tse_0_dma_rx_descriptor_read_master_readdata;                 // mm_interconnect_0:tse_0_dma_rx_descriptor_read_master_readdata -> tse_0_dma_rx:descriptor_read_master_readdata
	wire         tse_0_dma_rx_descriptor_read_master_waitrequest;              // mm_interconnect_0:tse_0_dma_rx_descriptor_read_master_waitrequest -> tse_0_dma_rx:descriptor_read_master_waitrequest
	wire  [12:0] tse_0_dma_rx_descriptor_read_master_address;                  // tse_0_dma_rx:descriptor_read_master_address -> mm_interconnect_0:tse_0_dma_rx_descriptor_read_master_address
	wire         tse_0_dma_rx_descriptor_read_master_read;                     // tse_0_dma_rx:descriptor_read_master_read -> mm_interconnect_0:tse_0_dma_rx_descriptor_read_master_read
	wire         tse_0_dma_rx_descriptor_read_master_readdatavalid;            // mm_interconnect_0:tse_0_dma_rx_descriptor_read_master_readdatavalid -> tse_0_dma_rx:descriptor_read_master_readdatavalid
	wire         tse_0_dma_tx_descriptor_write_master_waitrequest;             // mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_waitrequest -> tse_0_dma_tx:descriptor_write_master_waitrequest
	wire  [12:0] tse_0_dma_tx_descriptor_write_master_address;                 // tse_0_dma_tx:descriptor_write_master_address -> mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_address
	wire   [3:0] tse_0_dma_tx_descriptor_write_master_byteenable;              // tse_0_dma_tx:descriptor_write_master_byteenable -> mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_byteenable
	wire   [1:0] tse_0_dma_tx_descriptor_write_master_response;                // mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_response -> tse_0_dma_tx:descriptor_write_master_response
	wire         tse_0_dma_tx_descriptor_write_master_write;                   // tse_0_dma_tx:descriptor_write_master_write -> mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_write
	wire  [31:0] tse_0_dma_tx_descriptor_write_master_writedata;               // tse_0_dma_tx:descriptor_write_master_writedata -> mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_writedata
	wire         tse_0_dma_tx_descriptor_write_master_writeresponsevalid;      // mm_interconnect_0:tse_0_dma_tx_descriptor_write_master_writeresponsevalid -> tse_0_dma_tx:descriptor_write_master_writeresponsevalid
	wire         tse_0_dma_rx_descriptor_write_master_waitrequest;             // mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_waitrequest -> tse_0_dma_rx:descriptor_write_master_waitrequest
	wire  [12:0] tse_0_dma_rx_descriptor_write_master_address;                 // tse_0_dma_rx:descriptor_write_master_address -> mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_address
	wire   [3:0] tse_0_dma_rx_descriptor_write_master_byteenable;              // tse_0_dma_rx:descriptor_write_master_byteenable -> mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_byteenable
	wire   [1:0] tse_0_dma_rx_descriptor_write_master_response;                // mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_response -> tse_0_dma_rx:descriptor_write_master_response
	wire         tse_0_dma_rx_descriptor_write_master_write;                   // tse_0_dma_rx:descriptor_write_master_write -> mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_write
	wire  [31:0] tse_0_dma_rx_descriptor_write_master_writedata;               // tse_0_dma_rx:descriptor_write_master_writedata -> mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_writedata
	wire         tse_0_dma_rx_descriptor_write_master_writeresponsevalid;      // mm_interconnect_0:tse_0_dma_rx_descriptor_write_master_writeresponsevalid -> tse_0_dma_rx:descriptor_write_master_writeresponsevalid
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;       // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;    // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;        // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;           // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;      // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect;  // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_chipselect -> opencores_i2c_0:wb_stb_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata;    // opencores_i2c_0:wb_dat_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_readdata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest; // opencores_i2c_0:wb_ack_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address;     // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_address -> opencores_i2c_0:wb_adr_i
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write;       // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_write -> opencores_i2c_0:wb_we_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata;   // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_writedata -> opencores_i2c_0:wb_dat_i
	wire  [31:0] mm_interconnect_0_tse_0_tse_control_port_readdata;            // tse_0_tse:reg_data_out -> mm_interconnect_0:tse_0_tse_control_port_readdata
	wire         mm_interconnect_0_tse_0_tse_control_port_waitrequest;         // tse_0_tse:reg_busy -> mm_interconnect_0:tse_0_tse_control_port_waitrequest
	wire   [7:0] mm_interconnect_0_tse_0_tse_control_port_address;             // mm_interconnect_0:tse_0_tse_control_port_address -> tse_0_tse:reg_addr
	wire         mm_interconnect_0_tse_0_tse_control_port_read;                // mm_interconnect_0:tse_0_tse_control_port_read -> tse_0_tse:reg_rd
	wire         mm_interconnect_0_tse_0_tse_control_port_write;               // mm_interconnect_0:tse_0_tse_control_port_write -> tse_0_tse:reg_wr
	wire  [31:0] mm_interconnect_0_tse_0_tse_control_port_writedata;           // mm_interconnect_0:tse_0_tse_control_port_writedata -> tse_0_tse:reg_data_in
	wire  [31:0] mm_interconnect_0_sysid_control_slave_readdata;               // sysid:readdata -> mm_interconnect_0:sysid_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_control_slave_address;                // mm_interconnect_0:sysid_control_slave_address -> sysid:address
	wire  [31:0] mm_interconnect_0_tse_0_dma_rx_csr_readdata;                  // tse_0_dma_rx:csr_readdata -> mm_interconnect_0:tse_0_dma_rx_csr_readdata
	wire   [2:0] mm_interconnect_0_tse_0_dma_rx_csr_address;                   // mm_interconnect_0:tse_0_dma_rx_csr_address -> tse_0_dma_rx:csr_address
	wire         mm_interconnect_0_tse_0_dma_rx_csr_read;                      // mm_interconnect_0:tse_0_dma_rx_csr_read -> tse_0_dma_rx:csr_read
	wire   [3:0] mm_interconnect_0_tse_0_dma_rx_csr_byteenable;                // mm_interconnect_0:tse_0_dma_rx_csr_byteenable -> tse_0_dma_rx:csr_byteenable
	wire         mm_interconnect_0_tse_0_dma_rx_csr_write;                     // mm_interconnect_0:tse_0_dma_rx_csr_write -> tse_0_dma_rx:csr_write
	wire  [31:0] mm_interconnect_0_tse_0_dma_rx_csr_writedata;                 // mm_interconnect_0:tse_0_dma_rx_csr_writedata -> tse_0_dma_rx:csr_writedata
	wire  [31:0] mm_interconnect_0_tse_0_dma_tx_csr_readdata;                  // tse_0_dma_tx:csr_readdata -> mm_interconnect_0:tse_0_dma_tx_csr_readdata
	wire   [2:0] mm_interconnect_0_tse_0_dma_tx_csr_address;                   // mm_interconnect_0:tse_0_dma_tx_csr_address -> tse_0_dma_tx:csr_address
	wire         mm_interconnect_0_tse_0_dma_tx_csr_read;                      // mm_interconnect_0:tse_0_dma_tx_csr_read -> tse_0_dma_tx:csr_read
	wire   [3:0] mm_interconnect_0_tse_0_dma_tx_csr_byteenable;                // mm_interconnect_0:tse_0_dma_tx_csr_byteenable -> tse_0_dma_tx:csr_byteenable
	wire         mm_interconnect_0_tse_0_dma_tx_csr_write;                     // mm_interconnect_0:tse_0_dma_tx_csr_write -> tse_0_dma_tx:csr_write
	wire  [31:0] mm_interconnect_0_tse_0_dma_tx_csr_writedata;                 // mm_interconnect_0:tse_0_dma_tx_csr_writedata -> tse_0_dma_tx:csr_writedata
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_readdata;               // cpu:debug_mem_slave_readdata -> mm_interconnect_0:cpu_debug_mem_slave_readdata
	wire         mm_interconnect_0_cpu_debug_mem_slave_waitrequest;            // cpu:debug_mem_slave_waitrequest -> mm_interconnect_0:cpu_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_cpu_debug_mem_slave_debugaccess;            // mm_interconnect_0:cpu_debug_mem_slave_debugaccess -> cpu:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_cpu_debug_mem_slave_address;                // mm_interconnect_0:cpu_debug_mem_slave_address -> cpu:debug_mem_slave_address
	wire         mm_interconnect_0_cpu_debug_mem_slave_read;                   // mm_interconnect_0:cpu_debug_mem_slave_read -> cpu:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_cpu_debug_mem_slave_byteenable;             // mm_interconnect_0:cpu_debug_mem_slave_byteenable -> cpu:debug_mem_slave_byteenable
	wire         mm_interconnect_0_cpu_debug_mem_slave_write;                  // mm_interconnect_0:cpu_debug_mem_slave_write -> cpu:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_writedata;              // mm_interconnect_0:cpu_debug_mem_slave_writedata -> cpu:debug_mem_slave_writedata
	wire  [31:0] mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_readdata;       // tse_0_dma_tx:prefetcher_csr_readdata -> mm_interconnect_0:tse_0_dma_tx_prefetcher_csr_readdata
	wire   [2:0] mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_address;        // mm_interconnect_0:tse_0_dma_tx_prefetcher_csr_address -> tse_0_dma_tx:prefetcher_csr_address
	wire         mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_read;           // mm_interconnect_0:tse_0_dma_tx_prefetcher_csr_read -> tse_0_dma_tx:prefetcher_csr_read
	wire         mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_write;          // mm_interconnect_0:tse_0_dma_tx_prefetcher_csr_write -> tse_0_dma_tx:prefetcher_csr_write
	wire  [31:0] mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_writedata;      // mm_interconnect_0:tse_0_dma_tx_prefetcher_csr_writedata -> tse_0_dma_tx:prefetcher_csr_writedata
	wire  [31:0] mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_readdata;       // tse_0_dma_rx:prefetcher_csr_readdata -> mm_interconnect_0:tse_0_dma_rx_prefetcher_csr_readdata
	wire   [2:0] mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_address;        // mm_interconnect_0:tse_0_dma_rx_prefetcher_csr_address -> tse_0_dma_rx:prefetcher_csr_address
	wire         mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_read;           // mm_interconnect_0:tse_0_dma_rx_prefetcher_csr_read -> tse_0_dma_rx:prefetcher_csr_read
	wire         mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_write;          // mm_interconnect_0:tse_0_dma_rx_prefetcher_csr_write -> tse_0_dma_rx:prefetcher_csr_write
	wire  [31:0] mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_writedata;      // mm_interconnect_0:tse_0_dma_rx_prefetcher_csr_writedata -> tse_0_dma_rx:prefetcher_csr_writedata
	wire         mm_interconnect_0_onchip_ram_m9_s1_chipselect;                // mm_interconnect_0:onchip_ram_m9_s1_chipselect -> onchip_ram_m9:chipselect
	wire  [31:0] mm_interconnect_0_onchip_ram_m9_s1_readdata;                  // onchip_ram_m9:readdata -> mm_interconnect_0:onchip_ram_m9_s1_readdata
	wire  [18:0] mm_interconnect_0_onchip_ram_m9_s1_address;                   // mm_interconnect_0:onchip_ram_m9_s1_address -> onchip_ram_m9:address
	wire   [3:0] mm_interconnect_0_onchip_ram_m9_s1_byteenable;                // mm_interconnect_0:onchip_ram_m9_s1_byteenable -> onchip_ram_m9:byteenable
	wire         mm_interconnect_0_onchip_ram_m9_s1_write;                     // mm_interconnect_0:onchip_ram_m9_s1_write -> onchip_ram_m9:write
	wire  [31:0] mm_interconnect_0_onchip_ram_m9_s1_writedata;                 // mm_interconnect_0:onchip_ram_m9_s1_writedata -> onchip_ram_m9:writedata
	wire         mm_interconnect_0_onchip_ram_m9_s1_clken;                     // mm_interconnect_0:onchip_ram_m9_s1_clken -> onchip_ram_m9:clken
	wire         mm_interconnect_0_descriptor_memory_s1_chipselect;            // mm_interconnect_0:descriptor_memory_s1_chipselect -> descriptor_memory:chipselect
	wire  [31:0] mm_interconnect_0_descriptor_memory_s1_readdata;              // descriptor_memory:readdata -> mm_interconnect_0:descriptor_memory_s1_readdata
	wire  [10:0] mm_interconnect_0_descriptor_memory_s1_address;               // mm_interconnect_0:descriptor_memory_s1_address -> descriptor_memory:address
	wire   [3:0] mm_interconnect_0_descriptor_memory_s1_byteenable;            // mm_interconnect_0:descriptor_memory_s1_byteenable -> descriptor_memory:byteenable
	wire         mm_interconnect_0_descriptor_memory_s1_write;                 // mm_interconnect_0:descriptor_memory_s1_write -> descriptor_memory:write
	wire  [31:0] mm_interconnect_0_descriptor_memory_s1_writedata;             // mm_interconnect_0:descriptor_memory_s1_writedata -> descriptor_memory:writedata
	wire         mm_interconnect_0_descriptor_memory_s1_clken;                 // mm_interconnect_0:descriptor_memory_s1_clken -> descriptor_memory:clken
	wire         mm_interconnect_0_led_pio_s1_chipselect;                      // mm_interconnect_0:led_pio_s1_chipselect -> led_pio:chipselect
	wire  [31:0] mm_interconnect_0_led_pio_s1_readdata;                        // led_pio:readdata -> mm_interconnect_0:led_pio_s1_readdata
	wire   [1:0] mm_interconnect_0_led_pio_s1_address;                         // mm_interconnect_0:led_pio_s1_address -> led_pio:address
	wire         mm_interconnect_0_led_pio_s1_write;                           // mm_interconnect_0:led_pio_s1_write -> led_pio:write_n
	wire  [31:0] mm_interconnect_0_led_pio_s1_writedata;                       // mm_interconnect_0:led_pio_s1_writedata -> led_pio:writedata
	wire         mm_interconnect_0_sys_clk_timer_s1_chipselect;                // mm_interconnect_0:sys_clk_timer_s1_chipselect -> sys_clk_timer:chipselect
	wire  [15:0] mm_interconnect_0_sys_clk_timer_s1_readdata;                  // sys_clk_timer:readdata -> mm_interconnect_0:sys_clk_timer_s1_readdata
	wire   [2:0] mm_interconnect_0_sys_clk_timer_s1_address;                   // mm_interconnect_0:sys_clk_timer_s1_address -> sys_clk_timer:address
	wire         mm_interconnect_0_sys_clk_timer_s1_write;                     // mm_interconnect_0:sys_clk_timer_s1_write -> sys_clk_timer:write_n
	wire  [15:0] mm_interconnect_0_sys_clk_timer_s1_writedata;                 // mm_interconnect_0:sys_clk_timer_s1_writedata -> sys_clk_timer:writedata
	wire  [31:0] mm_interconnect_0_button_pio_s1_readdata;                     // button_pio:readdata -> mm_interconnect_0:button_pio_s1_readdata
	wire   [1:0] mm_interconnect_0_button_pio_s1_address;                      // mm_interconnect_0:button_pio_s1_address -> button_pio:address
	wire         mm_interconnect_0_flash_select_s1_chipselect;                 // mm_interconnect_0:flash_select_s1_chipselect -> flash_select:chipselect
	wire  [31:0] mm_interconnect_0_flash_select_s1_readdata;                   // flash_select:readdata -> mm_interconnect_0:flash_select_s1_readdata
	wire   [1:0] mm_interconnect_0_flash_select_s1_address;                    // mm_interconnect_0:flash_select_s1_address -> flash_select:address
	wire         mm_interconnect_0_flash_select_s1_write;                      // mm_interconnect_0:flash_select_s1_write -> flash_select:write_n
	wire  [31:0] mm_interconnect_0_flash_select_s1_writedata;                  // mm_interconnect_0:flash_select_s1_writedata -> flash_select:writedata
	wire  [15:0] mm_interconnect_0_ext_flash_uas_readdata;                     // ext_flash:uas_readdata -> mm_interconnect_0:ext_flash_uas_readdata
	wire         mm_interconnect_0_ext_flash_uas_waitrequest;                  // ext_flash:uas_waitrequest -> mm_interconnect_0:ext_flash_uas_waitrequest
	wire         mm_interconnect_0_ext_flash_uas_debugaccess;                  // mm_interconnect_0:ext_flash_uas_debugaccess -> ext_flash:uas_debugaccess
	wire  [26:0] mm_interconnect_0_ext_flash_uas_address;                      // mm_interconnect_0:ext_flash_uas_address -> ext_flash:uas_address
	wire         mm_interconnect_0_ext_flash_uas_read;                         // mm_interconnect_0:ext_flash_uas_read -> ext_flash:uas_read
	wire   [1:0] mm_interconnect_0_ext_flash_uas_byteenable;                   // mm_interconnect_0:ext_flash_uas_byteenable -> ext_flash:uas_byteenable
	wire         mm_interconnect_0_ext_flash_uas_readdatavalid;                // ext_flash:uas_readdatavalid -> mm_interconnect_0:ext_flash_uas_readdatavalid
	wire         mm_interconnect_0_ext_flash_uas_lock;                         // mm_interconnect_0:ext_flash_uas_lock -> ext_flash:uas_lock
	wire         mm_interconnect_0_ext_flash_uas_write;                        // mm_interconnect_0:ext_flash_uas_write -> ext_flash:uas_write
	wire  [15:0] mm_interconnect_0_ext_flash_uas_writedata;                    // mm_interconnect_0:ext_flash_uas_writedata -> ext_flash:uas_writedata
	wire   [1:0] mm_interconnect_0_ext_flash_uas_burstcount;                   // mm_interconnect_0:ext_flash_uas_burstcount -> ext_flash:uas_burstcount
	wire         irq_mapper_receiver0_irq;                                     // tse_0_dma_rx:csr_irq_irq -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                     // tse_0_dma_tx:csr_irq_irq -> irq_mapper:receiver1_irq
	wire         irq_mapper_receiver2_irq;                                     // jtag_uart:av_irq -> irq_mapper:receiver2_irq
	wire         irq_mapper_receiver3_irq;                                     // sys_clk_timer:irq -> irq_mapper:receiver3_irq
	wire  [31:0] cpu_irq_irq;                                                  // irq_mapper:sender_irq -> cpu:irq
	wire         tse_0_tse_receive_valid;                                      // tse_0_tse:ff_rx_dval -> avalon_st_adapter:in_0_valid
	wire  [31:0] tse_0_tse_receive_data;                                       // tse_0_tse:ff_rx_data -> avalon_st_adapter:in_0_data
	wire         tse_0_tse_receive_ready;                                      // avalon_st_adapter:in_0_ready -> tse_0_tse:ff_rx_rdy
	wire         tse_0_tse_receive_startofpacket;                              // tse_0_tse:ff_rx_sop -> avalon_st_adapter:in_0_startofpacket
	wire         tse_0_tse_receive_endofpacket;                                // tse_0_tse:ff_rx_eop -> avalon_st_adapter:in_0_endofpacket
	wire   [5:0] tse_0_tse_receive_error;                                      // tse_0_tse:rx_err -> avalon_st_adapter:in_0_error
	wire   [1:0] tse_0_tse_receive_empty;                                      // tse_0_tse:ff_rx_mod -> avalon_st_adapter:in_0_empty
	wire         avalon_st_adapter_out_0_valid;                                // avalon_st_adapter:out_0_valid -> tse_0_dma_rx:st_sink_valid
	wire  [31:0] avalon_st_adapter_out_0_data;                                 // avalon_st_adapter:out_0_data -> tse_0_dma_rx:st_sink_data
	wire         avalon_st_adapter_out_0_ready;                                // tse_0_dma_rx:st_sink_ready -> avalon_st_adapter:out_0_ready
	wire         avalon_st_adapter_out_0_startofpacket;                        // avalon_st_adapter:out_0_startofpacket -> tse_0_dma_rx:st_sink_startofpacket
	wire         avalon_st_adapter_out_0_endofpacket;                          // avalon_st_adapter:out_0_endofpacket -> tse_0_dma_rx:st_sink_endofpacket
	wire   [5:0] avalon_st_adapter_out_0_error;                                // avalon_st_adapter:out_0_error -> tse_0_dma_rx:st_sink_error
	wire   [1:0] avalon_st_adapter_out_0_empty;                                // avalon_st_adapter:out_0_empty -> tse_0_dma_rx:st_sink_empty
	wire         rst_controller_reset_out_reset;                               // rst_controller:reset_out -> [bup_qsys_cfi_flash_atb_bridge_0:reset, button_pio:reset_n, cpu:reset_n, descriptor_memory:reset, ext_flash:reset_reset, flash_select:reset_n, irq_mapper:reset, jtag_uart:rst_n, led_pio:reset_n, mm_interconnect_0:cpu_reset_reset_bridge_in_reset_reset, mm_interconnect_0:tse_0_dma_tx_reset_n_reset_bridge_in_reset_reset, onchip_ram_m9:reset, opencores_i2c_0:wb_rst_i, rst_translator:in_reset, sys_clk_timer:reset_n, sysid:reset_n]
	wire         rst_controller_reset_out_reset_req;                           // rst_controller:reset_req -> [cpu:reset_req, descriptor_memory:reset_req, onchip_ram_m9:reset_req, rst_translator:reset_req_in]
	wire         sys_clk_clk_reset_reset;                                      // sys_clk:reset_n_out -> [rst_controller:reset_in0, rst_controller_001:reset_in0, rst_controller_002:reset_in0]
	wire         cpu_debug_reset_request_reset;                                // cpu:debug_reset_request -> [rst_controller:reset_in1, rst_controller_001:reset_in1, rst_controller_002:reset_in2]
	wire         rst_controller_001_reset_out_reset;                           // rst_controller_001:reset_out -> [tse_0_dma_rx:reset_n_reset_n, tse_0_dma_tx:reset_n_reset_n]
	wire         rst_controller_002_reset_out_reset;                           // rst_controller_002:reset_out -> [avalon_st_adapter:in_rst_0_reset, mm_interconnect_0:tse_0_tse_reset_connection_reset_bridge_in_reset_reset, tse_0_tse:reset]
	wire         clk_125m_clk_reset_reset;                                     // clk_125m:reset_n_out -> rst_controller_002:reset_in1

	bup_qsys_cfi_flash_atb_bridge_0 bup_qsys_cfi_flash_atb_bridge_0 (
		.clk                      (sys_clk_clk_clk),                                          //   input,   width = 1,   clk.clk
		.tcm_address_out          (bup_qsys_cfi_flash_atb_bridge_0_out_tcm_address_out),      //  output,  width = 27,   out.tcm_address_out
		.tcm_read_n_out           (bup_qsys_cfi_flash_atb_bridge_0_out_tcm_read_n_out),       //  output,   width = 1,      .tcm_read_n_out
		.tcm_write_n_out          (bup_qsys_cfi_flash_atb_bridge_0_out_tcm_write_n_out),      //  output,   width = 1,      .tcm_write_n_out
		.tcm_data_out             (bup_qsys_cfi_flash_atb_bridge_0_out_tcm_data_out),         //   inout,  width = 16,      .tcm_data_out
		.tcm_chipselect_n_out     (bup_qsys_cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out), //  output,   width = 1,      .tcm_chipselect_n_out
		.reset                    (rst_controller_reset_out_reset),                           //   input,   width = 1, reset.reset
		.request                  (ext_flash_tcm_request),                                    //   input,   width = 1,   tcs.request
		.grant                    (ext_flash_tcm_grant),                                      //  output,   width = 1,      .grant
		.tcs_tcm_address_out      (ext_flash_tcm_address_out),                                //   input,  width = 27,      .address_out
		.tcs_tcm_read_n_out       (ext_flash_tcm_read_n_out),                                 //   input,   width = 1,      .read_n_out
		.tcs_tcm_write_n_out      (ext_flash_tcm_write_n_out),                                //   input,   width = 1,      .write_n_out
		.tcs_tcm_data_out         (ext_flash_tcm_data_out),                                   //   input,  width = 16,      .data_out
		.tcs_tcm_data_outen       (ext_flash_tcm_data_outen),                                 //   input,   width = 1,      .data_outen
		.tcs_tcm_data_in          (ext_flash_tcm_data_in),                                    //  output,  width = 16,      .data_in
		.tcs_tcm_chipselect_n_out (ext_flash_tcm_chipselect_n_out)                            //   input,   width = 1,      .chipselect_n_out
	);

	bup_qsys_pio_0 button_pio (
		.clk      (sys_clk_clk_clk),                          //   input,   width = 1,                 clk.clk
		.in_port  (button_pio_external_connection_export),    //   input,   width = 3, external_connection.export
		.reset_n  (~rst_controller_reset_out_reset),          //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_button_pio_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_button_pio_s1_readdata)  //  output,  width = 32,                    .readdata
	);

	clk_125m clk_125m (
		.clk_out     (clk_125m_clk_clk),         //  output,  width = 1,          clk.clk
		.in_clk      (clk_125m_clk),             //   input,  width = 1,       clk_in.clk
		.reset_n     (reset_125m_reset_n),       //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out (clk_125m_clk_reset_reset)  //  output,  width = 1,    clk_reset.reset_n
	);

	bup_qsys_nios2_gen2_0 cpu (
		.clk                                 (sys_clk_clk_clk),                                   //   input,   width = 1,                       clk.clk
		.dummy_ci_port                       (),                                                  //  output,   width = 1, custom_instruction_master.readra
		.d_address                           (cpu_data_master_address),                           //  output,  width = 29,               data_master.address
		.d_byteenable                        (cpu_data_master_byteenable),                        //  output,   width = 4,                          .byteenable
		.d_read                              (cpu_data_master_read),                              //  output,   width = 1,                          .read
		.d_readdata                          (cpu_data_master_readdata),                          //   input,  width = 32,                          .readdata
		.d_waitrequest                       (cpu_data_master_waitrequest),                       //   input,   width = 1,                          .waitrequest
		.d_write                             (cpu_data_master_write),                             //  output,   width = 1,                          .write
		.d_writedata                         (cpu_data_master_writedata),                         //  output,  width = 32,                          .writedata
		.d_readdatavalid                     (cpu_data_master_readdatavalid),                     //   input,   width = 1,                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (cpu_data_master_debugaccess),                       //  output,   width = 1,                          .debugaccess
		.debug_mem_slave_address             (mm_interconnect_0_cpu_debug_mem_slave_address),     //   input,   width = 9,           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_cpu_debug_mem_slave_byteenable),  //   input,   width = 4,                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_cpu_debug_mem_slave_debugaccess), //   input,   width = 1,                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_cpu_debug_mem_slave_read),        //   input,   width = 1,                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_cpu_debug_mem_slave_readdata),    //  output,  width = 32,                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_cpu_debug_mem_slave_waitrequest), //  output,   width = 1,                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_cpu_debug_mem_slave_write),       //   input,   width = 1,                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_cpu_debug_mem_slave_writedata),   //   input,  width = 32,                          .writedata
		.debug_reset_request                 (cpu_debug_reset_request_reset),                     //  output,   width = 1,       debug_reset_request.reset
		.i_address                           (cpu_instruction_master_address),                    //  output,  width = 29,        instruction_master.address
		.i_read                              (cpu_instruction_master_read),                       //  output,   width = 1,                          .read
		.i_readdata                          (cpu_instruction_master_readdata),                   //   input,  width = 32,                          .readdata
		.i_waitrequest                       (cpu_instruction_master_waitrequest),                //   input,   width = 1,                          .waitrequest
		.i_readdatavalid                     (cpu_instruction_master_readdatavalid),              //   input,   width = 1,                          .readdatavalid
		.irq                                 (cpu_irq_irq),                                       //   input,  width = 32,                       irq.irq
		.reset_n                             (~rst_controller_reset_out_reset),                   //   input,   width = 1,                     reset.reset_n
		.reset_req                           (rst_controller_reset_out_reset_req)                 //   input,   width = 1,                          .reset_req
	);

	descriptor_memory descriptor_memory (
		.clk        (sys_clk_clk_clk),                                   //   input,   width = 1,   clk1.clk
		.reset      (rst_controller_reset_out_reset),                    //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req),                //   input,   width = 1,       .reset_req
		.address    (mm_interconnect_0_descriptor_memory_s1_address),    //   input,  width = 11,     s1.address
		.clken      (mm_interconnect_0_descriptor_memory_s1_clken),      //   input,   width = 1,       .clken
		.chipselect (mm_interconnect_0_descriptor_memory_s1_chipselect), //   input,   width = 1,       .chipselect
		.write      (mm_interconnect_0_descriptor_memory_s1_write),      //   input,   width = 1,       .write
		.readdata   (mm_interconnect_0_descriptor_memory_s1_readdata),   //  output,  width = 32,       .readdata
		.writedata  (mm_interconnect_0_descriptor_memory_s1_writedata),  //   input,  width = 32,       .writedata
		.byteenable (mm_interconnect_0_descriptor_memory_s1_byteenable)  //   input,   width = 4,       .byteenable
	);

	bup_qsys_generic_tristate_controller_0 ext_flash (
		.clk_clk              (sys_clk_clk_clk),                               //   input,   width = 1,   clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                //   input,   width = 1, reset.reset
		.tcm_write_n_out      (ext_flash_tcm_write_n_out),                     //  output,   width = 1,   tcm.write_n_out
		.tcm_read_n_out       (ext_flash_tcm_read_n_out),                      //  output,   width = 1,      .read_n_out
		.tcm_chipselect_n_out (ext_flash_tcm_chipselect_n_out),                //  output,   width = 1,      .chipselect_n_out
		.tcm_request          (ext_flash_tcm_request),                         //  output,   width = 1,      .request
		.tcm_grant            (ext_flash_tcm_grant),                           //   input,   width = 1,      .grant
		.tcm_address_out      (ext_flash_tcm_address_out),                     //  output,  width = 27,      .address_out
		.tcm_data_out         (ext_flash_tcm_data_out),                        //  output,  width = 16,      .data_out
		.tcm_data_outen       (ext_flash_tcm_data_outen),                      //  output,   width = 1,      .data_outen
		.tcm_data_in          (ext_flash_tcm_data_in),                         //   input,  width = 16,      .data_in
		.uas_address          (mm_interconnect_0_ext_flash_uas_address),       //   input,  width = 27,   uas.address
		.uas_burstcount       (mm_interconnect_0_ext_flash_uas_burstcount),    //   input,   width = 2,      .burstcount
		.uas_read             (mm_interconnect_0_ext_flash_uas_read),          //   input,   width = 1,      .read
		.uas_write            (mm_interconnect_0_ext_flash_uas_write),         //   input,   width = 1,      .write
		.uas_waitrequest      (mm_interconnect_0_ext_flash_uas_waitrequest),   //  output,   width = 1,      .waitrequest
		.uas_readdatavalid    (mm_interconnect_0_ext_flash_uas_readdatavalid), //  output,   width = 1,      .readdatavalid
		.uas_byteenable       (mm_interconnect_0_ext_flash_uas_byteenable),    //   input,   width = 2,      .byteenable
		.uas_readdata         (mm_interconnect_0_ext_flash_uas_readdata),      //  output,  width = 16,      .readdata
		.uas_writedata        (mm_interconnect_0_ext_flash_uas_writedata),     //   input,  width = 16,      .writedata
		.uas_lock             (mm_interconnect_0_ext_flash_uas_lock),          //   input,   width = 1,      .lock
		.uas_debugaccess      (mm_interconnect_0_ext_flash_uas_debugaccess)    //   input,   width = 1,      .debugaccess
	);

	bup_qsys_pio_1 flash_select (
		.clk        (sys_clk_clk_clk),                              //   input,   width = 1,                 clk.clk
		.out_port   (flash_select_external_connection_export),      //  output,   width = 1, external_connection.export
		.reset_n    (~rst_controller_reset_out_reset),              //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_flash_select_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_flash_select_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_flash_select_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_flash_select_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_flash_select_s1_readdata)    //  output,  width = 32,                    .readdata
	);

	bup_qsys_jtag_uart jtag_uart (
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.clk            (sys_clk_clk_clk),                                           //   input,   width = 1,               clk.clk
		.av_irq         (irq_mapper_receiver2_irq),                                  //  output,   width = 1,               irq.irq
		.rst_n          (~rst_controller_reset_out_reset)                            //   input,   width = 1,             reset.reset_n
	);

	bup_qsys_led_pio led_pio (
		.clk        (sys_clk_clk_clk),                         //   input,   width = 1,                 clk.clk
		.out_port   (led_pio_out_export),                      //  output,   width = 8, external_connection.export
		.reset_n    (~rst_controller_reset_out_reset),         //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_led_pio_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_led_pio_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_led_pio_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_led_pio_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_led_pio_s1_readdata)    //  output,  width = 32,                    .readdata
	);

	bup_qsys_onchip_ram_m9 onchip_ram_m9 (
		.clk        (sys_clk_clk_clk),                               //   input,   width = 1,   clk1.clk
		.reset      (rst_controller_reset_out_reset),                //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req),            //   input,   width = 1,       .reset_req
		.address    (mm_interconnect_0_onchip_ram_m9_s1_address),    //   input,  width = 19,     s1.address
		.clken      (mm_interconnect_0_onchip_ram_m9_s1_clken),      //   input,   width = 1,       .clken
		.chipselect (mm_interconnect_0_onchip_ram_m9_s1_chipselect), //   input,   width = 1,       .chipselect
		.write      (mm_interconnect_0_onchip_ram_m9_s1_write),      //   input,   width = 1,       .write
		.readdata   (mm_interconnect_0_onchip_ram_m9_s1_readdata),   //  output,  width = 32,       .readdata
		.writedata  (mm_interconnect_0_onchip_ram_m9_s1_writedata),  //   input,  width = 32,       .writedata
		.byteenable (mm_interconnect_0_onchip_ram_m9_s1_byteenable)  //   input,   width = 4,       .byteenable
	);

	bup_qsys_opencores_i2c_0 opencores_i2c_0 (
		.wb_adr_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),     //   input,  width = 3,   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),   //   input,  width = 8,                 .writedata
		.wb_dat_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),    //  output,  width = 8,                 .readdata
		.wb_we_i    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),       //   input,  width = 1,                 .write
		.wb_stb_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),  //   input,  width = 1,                 .chipselect
		.wb_ack_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //  output,  width = 1,                 .waitrequest_n
		.wb_clk_i   (sys_clk_clk_clk),                                              //   input,  width = 1,            clock.clk
		.wb_rst_i   (rst_controller_reset_out_reset),                               //   input,  width = 1,      clock_reset.reset
		.scl_pad_io (opencores_i2c_export_0_scl_pad_io),                            //   inout,  width = 1,         export_0.scl_pad_io
		.sda_pad_io (opencores_i2c_export_0_sda_pad_io),                            //   inout,  width = 1,                 .sda_pad_io
		.wb_inta_o  ()                                                              //  output,  width = 1, interrupt_sender.irq
	);

	bup_qsys_sys_clk sys_clk (
		.clk_out     (sys_clk_clk_clk),         //  output,  width = 1,          clk.clk
		.in_clk      (sys_clk_clk),             //   input,  width = 1,       clk_in.clk
		.reset_n     (reset_1_reset_n),         //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out (sys_clk_clk_reset_reset)  //  output,  width = 1,    clk_reset.reset_n
	);

	bup_qsys_sys_clk_timer sys_clk_timer (
		.clk        (sys_clk_clk_clk),                               //   input,   width = 1,   clk.clk
		.irq        (irq_mapper_receiver3_irq),                      //  output,   width = 1,   irq.irq
		.reset_n    (~rst_controller_reset_out_reset),               //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_0_sys_clk_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_0_sys_clk_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_0_sys_clk_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_0_sys_clk_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_0_sys_clk_timer_s1_write)      //   input,   width = 1,      .write_n
	);

	bup_qsys_sysid sysid (
		.clock    (sys_clk_clk_clk),                                //   input,   width = 1,           clk.clk
		.readdata (mm_interconnect_0_sysid_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_0_sysid_control_slave_address),  //   input,   width = 1,              .address
		.reset_n  (~rst_controller_reset_out_reset)                 //   input,   width = 1,         reset.reset_n
	);

	bup_qsys_msgdma_rx tse_0_dma_rx (
		.clock_clk                                  (sys_clk_clk_clk),                                         //   input,   width = 1,                   clock.clk
		.csr_writedata                              (mm_interconnect_0_tse_0_dma_rx_csr_writedata),            //   input,  width = 32,                     csr.writedata
		.csr_write                                  (mm_interconnect_0_tse_0_dma_rx_csr_write),                //   input,   width = 1,                        .write
		.csr_byteenable                             (mm_interconnect_0_tse_0_dma_rx_csr_byteenable),           //   input,   width = 4,                        .byteenable
		.csr_readdata                               (mm_interconnect_0_tse_0_dma_rx_csr_readdata),             //  output,  width = 32,                        .readdata
		.csr_read                                   (mm_interconnect_0_tse_0_dma_rx_csr_read),                 //   input,   width = 1,                        .read
		.csr_address                                (mm_interconnect_0_tse_0_dma_rx_csr_address),              //   input,   width = 3,                        .address
		.csr_irq_irq                                (irq_mapper_receiver0_irq),                                //  output,   width = 1,                 csr_irq.irq
		.descriptor_read_master_address             (tse_0_dma_rx_descriptor_read_master_address),             //  output,  width = 13,  descriptor_read_master.address
		.descriptor_read_master_read                (tse_0_dma_rx_descriptor_read_master_read),                //  output,   width = 1,                        .read
		.descriptor_read_master_readdata            (tse_0_dma_rx_descriptor_read_master_readdata),            //   input,  width = 32,                        .readdata
		.descriptor_read_master_waitrequest         (tse_0_dma_rx_descriptor_read_master_waitrequest),         //   input,   width = 1,                        .waitrequest
		.descriptor_read_master_readdatavalid       (tse_0_dma_rx_descriptor_read_master_readdatavalid),       //   input,   width = 1,                        .readdatavalid
		.descriptor_write_master_address            (tse_0_dma_rx_descriptor_write_master_address),            //  output,  width = 13, descriptor_write_master.address
		.descriptor_write_master_write              (tse_0_dma_rx_descriptor_write_master_write),              //  output,   width = 1,                        .write
		.descriptor_write_master_byteenable         (tse_0_dma_rx_descriptor_write_master_byteenable),         //  output,   width = 4,                        .byteenable
		.descriptor_write_master_writedata          (tse_0_dma_rx_descriptor_write_master_writedata),          //  output,  width = 32,                        .writedata
		.descriptor_write_master_waitrequest        (tse_0_dma_rx_descriptor_write_master_waitrequest),        //   input,   width = 1,                        .waitrequest
		.descriptor_write_master_response           (tse_0_dma_rx_descriptor_write_master_response),           //   input,   width = 2,                        .response
		.descriptor_write_master_writeresponsevalid (tse_0_dma_rx_descriptor_write_master_writeresponsevalid), //   input,   width = 1,                        .writeresponsevalid
		.mm_write_address                           (tse_0_dma_rx_mm_write_address),                           //  output,  width = 29,                mm_write.address
		.mm_write_write                             (tse_0_dma_rx_mm_write_write),                             //  output,   width = 1,                        .write
		.mm_write_byteenable                        (tse_0_dma_rx_mm_write_byteenable),                        //  output,   width = 4,                        .byteenable
		.mm_write_writedata                         (tse_0_dma_rx_mm_write_writedata),                         //  output,  width = 32,                        .writedata
		.mm_write_waitrequest                       (tse_0_dma_rx_mm_write_waitrequest),                       //   input,   width = 1,                        .waitrequest
		.prefetcher_csr_address                     (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_address),   //   input,   width = 3,          prefetcher_csr.address
		.prefetcher_csr_read                        (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_read),      //   input,   width = 1,                        .read
		.prefetcher_csr_write                       (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_write),     //   input,   width = 1,                        .write
		.prefetcher_csr_writedata                   (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_writedata), //   input,  width = 32,                        .writedata
		.prefetcher_csr_readdata                    (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_readdata),  //  output,  width = 32,                        .readdata
		.reset_n_reset_n                            (~rst_controller_001_reset_out_reset),                     //   input,   width = 1,                 reset_n.reset_n
		.st_sink_data                               (avalon_st_adapter_out_0_data),                            //   input,  width = 32,                 st_sink.data
		.st_sink_valid                              (avalon_st_adapter_out_0_valid),                           //   input,   width = 1,                        .valid
		.st_sink_ready                              (avalon_st_adapter_out_0_ready),                           //  output,   width = 1,                        .ready
		.st_sink_startofpacket                      (avalon_st_adapter_out_0_startofpacket),                   //   input,   width = 1,                        .startofpacket
		.st_sink_endofpacket                        (avalon_st_adapter_out_0_endofpacket),                     //   input,   width = 1,                        .endofpacket
		.st_sink_empty                              (avalon_st_adapter_out_0_empty),                           //   input,   width = 2,                        .empty
		.st_sink_error                              (avalon_st_adapter_out_0_error)                            //   input,   width = 6,                        .error
	);

	bup_qsys_msgdma_tx tse_0_dma_tx (
		.clock_clk                                  (sys_clk_clk_clk),                                         //   input,   width = 1,                   clock.clk
		.csr_writedata                              (mm_interconnect_0_tse_0_dma_tx_csr_writedata),            //   input,  width = 32,                     csr.writedata
		.csr_write                                  (mm_interconnect_0_tse_0_dma_tx_csr_write),                //   input,   width = 1,                        .write
		.csr_byteenable                             (mm_interconnect_0_tse_0_dma_tx_csr_byteenable),           //   input,   width = 4,                        .byteenable
		.csr_readdata                               (mm_interconnect_0_tse_0_dma_tx_csr_readdata),             //  output,  width = 32,                        .readdata
		.csr_read                                   (mm_interconnect_0_tse_0_dma_tx_csr_read),                 //   input,   width = 1,                        .read
		.csr_address                                (mm_interconnect_0_tse_0_dma_tx_csr_address),              //   input,   width = 3,                        .address
		.csr_irq_irq                                (irq_mapper_receiver1_irq),                                //  output,   width = 1,                 csr_irq.irq
		.descriptor_read_master_address             (tse_0_dma_tx_descriptor_read_master_address),             //  output,  width = 13,  descriptor_read_master.address
		.descriptor_read_master_read                (tse_0_dma_tx_descriptor_read_master_read),                //  output,   width = 1,                        .read
		.descriptor_read_master_readdata            (tse_0_dma_tx_descriptor_read_master_readdata),            //   input,  width = 32,                        .readdata
		.descriptor_read_master_waitrequest         (tse_0_dma_tx_descriptor_read_master_waitrequest),         //   input,   width = 1,                        .waitrequest
		.descriptor_read_master_readdatavalid       (tse_0_dma_tx_descriptor_read_master_readdatavalid),       //   input,   width = 1,                        .readdatavalid
		.descriptor_write_master_address            (tse_0_dma_tx_descriptor_write_master_address),            //  output,  width = 13, descriptor_write_master.address
		.descriptor_write_master_write              (tse_0_dma_tx_descriptor_write_master_write),              //  output,   width = 1,                        .write
		.descriptor_write_master_byteenable         (tse_0_dma_tx_descriptor_write_master_byteenable),         //  output,   width = 4,                        .byteenable
		.descriptor_write_master_writedata          (tse_0_dma_tx_descriptor_write_master_writedata),          //  output,  width = 32,                        .writedata
		.descriptor_write_master_waitrequest        (tse_0_dma_tx_descriptor_write_master_waitrequest),        //   input,   width = 1,                        .waitrequest
		.descriptor_write_master_response           (tse_0_dma_tx_descriptor_write_master_response),           //   input,   width = 2,                        .response
		.descriptor_write_master_writeresponsevalid (tse_0_dma_tx_descriptor_write_master_writeresponsevalid), //   input,   width = 1,                        .writeresponsevalid
		.mm_read_address                            (tse_0_dma_tx_mm_read_address),                            //  output,  width = 29,                 mm_read.address
		.mm_read_read                               (tse_0_dma_tx_mm_read_read),                               //  output,   width = 1,                        .read
		.mm_read_byteenable                         (tse_0_dma_tx_mm_read_byteenable),                         //  output,   width = 4,                        .byteenable
		.mm_read_readdata                           (tse_0_dma_tx_mm_read_readdata),                           //   input,  width = 32,                        .readdata
		.mm_read_waitrequest                        (tse_0_dma_tx_mm_read_waitrequest),                        //   input,   width = 1,                        .waitrequest
		.mm_read_readdatavalid                      (tse_0_dma_tx_mm_read_readdatavalid),                      //   input,   width = 1,                        .readdatavalid
		.prefetcher_csr_address                     (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_address),   //   input,   width = 3,          prefetcher_csr.address
		.prefetcher_csr_read                        (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_read),      //   input,   width = 1,                        .read
		.prefetcher_csr_write                       (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_write),     //   input,   width = 1,                        .write
		.prefetcher_csr_writedata                   (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_writedata), //   input,  width = 32,                        .writedata
		.prefetcher_csr_readdata                    (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_readdata),  //  output,  width = 32,                        .readdata
		.reset_n_reset_n                            (~rst_controller_001_reset_out_reset),                     //   input,   width = 1,                 reset_n.reset_n
		.st_source_data                             (tse_0_dma_tx_st_source_data),                             //  output,  width = 32,               st_source.data
		.st_source_valid                            (tse_0_dma_tx_st_source_valid),                            //  output,   width = 1,                        .valid
		.st_source_ready                            (tse_0_dma_tx_st_source_ready),                            //   input,   width = 1,                        .ready
		.st_source_startofpacket                    (tse_0_dma_tx_st_source_startofpacket),                    //  output,   width = 1,                        .startofpacket
		.st_source_endofpacket                      (tse_0_dma_tx_st_source_endofpacket),                      //  output,   width = 1,                        .endofpacket
		.st_source_empty                            (tse_0_dma_tx_st_source_empty),                            //  output,   width = 2,                        .empty
		.st_source_error                            (tse_0_dma_tx_st_source_error)                             //  output,   width = 1,                        .error
	);

	tse_mac tse_0_tse (
		.reg_data_out   (mm_interconnect_0_tse_0_tse_control_port_readdata),    //  output,  width = 32,                  control_port.readdata
		.reg_rd         (mm_interconnect_0_tse_0_tse_control_port_read),        //   input,   width = 1,                              .read
		.reg_data_in    (mm_interconnect_0_tse_0_tse_control_port_writedata),   //   input,  width = 32,                              .writedata
		.reg_wr         (mm_interconnect_0_tse_0_tse_control_port_write),       //   input,   width = 1,                              .write
		.reg_busy       (mm_interconnect_0_tse_0_tse_control_port_waitrequest), //  output,   width = 1,                              .waitrequest
		.reg_addr       (mm_interconnect_0_tse_0_tse_control_port_address),     //   input,   width = 8,                              .address
		.clk            (sys_clk_clk_clk),                                      //   input,   width = 1, control_port_clock_connection.clk
		.mdc            (tse_mac_mac_mdio_connection_mdc),                      //  output,   width = 1,           mac_mdio_connection.mdc
		.mdio_in        (tse_mac_mac_mdio_connection_mdio_in),                  //   input,   width = 1,                              .mdio_in
		.mdio_out       (tse_mac_mac_mdio_connection_mdio_out),                 //  output,   width = 1,                              .mdio_out
		.mdio_oen       (tse_mac_mac_mdio_connection_mdio_oen),                 //  output,   width = 1,                              .mdio_oen
		.magic_wakeup   (tse_mac_misc_connection_magic_wakeup),                 //  output,   width = 1,           mac_misc_connection.magic_wakeup
		.magic_sleep_n  (tse_mac_misc_connection_magic_sleep_n),                //   input,   width = 1,                              .magic_sleep_n
		.ff_tx_crc_fwd  (tse_mac_misc_connection_ff_tx_crc_fwd),                //   input,   width = 1,                              .ff_tx_crc_fwd
		.ff_tx_septy    (tse_mac_misc_connection_ff_tx_septy),                  //  output,   width = 1,                              .ff_tx_septy
		.tx_ff_uflow    (tse_mac_misc_connection_tx_ff_uflow),                  //  output,   width = 1,                              .tx_ff_uflow
		.ff_tx_a_full   (tse_mac_misc_connection_ff_tx_a_full),                 //  output,   width = 1,                              .ff_tx_a_full
		.ff_tx_a_empty  (tse_mac_misc_connection_ff_tx_a_empty),                //  output,   width = 1,                              .ff_tx_a_empty
		.rx_err_stat    (tse_mac_misc_connection_rx_err_stat),                  //  output,  width = 18,                              .rx_err_stat
		.rx_frm_type    (tse_mac_misc_connection_rx_frm_type),                  //  output,   width = 4,                              .rx_frm_type
		.ff_rx_dsav     (tse_mac_misc_connection_ff_rx_dsav),                   //  output,   width = 1,                              .ff_rx_dsav
		.ff_rx_a_full   (tse_mac_misc_connection_ff_rx_a_full),                 //  output,   width = 1,                              .ff_rx_a_full
		.ff_rx_a_empty  (tse_mac_misc_connection_ff_rx_a_empty),                //  output,   width = 1,                              .ff_rx_a_empty
		.ref_clk        (clk_125m_clk_clk),                                     //   input,   width = 1,  pcs_ref_clk_clock_connection.clk
		.ff_rx_data     (tse_0_tse_receive_data),                               //  output,  width = 32,                       receive.data
		.ff_rx_eop      (tse_0_tse_receive_endofpacket),                        //  output,   width = 1,                              .endofpacket
		.rx_err         (tse_0_tse_receive_error),                              //  output,   width = 6,                              .error
		.ff_rx_mod      (tse_0_tse_receive_empty),                              //  output,   width = 2,                              .empty
		.ff_rx_rdy      (tse_0_tse_receive_ready),                              //   input,   width = 1,                              .ready
		.ff_rx_sop      (tse_0_tse_receive_startofpacket),                      //  output,   width = 1,                              .startofpacket
		.ff_rx_dval     (tse_0_tse_receive_valid),                              //  output,   width = 1,                              .valid
		.ff_rx_clk      (sys_clk_clk_clk),                                      //   input,   width = 1,      receive_clock_connection.clk
		.reset          (rst_controller_002_reset_out_reset),                   //   input,   width = 1,              reset_connection.reset
		.rx_recovclkout (),                                                     //  output,   width = 1,     serdes_control_connection.export
		.rxp            (tse_mac_serial_connection_rxp_0),                      //   input,   width = 1,             serial_connection.rxp_0
		.txp            (tse_mac_serial_connection_txp_0),                      //  output,   width = 1,                              .txp_0
		.led_crs        (tse_mac_status_led_connection_crs),                    //  output,   width = 1,         status_led_connection.crs
		.led_link       (tse_mac_status_led_connection_link),                   //  output,   width = 1,                              .link
		.led_panel_link (tse_mac_status_led_connection_panel_link),             //  output,   width = 1,                              .panel_link
		.led_col        (tse_mac_status_led_connection_col),                    //  output,   width = 1,                              .col
		.led_an         (tse_mac_status_led_connection_an),                     //  output,   width = 1,                              .an
		.led_char_err   (tse_mac_status_led_connection_char_err),               //  output,   width = 1,                              .char_err
		.led_disp_err   (tse_mac_status_led_connection_disp_err),               //  output,   width = 1,                              .disp_err
		.ff_tx_data     (tse_0_dma_tx_st_source_data),                          //   input,  width = 32,                      transmit.data
		.ff_tx_eop      (tse_0_dma_tx_st_source_endofpacket),                   //   input,   width = 1,                              .endofpacket
		.ff_tx_err      (tse_0_dma_tx_st_source_error),                         //   input,   width = 1,                              .error
		.ff_tx_mod      (tse_0_dma_tx_st_source_empty),                         //   input,   width = 2,                              .empty
		.ff_tx_rdy      (tse_0_dma_tx_st_source_ready),                         //  output,   width = 1,                              .ready
		.ff_tx_sop      (tse_0_dma_tx_st_source_startofpacket),                 //   input,   width = 1,                              .startofpacket
		.ff_tx_wren     (tse_0_dma_tx_st_source_valid),                         //   input,   width = 1,                              .valid
		.ff_tx_clk      (sys_clk_clk_clk)                                       //   input,   width = 1,     transmit_clock_connection.clk
	);

	bup_qsys_altera_mm_interconnect_171_xivuwli mm_interconnect_0 (
		.button_pio_s1_address                                   (mm_interconnect_0_button_pio_s1_address),                       //  output,   width = 2,                                    button_pio_s1.address
		.button_pio_s1_readdata                                  (mm_interconnect_0_button_pio_s1_readdata),                      //   input,  width = 32,                                                 .readdata
		.cpu_data_master_address                                 (cpu_data_master_address),                                       //   input,  width = 29,                                  cpu_data_master.address
		.cpu_data_master_waitrequest                             (cpu_data_master_waitrequest),                                   //  output,   width = 1,                                                 .waitrequest
		.cpu_data_master_byteenable                              (cpu_data_master_byteenable),                                    //   input,   width = 4,                                                 .byteenable
		.cpu_data_master_read                                    (cpu_data_master_read),                                          //   input,   width = 1,                                                 .read
		.cpu_data_master_readdata                                (cpu_data_master_readdata),                                      //  output,  width = 32,                                                 .readdata
		.cpu_data_master_readdatavalid                           (cpu_data_master_readdatavalid),                                 //  output,   width = 1,                                                 .readdatavalid
		.cpu_data_master_write                                   (cpu_data_master_write),                                         //   input,   width = 1,                                                 .write
		.cpu_data_master_writedata                               (cpu_data_master_writedata),                                     //   input,  width = 32,                                                 .writedata
		.cpu_data_master_debugaccess                             (cpu_data_master_debugaccess),                                   //   input,   width = 1,                                                 .debugaccess
		.cpu_debug_mem_slave_address                             (mm_interconnect_0_cpu_debug_mem_slave_address),                 //  output,   width = 9,                              cpu_debug_mem_slave.address
		.cpu_debug_mem_slave_write                               (mm_interconnect_0_cpu_debug_mem_slave_write),                   //  output,   width = 1,                                                 .write
		.cpu_debug_mem_slave_read                                (mm_interconnect_0_cpu_debug_mem_slave_read),                    //  output,   width = 1,                                                 .read
		.cpu_debug_mem_slave_readdata                            (mm_interconnect_0_cpu_debug_mem_slave_readdata),                //   input,  width = 32,                                                 .readdata
		.cpu_debug_mem_slave_writedata                           (mm_interconnect_0_cpu_debug_mem_slave_writedata),               //  output,  width = 32,                                                 .writedata
		.cpu_debug_mem_slave_byteenable                          (mm_interconnect_0_cpu_debug_mem_slave_byteenable),              //  output,   width = 4,                                                 .byteenable
		.cpu_debug_mem_slave_waitrequest                         (mm_interconnect_0_cpu_debug_mem_slave_waitrequest),             //   input,   width = 1,                                                 .waitrequest
		.cpu_debug_mem_slave_debugaccess                         (mm_interconnect_0_cpu_debug_mem_slave_debugaccess),             //  output,   width = 1,                                                 .debugaccess
		.cpu_instruction_master_address                          (cpu_instruction_master_address),                                //   input,  width = 29,                           cpu_instruction_master.address
		.cpu_instruction_master_waitrequest                      (cpu_instruction_master_waitrequest),                            //  output,   width = 1,                                                 .waitrequest
		.cpu_instruction_master_read                             (cpu_instruction_master_read),                                   //   input,   width = 1,                                                 .read
		.cpu_instruction_master_readdata                         (cpu_instruction_master_readdata),                               //  output,  width = 32,                                                 .readdata
		.cpu_instruction_master_readdatavalid                    (cpu_instruction_master_readdatavalid),                          //  output,   width = 1,                                                 .readdatavalid
		.cpu_reset_reset_bridge_in_reset_reset                   (rst_controller_reset_out_reset),                                //   input,   width = 1,                  cpu_reset_reset_bridge_in_reset.reset
		.descriptor_memory_s1_address                            (mm_interconnect_0_descriptor_memory_s1_address),                //  output,  width = 11,                             descriptor_memory_s1.address
		.descriptor_memory_s1_write                              (mm_interconnect_0_descriptor_memory_s1_write),                  //  output,   width = 1,                                                 .write
		.descriptor_memory_s1_readdata                           (mm_interconnect_0_descriptor_memory_s1_readdata),               //   input,  width = 32,                                                 .readdata
		.descriptor_memory_s1_writedata                          (mm_interconnect_0_descriptor_memory_s1_writedata),              //  output,  width = 32,                                                 .writedata
		.descriptor_memory_s1_byteenable                         (mm_interconnect_0_descriptor_memory_s1_byteenable),             //  output,   width = 4,                                                 .byteenable
		.descriptor_memory_s1_chipselect                         (mm_interconnect_0_descriptor_memory_s1_chipselect),             //  output,   width = 1,                                                 .chipselect
		.descriptor_memory_s1_clken                              (mm_interconnect_0_descriptor_memory_s1_clken),                  //  output,   width = 1,                                                 .clken
		.ext_flash_uas_address                                   (mm_interconnect_0_ext_flash_uas_address),                       //  output,  width = 27,                                    ext_flash_uas.address
		.ext_flash_uas_write                                     (mm_interconnect_0_ext_flash_uas_write),                         //  output,   width = 1,                                                 .write
		.ext_flash_uas_read                                      (mm_interconnect_0_ext_flash_uas_read),                          //  output,   width = 1,                                                 .read
		.ext_flash_uas_readdata                                  (mm_interconnect_0_ext_flash_uas_readdata),                      //   input,  width = 16,                                                 .readdata
		.ext_flash_uas_writedata                                 (mm_interconnect_0_ext_flash_uas_writedata),                     //  output,  width = 16,                                                 .writedata
		.ext_flash_uas_burstcount                                (mm_interconnect_0_ext_flash_uas_burstcount),                    //  output,   width = 2,                                                 .burstcount
		.ext_flash_uas_byteenable                                (mm_interconnect_0_ext_flash_uas_byteenable),                    //  output,   width = 2,                                                 .byteenable
		.ext_flash_uas_readdatavalid                             (mm_interconnect_0_ext_flash_uas_readdatavalid),                 //   input,   width = 1,                                                 .readdatavalid
		.ext_flash_uas_waitrequest                               (mm_interconnect_0_ext_flash_uas_waitrequest),                   //   input,   width = 1,                                                 .waitrequest
		.ext_flash_uas_lock                                      (mm_interconnect_0_ext_flash_uas_lock),                          //  output,   width = 1,                                                 .lock
		.ext_flash_uas_debugaccess                               (mm_interconnect_0_ext_flash_uas_debugaccess),                   //  output,   width = 1,                                                 .debugaccess
		.flash_select_s1_address                                 (mm_interconnect_0_flash_select_s1_address),                     //  output,   width = 2,                                  flash_select_s1.address
		.flash_select_s1_write                                   (mm_interconnect_0_flash_select_s1_write),                       //  output,   width = 1,                                                 .write
		.flash_select_s1_readdata                                (mm_interconnect_0_flash_select_s1_readdata),                    //   input,  width = 32,                                                 .readdata
		.flash_select_s1_writedata                               (mm_interconnect_0_flash_select_s1_writedata),                   //  output,  width = 32,                                                 .writedata
		.flash_select_s1_chipselect                              (mm_interconnect_0_flash_select_s1_chipselect),                  //  output,   width = 1,                                                 .chipselect
		.jtag_uart_avalon_jtag_slave_address                     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),         //  output,   width = 1,                      jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                       (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),           //  output,   width = 1,                                                 .write
		.jtag_uart_avalon_jtag_slave_read                        (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),            //  output,   width = 1,                                                 .read
		.jtag_uart_avalon_jtag_slave_readdata                    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),        //   input,  width = 32,                                                 .readdata
		.jtag_uart_avalon_jtag_slave_writedata                   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),       //  output,  width = 32,                                                 .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                 (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),     //   input,   width = 1,                                                 .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),      //  output,   width = 1,                                                 .chipselect
		.led_pio_s1_address                                      (mm_interconnect_0_led_pio_s1_address),                          //  output,   width = 2,                                       led_pio_s1.address
		.led_pio_s1_write                                        (mm_interconnect_0_led_pio_s1_write),                            //  output,   width = 1,                                                 .write
		.led_pio_s1_readdata                                     (mm_interconnect_0_led_pio_s1_readdata),                         //   input,  width = 32,                                                 .readdata
		.led_pio_s1_writedata                                    (mm_interconnect_0_led_pio_s1_writedata),                        //  output,  width = 32,                                                 .writedata
		.led_pio_s1_chipselect                                   (mm_interconnect_0_led_pio_s1_chipselect),                       //  output,   width = 1,                                                 .chipselect
		.onchip_ram_m9_s1_address                                (mm_interconnect_0_onchip_ram_m9_s1_address),                    //  output,  width = 19,                                 onchip_ram_m9_s1.address
		.onchip_ram_m9_s1_write                                  (mm_interconnect_0_onchip_ram_m9_s1_write),                      //  output,   width = 1,                                                 .write
		.onchip_ram_m9_s1_readdata                               (mm_interconnect_0_onchip_ram_m9_s1_readdata),                   //   input,  width = 32,                                                 .readdata
		.onchip_ram_m9_s1_writedata                              (mm_interconnect_0_onchip_ram_m9_s1_writedata),                  //  output,  width = 32,                                                 .writedata
		.onchip_ram_m9_s1_byteenable                             (mm_interconnect_0_onchip_ram_m9_s1_byteenable),                 //  output,   width = 4,                                                 .byteenable
		.onchip_ram_m9_s1_chipselect                             (mm_interconnect_0_onchip_ram_m9_s1_chipselect),                 //  output,   width = 1,                                                 .chipselect
		.onchip_ram_m9_s1_clken                                  (mm_interconnect_0_onchip_ram_m9_s1_clken),                      //  output,   width = 1,                                                 .clken
		.opencores_i2c_0_avalon_slave_0_address                  (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),      //  output,   width = 3,                   opencores_i2c_0_avalon_slave_0.address
		.opencores_i2c_0_avalon_slave_0_write                    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),        //  output,   width = 1,                                                 .write
		.opencores_i2c_0_avalon_slave_0_readdata                 (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),     //   input,   width = 8,                                                 .readdata
		.opencores_i2c_0_avalon_slave_0_writedata                (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),    //  output,   width = 8,                                                 .writedata
		.opencores_i2c_0_avalon_slave_0_waitrequest              (~mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //   input,   width = 1,                                                 .waitrequest
		.opencores_i2c_0_avalon_slave_0_chipselect               (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),   //  output,   width = 1,                                                 .chipselect
		.sys_clk_clk_clk                                         (sys_clk_clk_clk),                                               //   input,   width = 1,                                      sys_clk_clk.clk
		.sys_clk_timer_s1_address                                (mm_interconnect_0_sys_clk_timer_s1_address),                    //  output,   width = 3,                                 sys_clk_timer_s1.address
		.sys_clk_timer_s1_write                                  (mm_interconnect_0_sys_clk_timer_s1_write),                      //  output,   width = 1,                                                 .write
		.sys_clk_timer_s1_readdata                               (mm_interconnect_0_sys_clk_timer_s1_readdata),                   //   input,  width = 16,                                                 .readdata
		.sys_clk_timer_s1_writedata                              (mm_interconnect_0_sys_clk_timer_s1_writedata),                  //  output,  width = 16,                                                 .writedata
		.sys_clk_timer_s1_chipselect                             (mm_interconnect_0_sys_clk_timer_s1_chipselect),                 //  output,   width = 1,                                                 .chipselect
		.sysid_control_slave_address                             (mm_interconnect_0_sysid_control_slave_address),                 //  output,   width = 1,                              sysid_control_slave.address
		.sysid_control_slave_readdata                            (mm_interconnect_0_sysid_control_slave_readdata),                //   input,  width = 32,                                                 .readdata
		.tse_0_dma_rx_csr_address                                (mm_interconnect_0_tse_0_dma_rx_csr_address),                    //  output,   width = 3,                                 tse_0_dma_rx_csr.address
		.tse_0_dma_rx_csr_write                                  (mm_interconnect_0_tse_0_dma_rx_csr_write),                      //  output,   width = 1,                                                 .write
		.tse_0_dma_rx_csr_read                                   (mm_interconnect_0_tse_0_dma_rx_csr_read),                       //  output,   width = 1,                                                 .read
		.tse_0_dma_rx_csr_readdata                               (mm_interconnect_0_tse_0_dma_rx_csr_readdata),                   //   input,  width = 32,                                                 .readdata
		.tse_0_dma_rx_csr_writedata                              (mm_interconnect_0_tse_0_dma_rx_csr_writedata),                  //  output,  width = 32,                                                 .writedata
		.tse_0_dma_rx_csr_byteenable                             (mm_interconnect_0_tse_0_dma_rx_csr_byteenable),                 //  output,   width = 4,                                                 .byteenable
		.tse_0_dma_rx_descriptor_read_master_address             (tse_0_dma_rx_descriptor_read_master_address),                   //   input,  width = 13,              tse_0_dma_rx_descriptor_read_master.address
		.tse_0_dma_rx_descriptor_read_master_waitrequest         (tse_0_dma_rx_descriptor_read_master_waitrequest),               //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_rx_descriptor_read_master_read                (tse_0_dma_rx_descriptor_read_master_read),                      //   input,   width = 1,                                                 .read
		.tse_0_dma_rx_descriptor_read_master_readdata            (tse_0_dma_rx_descriptor_read_master_readdata),                  //  output,  width = 32,                                                 .readdata
		.tse_0_dma_rx_descriptor_read_master_readdatavalid       (tse_0_dma_rx_descriptor_read_master_readdatavalid),             //  output,   width = 1,                                                 .readdatavalid
		.tse_0_dma_rx_descriptor_write_master_address            (tse_0_dma_rx_descriptor_write_master_address),                  //   input,  width = 13,             tse_0_dma_rx_descriptor_write_master.address
		.tse_0_dma_rx_descriptor_write_master_waitrequest        (tse_0_dma_rx_descriptor_write_master_waitrequest),              //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_rx_descriptor_write_master_byteenable         (tse_0_dma_rx_descriptor_write_master_byteenable),               //   input,   width = 4,                                                 .byteenable
		.tse_0_dma_rx_descriptor_write_master_write              (tse_0_dma_rx_descriptor_write_master_write),                    //   input,   width = 1,                                                 .write
		.tse_0_dma_rx_descriptor_write_master_writedata          (tse_0_dma_rx_descriptor_write_master_writedata),                //   input,  width = 32,                                                 .writedata
		.tse_0_dma_rx_descriptor_write_master_response           (tse_0_dma_rx_descriptor_write_master_response),                 //  output,   width = 2,                                                 .response
		.tse_0_dma_rx_descriptor_write_master_writeresponsevalid (tse_0_dma_rx_descriptor_write_master_writeresponsevalid),       //  output,   width = 1,                                                 .writeresponsevalid
		.tse_0_dma_rx_mm_write_address                           (tse_0_dma_rx_mm_write_address),                                 //   input,  width = 29,                            tse_0_dma_rx_mm_write.address
		.tse_0_dma_rx_mm_write_waitrequest                       (tse_0_dma_rx_mm_write_waitrequest),                             //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_rx_mm_write_byteenable                        (tse_0_dma_rx_mm_write_byteenable),                              //   input,   width = 4,                                                 .byteenable
		.tse_0_dma_rx_mm_write_write                             (tse_0_dma_rx_mm_write_write),                                   //   input,   width = 1,                                                 .write
		.tse_0_dma_rx_mm_write_writedata                         (tse_0_dma_rx_mm_write_writedata),                               //   input,  width = 32,                                                 .writedata
		.tse_0_dma_rx_prefetcher_csr_address                     (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_address),         //  output,   width = 3,                      tse_0_dma_rx_prefetcher_csr.address
		.tse_0_dma_rx_prefetcher_csr_write                       (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_write),           //  output,   width = 1,                                                 .write
		.tse_0_dma_rx_prefetcher_csr_read                        (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_read),            //  output,   width = 1,                                                 .read
		.tse_0_dma_rx_prefetcher_csr_readdata                    (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_readdata),        //   input,  width = 32,                                                 .readdata
		.tse_0_dma_rx_prefetcher_csr_writedata                   (mm_interconnect_0_tse_0_dma_rx_prefetcher_csr_writedata),       //  output,  width = 32,                                                 .writedata
		.tse_0_dma_tx_csr_address                                (mm_interconnect_0_tse_0_dma_tx_csr_address),                    //  output,   width = 3,                                 tse_0_dma_tx_csr.address
		.tse_0_dma_tx_csr_write                                  (mm_interconnect_0_tse_0_dma_tx_csr_write),                      //  output,   width = 1,                                                 .write
		.tse_0_dma_tx_csr_read                                   (mm_interconnect_0_tse_0_dma_tx_csr_read),                       //  output,   width = 1,                                                 .read
		.tse_0_dma_tx_csr_readdata                               (mm_interconnect_0_tse_0_dma_tx_csr_readdata),                   //   input,  width = 32,                                                 .readdata
		.tse_0_dma_tx_csr_writedata                              (mm_interconnect_0_tse_0_dma_tx_csr_writedata),                  //  output,  width = 32,                                                 .writedata
		.tse_0_dma_tx_csr_byteenable                             (mm_interconnect_0_tse_0_dma_tx_csr_byteenable),                 //  output,   width = 4,                                                 .byteenable
		.tse_0_dma_tx_descriptor_read_master_address             (tse_0_dma_tx_descriptor_read_master_address),                   //   input,  width = 13,              tse_0_dma_tx_descriptor_read_master.address
		.tse_0_dma_tx_descriptor_read_master_waitrequest         (tse_0_dma_tx_descriptor_read_master_waitrequest),               //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_tx_descriptor_read_master_read                (tse_0_dma_tx_descriptor_read_master_read),                      //   input,   width = 1,                                                 .read
		.tse_0_dma_tx_descriptor_read_master_readdata            (tse_0_dma_tx_descriptor_read_master_readdata),                  //  output,  width = 32,                                                 .readdata
		.tse_0_dma_tx_descriptor_read_master_readdatavalid       (tse_0_dma_tx_descriptor_read_master_readdatavalid),             //  output,   width = 1,                                                 .readdatavalid
		.tse_0_dma_tx_descriptor_write_master_address            (tse_0_dma_tx_descriptor_write_master_address),                  //   input,  width = 13,             tse_0_dma_tx_descriptor_write_master.address
		.tse_0_dma_tx_descriptor_write_master_waitrequest        (tse_0_dma_tx_descriptor_write_master_waitrequest),              //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_tx_descriptor_write_master_byteenable         (tse_0_dma_tx_descriptor_write_master_byteenable),               //   input,   width = 4,                                                 .byteenable
		.tse_0_dma_tx_descriptor_write_master_write              (tse_0_dma_tx_descriptor_write_master_write),                    //   input,   width = 1,                                                 .write
		.tse_0_dma_tx_descriptor_write_master_writedata          (tse_0_dma_tx_descriptor_write_master_writedata),                //   input,  width = 32,                                                 .writedata
		.tse_0_dma_tx_descriptor_write_master_response           (tse_0_dma_tx_descriptor_write_master_response),                 //  output,   width = 2,                                                 .response
		.tse_0_dma_tx_descriptor_write_master_writeresponsevalid (tse_0_dma_tx_descriptor_write_master_writeresponsevalid),       //  output,   width = 1,                                                 .writeresponsevalid
		.tse_0_dma_tx_mm_read_address                            (tse_0_dma_tx_mm_read_address),                                  //   input,  width = 29,                             tse_0_dma_tx_mm_read.address
		.tse_0_dma_tx_mm_read_waitrequest                        (tse_0_dma_tx_mm_read_waitrequest),                              //  output,   width = 1,                                                 .waitrequest
		.tse_0_dma_tx_mm_read_byteenable                         (tse_0_dma_tx_mm_read_byteenable),                               //   input,   width = 4,                                                 .byteenable
		.tse_0_dma_tx_mm_read_read                               (tse_0_dma_tx_mm_read_read),                                     //   input,   width = 1,                                                 .read
		.tse_0_dma_tx_mm_read_readdata                           (tse_0_dma_tx_mm_read_readdata),                                 //  output,  width = 32,                                                 .readdata
		.tse_0_dma_tx_mm_read_readdatavalid                      (tse_0_dma_tx_mm_read_readdatavalid),                            //  output,   width = 1,                                                 .readdatavalid
		.tse_0_dma_tx_prefetcher_csr_address                     (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_address),         //  output,   width = 3,                      tse_0_dma_tx_prefetcher_csr.address
		.tse_0_dma_tx_prefetcher_csr_write                       (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_write),           //  output,   width = 1,                                                 .write
		.tse_0_dma_tx_prefetcher_csr_read                        (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_read),            //  output,   width = 1,                                                 .read
		.tse_0_dma_tx_prefetcher_csr_readdata                    (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_readdata),        //   input,  width = 32,                                                 .readdata
		.tse_0_dma_tx_prefetcher_csr_writedata                   (mm_interconnect_0_tse_0_dma_tx_prefetcher_csr_writedata),       //  output,  width = 32,                                                 .writedata
		.tse_0_dma_tx_reset_n_reset_bridge_in_reset_reset        (rst_controller_reset_out_reset),                                //   input,   width = 1,       tse_0_dma_tx_reset_n_reset_bridge_in_reset.reset
		.tse_0_tse_control_port_address                          (mm_interconnect_0_tse_0_tse_control_port_address),              //  output,   width = 8,                           tse_0_tse_control_port.address
		.tse_0_tse_control_port_write                            (mm_interconnect_0_tse_0_tse_control_port_write),                //  output,   width = 1,                                                 .write
		.tse_0_tse_control_port_read                             (mm_interconnect_0_tse_0_tse_control_port_read),                 //  output,   width = 1,                                                 .read
		.tse_0_tse_control_port_readdata                         (mm_interconnect_0_tse_0_tse_control_port_readdata),             //   input,  width = 32,                                                 .readdata
		.tse_0_tse_control_port_writedata                        (mm_interconnect_0_tse_0_tse_control_port_writedata),            //  output,  width = 32,                                                 .writedata
		.tse_0_tse_control_port_waitrequest                      (mm_interconnect_0_tse_0_tse_control_port_waitrequest),          //   input,   width = 1,                                                 .waitrequest
		.tse_0_tse_reset_connection_reset_bridge_in_reset_reset  (rst_controller_002_reset_out_reset)                             //   input,   width = 1, tse_0_tse_reset_connection_reset_bridge_in_reset.reset
	);

	bup_qsys_altera_irq_mapper_171_nphgduq irq_mapper (
		.clk           (sys_clk_clk_clk),                //   input,   width = 1,       clk.clk
		.reset         (rst_controller_reset_out_reset), //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),       //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),       //   input,   width = 1, receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),       //   input,   width = 1, receiver2.irq
		.receiver3_irq (irq_mapper_receiver3_irq),       //   input,   width = 1, receiver3.irq
		.sender_irq    (cpu_irq_irq)                     //  output,  width = 32,    sender.irq
	);

	bup_qsys_altera_avalon_st_adapter_171_yepqisq #(
		.inBitsPerSymbol (8),
		.inUsePackets    (1),
		.inDataWidth     (32),
		.inChannelWidth  (0),
		.inErrorWidth    (6),
		.inUseEmptyPort  (1),
		.inUseValid      (1),
		.inUseReady      (1),
		.inReadyLatency  (2),
		.outDataWidth    (32),
		.outChannelWidth (0),
		.outErrorWidth   (6),
		.outUseEmptyPort (1),
		.outUseValid     (1),
		.outUseReady     (1),
		.outReadyLatency (0)
	) avalon_st_adapter (
		.in_0_data           (tse_0_tse_receive_data),                //   input,  width = 32,     in_0.data
		.in_0_valid          (tse_0_tse_receive_valid),               //   input,   width = 1,         .valid
		.in_0_ready          (tse_0_tse_receive_ready),               //  output,   width = 1,         .ready
		.in_0_startofpacket  (tse_0_tse_receive_startofpacket),       //   input,   width = 1,         .startofpacket
		.in_0_endofpacket    (tse_0_tse_receive_endofpacket),         //   input,   width = 1,         .endofpacket
		.in_0_empty          (tse_0_tse_receive_empty),               //   input,   width = 2,         .empty
		.in_0_error          (tse_0_tse_receive_error),               //   input,   width = 6,         .error
		.in_clk_0_clk        (sys_clk_clk_clk),                       //   input,   width = 1, in_clk_0.clk
		.in_rst_0_reset      (rst_controller_002_reset_out_reset),    //   input,   width = 1, in_rst_0.reset
		.out_0_data          (avalon_st_adapter_out_0_data),          //  output,  width = 32,    out_0.data
		.out_0_valid         (avalon_st_adapter_out_0_valid),         //  output,   width = 1,         .valid
		.out_0_ready         (avalon_st_adapter_out_0_ready),         //   input,   width = 1,         .ready
		.out_0_startofpacket (avalon_st_adapter_out_0_startofpacket), //  output,   width = 1,         .startofpacket
		.out_0_endofpacket   (avalon_st_adapter_out_0_endofpacket),   //  output,   width = 1,         .endofpacket
		.out_0_empty         (avalon_st_adapter_out_0_empty),         //  output,   width = 2,         .empty
		.out_0_error         (avalon_st_adapter_out_0_error)          //  output,   width = 6,         .error
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~sys_clk_clk_reset_reset),           //   input,  width = 1, reset_in0.reset
		.reset_in1      (cpu_debug_reset_request_reset),      //   input,  width = 1, reset_in1.reset
		.clk            (sys_clk_clk_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~sys_clk_clk_reset_reset),           //   input,  width = 1, reset_in0.reset
		.reset_in1      (cpu_debug_reset_request_reset),      //   input,  width = 1, reset_in1.reset
		.clk            (sys_clk_clk_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (3),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~sys_clk_clk_reset_reset),           //   input,  width = 1, reset_in0.reset
		.reset_in1      (~clk_125m_clk_reset_reset),          //   input,  width = 1, reset_in1.reset
		.reset_in2      (cpu_debug_reset_request_reset),      //   input,  width = 1, reset_in2.reset
		.clk            (sys_clk_clk_clk),                    //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
