// bup_qsys_cfi_flash_atb_bridge_0.v

// Generated using ACDS version 17.1 169

`timescale 1 ps / 1 ps
module bup_qsys_cfi_flash_atb_bridge_0 (
		input  wire        clk,                      //   clk.clk
		output wire [26:0] tcm_address_out,          //   out.tcm_address_out
		output wire [0:0]  tcm_read_n_out,           //      .tcm_read_n_out
		output wire [0:0]  tcm_write_n_out,          //      .tcm_write_n_out
		inout  wire [15:0] tcm_data_out,             //      .tcm_data_out
		output wire [0:0]  tcm_chipselect_n_out,     //      .tcm_chipselect_n_out
		input  wire        reset,                    // reset.reset
		input  wire        request,                  //   tcs.request
		output wire        grant,                    //      .grant
		input  wire [26:0] tcs_tcm_address_out,      //      .address_out
		input  wire [0:0]  tcs_tcm_read_n_out,       //      .read_n_out
		input  wire [0:0]  tcs_tcm_write_n_out,      //      .write_n_out
		input  wire [15:0] tcs_tcm_data_out,         //      .data_out
		input  wire        tcs_tcm_data_outen,       //      .data_outen
		output wire [15:0] tcs_tcm_data_in,          //      .data_in
		input  wire [0:0]  tcs_tcm_chipselect_n_out  //      .chipselect_n_out
	);

	bup_qsys_cfi_flash_atb_bridge_0_altera_tristate_conduit_bridge_171_u72sz4i cfi_flash_atb_bridge_0 (
		.clk                      (clk),                      //   input,   width = 1,   clk.clk
		.reset                    (reset),                    //   input,   width = 1, reset.reset
		.request                  (request),                  //   input,   width = 1,   tcs.request
		.grant                    (grant),                    //  output,   width = 1,      .grant
		.tcs_tcm_address_out      (tcs_tcm_address_out),      //   input,  width = 27,      .address_out
		.tcs_tcm_read_n_out       (tcs_tcm_read_n_out),       //   input,   width = 1,      .read_n_out
		.tcs_tcm_write_n_out      (tcs_tcm_write_n_out),      //   input,   width = 1,      .write_n_out
		.tcs_tcm_data_out         (tcs_tcm_data_out),         //   input,  width = 16,      .data_out
		.tcs_tcm_data_outen       (tcs_tcm_data_outen),       //   input,   width = 1,      .data_outen
		.tcs_tcm_data_in          (tcs_tcm_data_in),          //  output,  width = 16,      .data_in
		.tcs_tcm_chipselect_n_out (tcs_tcm_chipselect_n_out), //   input,   width = 1,      .chipselect_n_out
		.tcm_address_out          (tcm_address_out),          //  output,  width = 27,   out.tcm_address_out
		.tcm_read_n_out           (tcm_read_n_out),           //  output,   width = 1,      .tcm_read_n_out
		.tcm_write_n_out          (tcm_write_n_out),          //  output,   width = 1,      .tcm_write_n_out
		.tcm_data_out             (tcm_data_out),             //   inout,  width = 16,      .tcm_data_out
		.tcm_chipselect_n_out     (tcm_chipselect_n_out)      //  output,   width = 1,      .tcm_chipselect_n_out
	);

endmodule
