// q_sys_opencores_i2c_1.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module q_sys_opencores_i2c_1 (
		input  wire [2:0] wb_adr_i,   //   avalon_slave_0.address
		input  wire [7:0] wb_dat_i,   //                 .writedata
		output wire [7:0] wb_dat_o,   //                 .readdata
		input  wire       wb_we_i,    //                 .write
		input  wire       wb_stb_i,   //                 .chipselect
		output wire       wb_ack_o,   //                 .waitrequest_n
		input  wire       wb_clk_i,   //            clock.clk
		input  wire       wb_rst_i,   //      clock_reset.reset
		inout  wire       scl_pad_io, //         export_0.scl_pad_io
		inout  wire       sda_pad_io, //                 .sda_pad_io
		output wire       wb_inta_o   // interrupt_sender.irq
	);

	opencores_i2c q_sys_opencores_i2c_1 (
		.wb_clk_i   (wb_clk_i),   //   input,  width = 1,            clock.clk
		.wb_rst_i   (wb_rst_i),   //   input,  width = 1,      clock_reset.reset
		.scl_pad_io (scl_pad_io), //   inout,  width = 1,         export_0.export
		.sda_pad_io (sda_pad_io), //   inout,  width = 1,                 .export
		.wb_adr_i   (wb_adr_i),   //   input,  width = 3,   avalon_slave_0.address
		.wb_dat_i   (wb_dat_i),   //   input,  width = 8,                 .writedata
		.wb_dat_o   (wb_dat_o),   //  output,  width = 8,                 .readdata
		.wb_we_i    (wb_we_i),    //   input,  width = 1,                 .write
		.wb_stb_i   (wb_stb_i),   //   input,  width = 1,                 .chipselect
		.wb_ack_o   (wb_ack_o),   //  output,  width = 1,                 .waitrequest_n
		.wb_inta_o  (wb_inta_o)   //  output,  width = 1, interrupt_sender.irq
	);

endmodule
