module q_sys_tb_fm_ps (
		input  wire        clk_clk,               //   clk.clk
		input  wire        reset_reset,           // reset.reset
		output wire        request,               //   tcm.request
		input  wire        grant,                 //      .grant
		output wire [26:0] tb_fm_address,         //      .tb_fm_address_out
		output wire [0:0]  flash_ren,             //      .flash_ren_out
		output wire [0:0]  flash_resetn,          //      .flash_resetn_out
		output wire [0:0]  flash_wen,             //      .flash_wen_out
		output wire [15:0] tb_fm_data,            //      .tb_fm_data_out
		input  wire [15:0] tb_fm_data_in,         //      .tb_fm_data_in
		output wire        tb_fm_data_outen,      //      .tb_fm_data_outen
		output wire [0:0]  flash_csn,             //      .flash_csn_out
		input  wire        tcs0_request,          //  tcs0.request
		output wire        tcs0_grant,            //      .grant
		input  wire [26:0] tcs0_address_out,      //      .address_out
		input  wire [0:0]  tcs0_read_n_out,       //      .read_n_out
		input  wire [0:0]  tcs0_reset_n_out,      //      .reset_n_out
		input  wire [0:0]  tcs0_write_n_out,      //      .write_n_out
		input  wire [15:0] tcs0_data_out,         //      .data_out
		output wire [15:0] tcs0_data_in,          //      .data_in
		input  wire        tcs0_data_outen,       //      .data_outen
		input  wire [0:0]  tcs0_chipselect_n_out  //      .chipselect_n_out
	);
endmodule

