	component q_sys is
		port (
			clk_clk                                     : in    std_logic                     := 'X';             -- clk
			opencores_i2c_0_export_0_scl_pad_io         : inout std_logic                     := 'X';             -- scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io         : inout std_logic                     := 'X';             -- sda_pad_io
			pio_0_user_led_external_connection_export   : out   std_logic_vector(7 downto 0);                     -- export
			pio_1_user_dipsw_external_connection_export : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- export
			pio_2_user_pb_external_connection_export    : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- export
			pio_3_flash_sel_external_connection_export  : out   std_logic;                                        -- export
			reset_reset_n                               : in    std_logic                     := 'X';             -- reset_n
			tb_fm_out_tb_fm_address                     : out   std_logic_vector(26 downto 0);                    -- tb_fm_address
			tb_fm_out_tb_fm_data                        : inout std_logic_vector(15 downto 0) := (others => 'X'); -- tb_fm_data
			tb_fm_out_flash_csn                         : out   std_logic_vector(0 downto 0);                     -- flash_csn
			tb_fm_out_flash_ren                         : out   std_logic_vector(0 downto 0);                     -- flash_ren
			tb_fm_out_flash_wen                         : out   std_logic_vector(0 downto 0);                     -- flash_wen
			tb_fm_out_flash_resetn                      : out   std_logic_vector(0 downto 0)                      -- flash_resetn
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_clk                                     => CONNECTED_TO_clk_clk,                                     --                                  clk.clk
			opencores_i2c_0_export_0_scl_pad_io         => CONNECTED_TO_opencores_i2c_0_export_0_scl_pad_io,         --             opencores_i2c_0_export_0.scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io         => CONNECTED_TO_opencores_i2c_0_export_0_sda_pad_io,         --                                     .sda_pad_io
			pio_0_user_led_external_connection_export   => CONNECTED_TO_pio_0_user_led_external_connection_export,   --   pio_0_user_led_external_connection.export
			pio_1_user_dipsw_external_connection_export => CONNECTED_TO_pio_1_user_dipsw_external_connection_export, -- pio_1_user_dipsw_external_connection.export
			pio_2_user_pb_external_connection_export    => CONNECTED_TO_pio_2_user_pb_external_connection_export,    --    pio_2_user_pb_external_connection.export
			pio_3_flash_sel_external_connection_export  => CONNECTED_TO_pio_3_flash_sel_external_connection_export,  --  pio_3_flash_sel_external_connection.export
			reset_reset_n                               => CONNECTED_TO_reset_reset_n,                               --                                reset.reset_n
			tb_fm_out_tb_fm_address                     => CONNECTED_TO_tb_fm_out_tb_fm_address,                     --                            tb_fm_out.tb_fm_address
			tb_fm_out_tb_fm_data                        => CONNECTED_TO_tb_fm_out_tb_fm_data,                        --                                     .tb_fm_data
			tb_fm_out_flash_csn                         => CONNECTED_TO_tb_fm_out_flash_csn,                         --                                     .flash_csn
			tb_fm_out_flash_ren                         => CONNECTED_TO_tb_fm_out_flash_ren,                         --                                     .flash_ren
			tb_fm_out_flash_wen                         => CONNECTED_TO_tb_fm_out_flash_wen,                         --                                     .flash_wen
			tb_fm_out_flash_resetn                      => CONNECTED_TO_tb_fm_out_flash_resetn                       --                                     .flash_resetn
		);

