// q_sys.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module q_sys (
		input  wire        clk_clk,                                     //                                  clk.clk
		inout  wire        opencores_i2c_0_export_0_scl_pad_io,         //             opencores_i2c_0_export_0.scl_pad_io
		inout  wire        opencores_i2c_0_export_0_sda_pad_io,         //                                     .sda_pad_io
		output wire [7:0]  pio_0_user_led_external_connection_export,   //   pio_0_user_led_external_connection.export
		input  wire [3:0]  pio_1_user_dipsw_external_connection_export, // pio_1_user_dipsw_external_connection.export
		input  wire [2:0]  pio_2_user_pb_external_connection_export,    //    pio_2_user_pb_external_connection.export
		output wire        pio_3_flash_sel_external_connection_export,  //  pio_3_flash_sel_external_connection.export
		input  wire        reset_reset_n,                               //                                reset.reset_n
		output wire [26:0] tb_fm_out_tb_fm_address,                     //                            tb_fm_out.tb_fm_address
		inout  wire [15:0] tb_fm_out_tb_fm_data,                        //                                     .tb_fm_data
		output wire [0:0]  tb_fm_out_flash_csn,                         //                                     .flash_csn
		output wire [0:0]  tb_fm_out_flash_ren,                         //                                     .flash_ren
		output wire [0:0]  tb_fm_out_flash_wen,                         //                                     .flash_wen
		output wire [0:0]  tb_fm_out_flash_resetn                       //                                     .flash_resetn
	);

	wire         clk_0_clk_clk;                                                // clk_0:clk_out -> [ext_flash:clk_clk, master_0:clk_clk, mm_interconnect_0:clk_0_clk_clk, opencores_i2c_0:wb_clk_i, pio_0_user_led:clk, pio_1_user_dipsw:clk, pio_2_user_pb:clk, pio_3_flash_sel:clk, product_info_0:clk, rst_controller:clk, sysid:clock, tb_fm:clk, tb_fm_ps:clk_clk]
	wire         clk_0_clk_reset_reset;                                        // clk_0:reset_n_out -> [master_0:clk_reset_reset, rst_controller:reset_in0]
	wire         tb_fm_ps_tcm_request;                                         // tb_fm_ps:request -> tb_fm:request
	wire  [26:0] tb_fm_ps_tcm_tb_fm_address_out;                               // tb_fm_ps:tb_fm_address -> tb_fm:tcs_tb_fm_address
	wire   [0:0] tb_fm_ps_tcm_flash_wen_out;                                   // tb_fm_ps:flash_wen -> tb_fm:tcs_flash_wen
	wire         tb_fm_ps_tcm_tb_fm_data_outen;                                // tb_fm_ps:tb_fm_data_outen -> tb_fm:tcs_tb_fm_data_outen
	wire  [15:0] tb_fm_ps_tcm_tb_fm_data_out;                                  // tb_fm_ps:tb_fm_data -> tb_fm:tcs_tb_fm_data
	wire   [0:0] tb_fm_ps_tcm_flash_resetn_out;                                // tb_fm_ps:flash_resetn -> tb_fm:tcs_flash_resetn
	wire   [0:0] tb_fm_ps_tcm_flash_csn_out;                                   // tb_fm_ps:flash_csn -> tb_fm:tcs_flash_csn
	wire   [0:0] tb_fm_ps_tcm_flash_ren_out;                                   // tb_fm_ps:flash_ren -> tb_fm:tcs_flash_ren
	wire  [15:0] tb_fm_ps_tcm_tb_fm_data_in;                                   // tb_fm:tcs_tb_fm_data_in -> tb_fm_ps:tb_fm_data_in
	wire         tb_fm_ps_tcm_grant;                                           // tb_fm:grant -> tb_fm_ps:grant
	wire         ext_flash_tcm_data_outen;                                     // ext_flash:tcm_data_outen -> tb_fm_ps:tcs0_data_outen
	wire         ext_flash_tcm_request;                                        // ext_flash:tcm_request -> tb_fm_ps:tcs0_request
	wire         ext_flash_tcm_write_n_out;                                    // ext_flash:tcm_write_n_out -> tb_fm_ps:tcs0_write_n_out
	wire         ext_flash_tcm_read_n_out;                                     // ext_flash:tcm_read_n_out -> tb_fm_ps:tcs0_read_n_out
	wire         ext_flash_tcm_grant;                                          // tb_fm_ps:tcs0_grant -> ext_flash:tcm_grant
	wire         ext_flash_tcm_reset_n_out;                                    // ext_flash:tcm_reset_n_out -> tb_fm_ps:tcs0_reset_n_out
	wire         ext_flash_tcm_chipselect_n_out;                               // ext_flash:tcm_chipselect_n_out -> tb_fm_ps:tcs0_chipselect_n_out
	wire  [26:0] ext_flash_tcm_address_out;                                    // ext_flash:tcm_address_out -> tb_fm_ps:tcs0_address_out
	wire  [15:0] ext_flash_tcm_data_out;                                       // ext_flash:tcm_data_out -> tb_fm_ps:tcs0_data_out
	wire  [15:0] ext_flash_tcm_data_in;                                        // tb_fm_ps:tcs0_data_in -> ext_flash:tcm_data_in
	wire  [31:0] master_0_master_readdata;                                     // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                  // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                      // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                         // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                   // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                        // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                    // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect;   // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;     // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;      // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;         // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect;  // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_chipselect -> opencores_i2c_0:wb_stb_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata;    // opencores_i2c_0:wb_dat_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_readdata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest; // opencores_i2c_0:wb_ack_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address;     // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_address -> opencores_i2c_0:wb_adr_i
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write;       // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_write -> opencores_i2c_0:wb_we_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata;   // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_writedata -> opencores_i2c_0:wb_dat_i
	wire  [31:0] mm_interconnect_0_sysid_control_slave_readdata;               // sysid:readdata -> mm_interconnect_0:sysid_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_control_slave_address;                // mm_interconnect_0:sysid_control_slave_address -> sysid:address
	wire         mm_interconnect_0_pio_0_user_led_s1_chipselect;               // mm_interconnect_0:pio_0_user_led_s1_chipselect -> pio_0_user_led:chipselect
	wire  [31:0] mm_interconnect_0_pio_0_user_led_s1_readdata;                 // pio_0_user_led:readdata -> mm_interconnect_0:pio_0_user_led_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_0_user_led_s1_address;                  // mm_interconnect_0:pio_0_user_led_s1_address -> pio_0_user_led:address
	wire         mm_interconnect_0_pio_0_user_led_s1_write;                    // mm_interconnect_0:pio_0_user_led_s1_write -> pio_0_user_led:write_n
	wire  [31:0] mm_interconnect_0_pio_0_user_led_s1_writedata;                // mm_interconnect_0:pio_0_user_led_s1_writedata -> pio_0_user_led:writedata
	wire  [31:0] mm_interconnect_0_pio_1_user_dipsw_s1_readdata;               // pio_1_user_dipsw:readdata -> mm_interconnect_0:pio_1_user_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_1_user_dipsw_s1_address;                // mm_interconnect_0:pio_1_user_dipsw_s1_address -> pio_1_user_dipsw:address
	wire  [31:0] mm_interconnect_0_pio_2_user_pb_s1_readdata;                  // pio_2_user_pb:readdata -> mm_interconnect_0:pio_2_user_pb_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_2_user_pb_s1_address;                   // mm_interconnect_0:pio_2_user_pb_s1_address -> pio_2_user_pb:address
	wire         mm_interconnect_0_pio_3_flash_sel_s1_chipselect;              // mm_interconnect_0:pio_3_flash_sel_s1_chipselect -> pio_3_flash_sel:chipselect
	wire  [31:0] mm_interconnect_0_pio_3_flash_sel_s1_readdata;                // pio_3_flash_sel:readdata -> mm_interconnect_0:pio_3_flash_sel_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_3_flash_sel_s1_address;                 // mm_interconnect_0:pio_3_flash_sel_s1_address -> pio_3_flash_sel:address
	wire         mm_interconnect_0_pio_3_flash_sel_s1_write;                   // mm_interconnect_0:pio_3_flash_sel_s1_write -> pio_3_flash_sel:write_n
	wire  [31:0] mm_interconnect_0_pio_3_flash_sel_s1_writedata;               // mm_interconnect_0:pio_3_flash_sel_s1_writedata -> pio_3_flash_sel:writedata
	wire  [15:0] mm_interconnect_0_ext_flash_uas_readdata;                     // ext_flash:uas_readdata -> mm_interconnect_0:ext_flash_uas_readdata
	wire         mm_interconnect_0_ext_flash_uas_waitrequest;                  // ext_flash:uas_waitrequest -> mm_interconnect_0:ext_flash_uas_waitrequest
	wire         mm_interconnect_0_ext_flash_uas_debugaccess;                  // mm_interconnect_0:ext_flash_uas_debugaccess -> ext_flash:uas_debugaccess
	wire  [26:0] mm_interconnect_0_ext_flash_uas_address;                      // mm_interconnect_0:ext_flash_uas_address -> ext_flash:uas_address
	wire         mm_interconnect_0_ext_flash_uas_read;                         // mm_interconnect_0:ext_flash_uas_read -> ext_flash:uas_read
	wire   [1:0] mm_interconnect_0_ext_flash_uas_byteenable;                   // mm_interconnect_0:ext_flash_uas_byteenable -> ext_flash:uas_byteenable
	wire         mm_interconnect_0_ext_flash_uas_readdatavalid;                // ext_flash:uas_readdatavalid -> mm_interconnect_0:ext_flash_uas_readdatavalid
	wire         mm_interconnect_0_ext_flash_uas_lock;                         // mm_interconnect_0:ext_flash_uas_lock -> ext_flash:uas_lock
	wire         mm_interconnect_0_ext_flash_uas_write;                        // mm_interconnect_0:ext_flash_uas_write -> ext_flash:uas_write
	wire  [15:0] mm_interconnect_0_ext_flash_uas_writedata;                    // mm_interconnect_0:ext_flash_uas_writedata -> ext_flash:uas_writedata
	wire   [1:0] mm_interconnect_0_ext_flash_uas_burstcount;                   // mm_interconnect_0:ext_flash_uas_burstcount -> ext_flash:uas_burstcount
	wire         rst_controller_reset_out_reset;                               // rst_controller:reset_out -> [ext_flash:reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:product_info_0_clock_reset_reset_reset_bridge_in_reset_reset, opencores_i2c_0:wb_rst_i, pio_0_user_led:reset_n, pio_1_user_dipsw:reset_n, pio_2_user_pb:reset_n, pio_3_flash_sel:reset_n, product_info_0:reset_n, sysid:reset_n, tb_fm:reset, tb_fm_ps:reset_reset]

	q_sys_clk_0 clk_0 (
		.clk_out     (clk_0_clk_clk),         //  output,  width = 1,          clk.clk
		.in_clk      (clk_clk),               //   input,  width = 1,       clk_in.clk
		.reset_n     (reset_reset_n),         //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out (clk_0_clk_reset_reset)  //  output,  width = 1,    clk_reset.reset_n
	);

	q_sys_ext_flash ext_flash (
		.clk_clk              (clk_0_clk_clk),                                 //   input,   width = 1,   clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                //   input,   width = 1, reset.reset
		.tcm_write_n_out      (ext_flash_tcm_write_n_out),                     //  output,   width = 1,   tcm.write_n_out
		.tcm_read_n_out       (ext_flash_tcm_read_n_out),                      //  output,   width = 1,      .read_n_out
		.tcm_chipselect_n_out (ext_flash_tcm_chipselect_n_out),                //  output,   width = 1,      .chipselect_n_out
		.tcm_reset_n_out      (ext_flash_tcm_reset_n_out),                     //  output,   width = 1,      .reset_n_out
		.tcm_request          (ext_flash_tcm_request),                         //  output,   width = 1,      .request
		.tcm_grant            (ext_flash_tcm_grant),                           //   input,   width = 1,      .grant
		.tcm_address_out      (ext_flash_tcm_address_out),                     //  output,  width = 27,      .address_out
		.tcm_data_out         (ext_flash_tcm_data_out),                        //  output,  width = 16,      .data_out
		.tcm_data_outen       (ext_flash_tcm_data_outen),                      //  output,   width = 1,      .data_outen
		.tcm_data_in          (ext_flash_tcm_data_in),                         //   input,  width = 16,      .data_in
		.uas_address          (mm_interconnect_0_ext_flash_uas_address),       //   input,  width = 27,   uas.address
		.uas_burstcount       (mm_interconnect_0_ext_flash_uas_burstcount),    //   input,   width = 2,      .burstcount
		.uas_read             (mm_interconnect_0_ext_flash_uas_read),          //   input,   width = 1,      .read
		.uas_write            (mm_interconnect_0_ext_flash_uas_write),         //   input,   width = 1,      .write
		.uas_waitrequest      (mm_interconnect_0_ext_flash_uas_waitrequest),   //  output,   width = 1,      .waitrequest
		.uas_readdatavalid    (mm_interconnect_0_ext_flash_uas_readdatavalid), //  output,   width = 1,      .readdatavalid
		.uas_byteenable       (mm_interconnect_0_ext_flash_uas_byteenable),    //   input,   width = 2,      .byteenable
		.uas_readdata         (mm_interconnect_0_ext_flash_uas_readdata),      //  output,  width = 16,      .readdata
		.uas_writedata        (mm_interconnect_0_ext_flash_uas_writedata),     //   input,  width = 16,      .writedata
		.uas_lock             (mm_interconnect_0_ext_flash_uas_lock),          //   input,   width = 1,      .lock
		.uas_debugaccess      (mm_interconnect_0_ext_flash_uas_debugaccess)    //   input,   width = 1,      .debugaccess
	);

	q_sys_master_0 master_0 (
		.clk_clk              (clk_0_clk_clk),                 //   input,   width = 1,          clk.clk
		.clk_reset_reset      (~clk_0_clk_reset_reset),        //   input,   width = 1,    clk_reset.reset
		.master_address       (master_0_master_address),       //  output,  width = 32,       master.address
		.master_readdata      (master_0_master_readdata),      //   input,  width = 32,             .readdata
		.master_read          (master_0_master_read),          //  output,   width = 1,             .read
		.master_write         (master_0_master_write),         //  output,   width = 1,             .write
		.master_writedata     (master_0_master_writedata),     //  output,  width = 32,             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //   input,   width = 1,             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //   input,   width = 1,             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //  output,   width = 4,             .byteenable
		.master_reset_reset   ()                               //  output,   width = 1, master_reset.reset
	);

	q_sys_opencores_i2c_1 opencores_i2c_0 (
		.wb_adr_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),     //   input,  width = 3,   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),   //   input,  width = 8,                 .writedata
		.wb_dat_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),    //  output,  width = 8,                 .readdata
		.wb_we_i    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),       //   input,  width = 1,                 .write
		.wb_stb_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),  //   input,  width = 1,                 .chipselect
		.wb_ack_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //  output,  width = 1,                 .waitrequest_n
		.wb_clk_i   (clk_0_clk_clk),                                                //   input,  width = 1,            clock.clk
		.wb_rst_i   (rst_controller_reset_out_reset),                               //   input,  width = 1,      clock_reset.reset
		.scl_pad_io (opencores_i2c_0_export_0_scl_pad_io),                          //   inout,  width = 1,         export_0.scl_pad_io
		.sda_pad_io (opencores_i2c_0_export_0_sda_pad_io),                          //   inout,  width = 1,                 .sda_pad_io
		.wb_inta_o  ()                                                              //  output,  width = 1, interrupt_sender.irq
	);

	q_sys_pio_0_user_led pio_0_user_led (
		.clk        (clk_0_clk_clk),                                  //   input,   width = 1,                 clk.clk
		.out_port   (pio_0_user_led_external_connection_export),      //  output,   width = 8, external_connection.export
		.reset_n    (~rst_controller_reset_out_reset),                //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_pio_0_user_led_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_pio_0_user_led_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_pio_0_user_led_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_pio_0_user_led_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_pio_0_user_led_s1_readdata)    //  output,  width = 32,                    .readdata
	);

	q_sys_pio_1_user_dipsw pio_1_user_dipsw (
		.clk      (clk_0_clk_clk),                                  //   input,   width = 1,                 clk.clk
		.in_port  (pio_1_user_dipsw_external_connection_export),    //   input,   width = 4, external_connection.export
		.reset_n  (~rst_controller_reset_out_reset),                //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_pio_1_user_dipsw_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_pio_1_user_dipsw_s1_readdata)  //  output,  width = 32,                    .readdata
	);

	q_sys_pio_2_user_pb pio_2_user_pb (
		.clk      (clk_0_clk_clk),                               //   input,   width = 1,                 clk.clk
		.in_port  (pio_2_user_pb_external_connection_export),    //   input,   width = 3, external_connection.export
		.reset_n  (~rst_controller_reset_out_reset),             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_pio_2_user_pb_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_pio_2_user_pb_s1_readdata)  //  output,  width = 32,                    .readdata
	);

	q_sys_pio_0 pio_3_flash_sel (
		.clk        (clk_0_clk_clk),                                   //   input,   width = 1,                 clk.clk
		.out_port   (pio_3_flash_sel_external_connection_export),      //  output,   width = 1, external_connection.export
		.reset_n    (~rst_controller_reset_out_reset),                 //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_pio_3_flash_sel_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_pio_3_flash_sel_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_pio_3_flash_sel_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_pio_3_flash_sel_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_pio_3_flash_sel_s1_readdata)    //  output,  width = 32,                    .readdata
	);

	q_sys_product_info_1 product_info_0 (
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //   input,   width = 1,    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //   input,   width = 1,                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //  output,  width = 32,                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address),     //   input,   width = 2,                  .address
		.clk          (clk_0_clk_clk),                                               //   input,   width = 1,       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset)                              //   input,   width = 1, clock_reset_reset.reset_n
	);

	q_sys_sysid sysid (
		.clock    (clk_0_clk_clk),                                  //   input,   width = 1,           clk.clk
		.readdata (mm_interconnect_0_sysid_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_0_sysid_control_slave_address),  //   input,   width = 1,              .address
		.reset_n  (~rst_controller_reset_out_reset)                 //   input,   width = 1,         reset.reset_n
	);

	q_sys_tb_fm tb_fm (
		.clk                  (clk_0_clk_clk),                  //   input,   width = 1,   clk.clk
		.tb_fm_address        (tb_fm_out_tb_fm_address),        //  output,  width = 27,   out.tb_fm_address
		.tb_fm_data           (tb_fm_out_tb_fm_data),           //   inout,  width = 16,      .tb_fm_data
		.flash_csn            (tb_fm_out_flash_csn),            //  output,   width = 1,      .flash_csn
		.flash_ren            (tb_fm_out_flash_ren),            //  output,   width = 1,      .flash_ren
		.flash_wen            (tb_fm_out_flash_wen),            //  output,   width = 1,      .flash_wen
		.flash_resetn         (tb_fm_out_flash_resetn),         //  output,   width = 1,      .flash_resetn
		.reset                (rst_controller_reset_out_reset), //   input,   width = 1, reset.reset
		.request              (tb_fm_ps_tcm_request),           //   input,   width = 1,   tcs.request
		.grant                (tb_fm_ps_tcm_grant),             //  output,   width = 1,      .grant
		.tcs_tb_fm_address    (tb_fm_ps_tcm_tb_fm_address_out), //   input,  width = 27,      .tb_fm_address_out
		.tcs_tb_fm_data       (tb_fm_ps_tcm_tb_fm_data_out),    //   input,  width = 16,      .tb_fm_data_out
		.tcs_tb_fm_data_outen (tb_fm_ps_tcm_tb_fm_data_outen),  //   input,   width = 1,      .tb_fm_data_outen
		.tcs_tb_fm_data_in    (tb_fm_ps_tcm_tb_fm_data_in),     //  output,  width = 16,      .tb_fm_data_in
		.tcs_flash_csn        (tb_fm_ps_tcm_flash_csn_out),     //   input,   width = 1,      .flash_csn_out
		.tcs_flash_ren        (tb_fm_ps_tcm_flash_ren_out),     //   input,   width = 1,      .flash_ren_out
		.tcs_flash_wen        (tb_fm_ps_tcm_flash_wen_out),     //   input,   width = 1,      .flash_wen_out
		.tcs_flash_resetn     (tb_fm_ps_tcm_flash_resetn_out)   //   input,   width = 1,      .flash_resetn_out
	);

	q_sys_tb_fm_ps tb_fm_ps (
		.clk_clk               (clk_0_clk_clk),                  //   input,   width = 1,   clk.clk
		.reset_reset           (rst_controller_reset_out_reset), //   input,   width = 1, reset.reset
		.request               (tb_fm_ps_tcm_request),           //  output,   width = 1,   tcm.request
		.grant                 (tb_fm_ps_tcm_grant),             //   input,   width = 1,      .grant
		.tb_fm_address         (tb_fm_ps_tcm_tb_fm_address_out), //  output,  width = 27,      .tb_fm_address_out
		.flash_ren             (tb_fm_ps_tcm_flash_ren_out),     //  output,   width = 1,      .flash_ren_out
		.flash_resetn          (tb_fm_ps_tcm_flash_resetn_out),  //  output,   width = 1,      .flash_resetn_out
		.flash_wen             (tb_fm_ps_tcm_flash_wen_out),     //  output,   width = 1,      .flash_wen_out
		.tb_fm_data            (tb_fm_ps_tcm_tb_fm_data_out),    //  output,  width = 16,      .tb_fm_data_out
		.tb_fm_data_in         (tb_fm_ps_tcm_tb_fm_data_in),     //   input,  width = 16,      .tb_fm_data_in
		.tb_fm_data_outen      (tb_fm_ps_tcm_tb_fm_data_outen),  //  output,   width = 1,      .tb_fm_data_outen
		.flash_csn             (tb_fm_ps_tcm_flash_csn_out),     //  output,   width = 1,      .flash_csn_out
		.tcs0_request          (ext_flash_tcm_request),          //   input,   width = 1,  tcs0.request
		.tcs0_grant            (ext_flash_tcm_grant),            //  output,   width = 1,      .grant
		.tcs0_address_out      (ext_flash_tcm_address_out),      //   input,  width = 27,      .address_out
		.tcs0_read_n_out       (ext_flash_tcm_read_n_out),       //   input,   width = 1,      .read_n_out
		.tcs0_reset_n_out      (ext_flash_tcm_reset_n_out),      //   input,   width = 1,      .reset_n_out
		.tcs0_write_n_out      (ext_flash_tcm_write_n_out),      //   input,   width = 1,      .write_n_out
		.tcs0_data_out         (ext_flash_tcm_data_out),         //   input,  width = 16,      .data_out
		.tcs0_data_in          (ext_flash_tcm_data_in),          //  output,  width = 16,      .data_in
		.tcs0_data_outen       (ext_flash_tcm_data_outen),       //   input,   width = 1,      .data_outen
		.tcs0_chipselect_n_out (ext_flash_tcm_chipselect_n_out)  //   input,   width = 1,      .chipselect_n_out
	);

	q_sys_altera_mm_interconnect_171_yi7dbfi mm_interconnect_0 (
		.clk_0_clk_clk                                                (clk_0_clk_clk),                                                 //   input,   width = 1,                                              clk_0_clk.clk
		.ext_flash_uas_address                                        (mm_interconnect_0_ext_flash_uas_address),                       //  output,  width = 27,                                          ext_flash_uas.address
		.ext_flash_uas_write                                          (mm_interconnect_0_ext_flash_uas_write),                         //  output,   width = 1,                                                       .write
		.ext_flash_uas_read                                           (mm_interconnect_0_ext_flash_uas_read),                          //  output,   width = 1,                                                       .read
		.ext_flash_uas_readdata                                       (mm_interconnect_0_ext_flash_uas_readdata),                      //   input,  width = 16,                                                       .readdata
		.ext_flash_uas_writedata                                      (mm_interconnect_0_ext_flash_uas_writedata),                     //  output,  width = 16,                                                       .writedata
		.ext_flash_uas_burstcount                                     (mm_interconnect_0_ext_flash_uas_burstcount),                    //  output,   width = 2,                                                       .burstcount
		.ext_flash_uas_byteenable                                     (mm_interconnect_0_ext_flash_uas_byteenable),                    //  output,   width = 2,                                                       .byteenable
		.ext_flash_uas_readdatavalid                                  (mm_interconnect_0_ext_flash_uas_readdatavalid),                 //   input,   width = 1,                                                       .readdatavalid
		.ext_flash_uas_waitrequest                                    (mm_interconnect_0_ext_flash_uas_waitrequest),                   //   input,   width = 1,                                                       .waitrequest
		.ext_flash_uas_lock                                           (mm_interconnect_0_ext_flash_uas_lock),                          //  output,   width = 1,                                                       .lock
		.ext_flash_uas_debugaccess                                    (mm_interconnect_0_ext_flash_uas_debugaccess),                   //  output,   width = 1,                                                       .debugaccess
		.master_0_clk_reset_reset_bridge_in_reset_reset               (rst_controller_reset_out_reset),                                //   input,   width = 1,               master_0_clk_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                      (master_0_master_address),                                       //   input,  width = 32,                                        master_0_master.address
		.master_0_master_waitrequest                                  (master_0_master_waitrequest),                                   //  output,   width = 1,                                                       .waitrequest
		.master_0_master_byteenable                                   (master_0_master_byteenable),                                    //   input,   width = 4,                                                       .byteenable
		.master_0_master_read                                         (master_0_master_read),                                          //   input,   width = 1,                                                       .read
		.master_0_master_readdata                                     (master_0_master_readdata),                                      //  output,  width = 32,                                                       .readdata
		.master_0_master_readdatavalid                                (master_0_master_readdatavalid),                                 //  output,   width = 1,                                                       .readdatavalid
		.master_0_master_write                                        (master_0_master_write),                                         //   input,   width = 1,                                                       .write
		.master_0_master_writedata                                    (master_0_master_writedata),                                     //   input,  width = 32,                                                       .writedata
		.opencores_i2c_0_avalon_slave_0_address                       (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),      //  output,   width = 3,                         opencores_i2c_0_avalon_slave_0.address
		.opencores_i2c_0_avalon_slave_0_write                         (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),        //  output,   width = 1,                                                       .write
		.opencores_i2c_0_avalon_slave_0_readdata                      (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),     //   input,   width = 8,                                                       .readdata
		.opencores_i2c_0_avalon_slave_0_writedata                     (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),    //  output,   width = 8,                                                       .writedata
		.opencores_i2c_0_avalon_slave_0_waitrequest                   (~mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //   input,   width = 1,                                                       .waitrequest
		.opencores_i2c_0_avalon_slave_0_chipselect                    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),   //  output,   width = 1,                                                       .chipselect
		.pio_0_user_led_s1_address                                    (mm_interconnect_0_pio_0_user_led_s1_address),                   //  output,   width = 2,                                      pio_0_user_led_s1.address
		.pio_0_user_led_s1_write                                      (mm_interconnect_0_pio_0_user_led_s1_write),                     //  output,   width = 1,                                                       .write
		.pio_0_user_led_s1_readdata                                   (mm_interconnect_0_pio_0_user_led_s1_readdata),                  //   input,  width = 32,                                                       .readdata
		.pio_0_user_led_s1_writedata                                  (mm_interconnect_0_pio_0_user_led_s1_writedata),                 //  output,  width = 32,                                                       .writedata
		.pio_0_user_led_s1_chipselect                                 (mm_interconnect_0_pio_0_user_led_s1_chipselect),                //  output,   width = 1,                                                       .chipselect
		.pio_1_user_dipsw_s1_address                                  (mm_interconnect_0_pio_1_user_dipsw_s1_address),                 //  output,   width = 2,                                    pio_1_user_dipsw_s1.address
		.pio_1_user_dipsw_s1_readdata                                 (mm_interconnect_0_pio_1_user_dipsw_s1_readdata),                //   input,  width = 32,                                                       .readdata
		.pio_2_user_pb_s1_address                                     (mm_interconnect_0_pio_2_user_pb_s1_address),                    //  output,   width = 2,                                       pio_2_user_pb_s1.address
		.pio_2_user_pb_s1_readdata                                    (mm_interconnect_0_pio_2_user_pb_s1_readdata),                   //   input,  width = 32,                                                       .readdata
		.pio_3_flash_sel_s1_address                                   (mm_interconnect_0_pio_3_flash_sel_s1_address),                  //  output,   width = 2,                                     pio_3_flash_sel_s1.address
		.pio_3_flash_sel_s1_write                                     (mm_interconnect_0_pio_3_flash_sel_s1_write),                    //  output,   width = 1,                                                       .write
		.pio_3_flash_sel_s1_readdata                                  (mm_interconnect_0_pio_3_flash_sel_s1_readdata),                 //   input,  width = 32,                                                       .readdata
		.pio_3_flash_sel_s1_writedata                                 (mm_interconnect_0_pio_3_flash_sel_s1_writedata),                //  output,  width = 32,                                                       .writedata
		.pio_3_flash_sel_s1_chipselect                                (mm_interconnect_0_pio_3_flash_sel_s1_chipselect),               //  output,   width = 1,                                                       .chipselect
		.product_info_0_avalon_slave_0_address                        (mm_interconnect_0_product_info_0_avalon_slave_0_address),       //  output,   width = 2,                          product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                           (mm_interconnect_0_product_info_0_avalon_slave_0_read),          //  output,   width = 1,                                                       .read
		.product_info_0_avalon_slave_0_readdata                       (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),      //   input,  width = 32,                                                       .readdata
		.product_info_0_avalon_slave_0_chipselect                     (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect),    //  output,   width = 1,                                                       .chipselect
		.product_info_0_clock_reset_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                //   input,   width = 1, product_info_0_clock_reset_reset_reset_bridge_in_reset.reset
		.sysid_control_slave_address                                  (mm_interconnect_0_sysid_control_slave_address),                 //  output,   width = 1,                                    sysid_control_slave.address
		.sysid_control_slave_readdata                                 (mm_interconnect_0_sysid_control_slave_readdata)                 //   input,  width = 32,                                                       .readdata
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~clk_0_clk_reset_reset),         //   input,  width = 1, reset_in0.reset
		.clk            (clk_0_clk_clk),                  //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

endmodule
