
create_clock -name {clk_50m_s10} -period 20.000 -waveform {0 10} {clk_50m_s10}
set_clock_groups -asynchronous -group [get_clocks {clk_50m_s10    }]

create_clock -name {altera_reserved_tck} -period 40.800 -waveform { 0.000 20.400 } [get_ports { altera_reserved_tck }]
set_input_delay -clock altera_reserved_tck 8 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck 8 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tdo]
set_false_path -from [get_keepers {altera_reserved_ntrst}]
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 

set_false_path -from [get_ports cpu_resetn] -to *
set_false_path -from [get_ports {user_dip[*]}] -to *
set_false_path -from [get_ports {user_pb[*]}] -to *
set_false_path -from * -to [get_ports {user_led_g[*]}]
set_false_path -from * -to [get_ports {user_led_r[*]}]

set_false_path -from * -to [get_ports {flash_resetn}]
set_false_path -from * -to [get_ports {flash_advn}]
set_false_path -from * -to [get_ports {flash_clk}]
#set_false_path -to [get_ports {fm_a[*] fm_d[*] flash_oen flash_cen[*] flash_wen}]
set_min_delay  2 -from * -to [get_ports {fm_a[*] fm_d[*] flash_oen flash_cen[*] flash_wen}]
set_max_delay 10 -from * -to [get_ports {fm_a[*] fm_d[*] flash_oen flash_cen[*] flash_wen}]
set_min_delay -2 -from [get_ports {fm_d[*]}] -to *
set_max_delay  6 -from [get_ports {fm_d[*]}] -to *

set_input_delay  -clock { clk_50m_s10 } 5   [get_ports {i2c_1v8_sda}]
set_output_delay -clock { clk_50m_s10 } 2.5 [get_ports {i2c_1v8_sda}]
set_output_delay -clock { clk_50m_s10 } 2.5 [get_ports {i2c_1v8_scl}]
set_false_path -from [get_ports {i2c_1v8_scl}] -to *

if { ! [is_post_route] } {
#setup 
set_max_delay -from *tb_fm_data_reg* -to * 10
#hold
#set_min_delay -from *tb_fm_data_reg* -to * 2
} 
