module ed_synth_master_driver_msgdma_0 #(
		parameter ENABLE_PER_INFO = 1
	) (
		input  wire        waitrequest_in,  //      avalon_master.waitrequest
		output wire        csn,             //                   .chipselect_n
		output wire        wen,             //                   .write_n
		output wire        oen,             //                   .read_n
		output wire [3:0]  be,              //                   .byteenable
		output wire [31:0] address,         //                   .address
		output wire [31:0] data_write,      //                   .writedata
		input  wire [31:0] data_read,       //                   .readdata
		input  wire        cal_fail,        //           cal_fail.export
		input  wire        cal_success,     //        cal_success.export
		input  wire        clk,             //              clock.clk
		input  wire [3:0]  csr_address,     //                csr.address
		input  wire        csr_read,        //                   .read
		input  wire        csr_write,       //                   .write
		output wire [31:0] csr_readdata,    //                   .readdata
		input  wire [31:0] csr_writedata,   //                   .writedata
		output wire        csr_waitrequest, //                   .waitrequest
		output wire        error_mon,       //          error_mon.export
		input  wire [1:0]  irq,             // interrupt_receiver.irq
		input  wire        reset_n,         //              reset.reset_n
		output wire        reset_out,       //       reset_source.reset
		output wire        status_mon       //         status_mon.export
	);
endmodule

