// mSGDMA_freq_counter_2.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module mSGDMA_freq_counter_2 (
		input  wire        clk,             //        clock.clk
		input  wire [3:0]  csr_address,     //          csr.address
		input  wire        csr_read,        //             .read
		output wire [31:0] csr_readdata,    //             .readdata
		output wire        csr_waitrequest, //             .waitrequest
		input  wire        reset_n,         //        reset.reset_n
		input  wire        sample_clk       // sample_clock.clk
	);

	freq_counter #(
		.SYSTEM_CLK_FREQ_PICO_SEC (20000),
		.DIV                      (1)
	) msgdma_freq_counter_2 (
		.reset_n         (reset_n),         //   input,   width = 1,        reset.reset_n
		.clk             (clk),             //   input,   width = 1,        clock.clk
		.csr_address     (csr_address),     //   input,   width = 4,          csr.address
		.csr_read        (csr_read),        //   input,   width = 1,             .read
		.csr_readdata    (csr_readdata),    //  output,  width = 32,             .readdata
		.csr_waitrequest (csr_waitrequest), //  output,   width = 1,             .waitrequest
		.sample_clk      (sample_clk)       //   input,   width = 1, sample_clock.clk
	);

endmodule
