// ed_synth_freq_counter_0.v

// Generated using ACDS version 17.0ir2 116

`timescale 1 ps / 1 ps
module ed_synth_freq_counter_0 (
		input  wire        clk,             //        clock.clk
		input  wire [3:0]  csr_address,     //          csr.address
		input  wire        csr_read,        //             .read
		output wire [31:0] csr_readdata,    //             .readdata
		output wire        csr_waitrequest, //             .waitrequest
		input  wire        reset_n,         //        reset.reset_n
		input  wire        sample_clk       // sample_clock.clk
	);

	freq_counter #(
		.SYSTEM_CLK_FREQ_PICO_SEC (20000),
		.DIV                      (1)
	) ed_synth_freq_counter_0 (
		.reset_n         (reset_n),         //        reset.reset_n
		.clk             (clk),             //        clock.clk
		.csr_address     (csr_address),     //          csr.address
		.csr_read        (csr_read),        //             .read
		.csr_readdata    (csr_readdata),    //             .readdata
		.csr_waitrequest (csr_waitrequest), //             .waitrequest
		.sample_clk      (sample_clk)       // sample_clock.clk
	);

endmodule
