// mSGDMA_status_mon_1.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module mSGDMA_status_mon_1 (
		output wire        cal_fail_mon,      //    cal_fail_mon.export
		output wire        cal_success_mon,   // cal_success_mon.export
		input  wire        slv_clk,           //           clock.clk
		input  wire        slv_reset_n,       //         reset_n.reset_n
		output wire        reset_out_n,       //    reset_source.reset_n
		input  wire        slv_read_n,        //             slv.read_n
		input  wire        slv_write_n,       //                .write_n
		input  wire [1:0]  slv_address,       //                .address
		input  wire        slv_cs_n,          //                .chipselect_n
		input  wire [31:0] slv_data_write,    //                .writedata
		output wire [31:0] slv_data_read,     //                .readdata
		input  wire        local_cal_success, //          status.local_cal_success
		input  wire        local_cal_fail     //                .local_cal_fail
	);

	status_mon msgdma_status_mon_1 (
		.slv_read_n        (slv_read_n),        //   input,   width = 1,             slv.read_n
		.slv_write_n       (slv_write_n),       //   input,   width = 1,                .write_n
		.slv_address       (slv_address),       //   input,   width = 2,                .address
		.slv_cs_n          (slv_cs_n),          //   input,   width = 1,                .chipselect_n
		.slv_data_write    (slv_data_write),    //   input,  width = 32,                .writedata
		.slv_data_read     (slv_data_read),     //  output,  width = 32,                .readdata
		.cal_fail_mon      (cal_fail_mon),      //  output,   width = 1,    cal_fail_mon.export
		.cal_success_mon   (cal_success_mon),   //  output,   width = 1, cal_success_mon.export
		.reset_out_n       (reset_out_n),       //  output,   width = 1,    reset_source.reset_n
		.slv_clk           (slv_clk),           //   input,   width = 1,           clock.clk
		.slv_reset_n       (slv_reset_n),       //   input,   width = 1,         reset_n.reset_n
		.local_cal_success (local_cal_success), //   input,   width = 1,          status.local_cal_success
		.local_cal_fail    (local_cal_fail)     //   input,   width = 1,                .local_cal_fail
	);

endmodule
