module fmc_cmos_system (
		input  wire        clkin_clk,                                                 //                                     clkin.clk
		input  wire        clkin_reset_reset_n,                                       //                               clkin_reset.reset_n
		output wire        mm_bridge_0_s0_waitrequest,                                //                            mm_bridge_0_s0.waitrequest
		output wire [31:0] mm_bridge_0_s0_readdata,                                   //                                          .readdata
		output wire        mm_bridge_0_s0_readdatavalid,                              //                                          .readdatavalid
		input  wire [0:0]  mm_bridge_0_s0_burstcount,                                 //                                          .burstcount
		input  wire [31:0] mm_bridge_0_s0_writedata,                                  //                                          .writedata
		input  wire [16:0] mm_bridge_0_s0_address,                                    //                                          .address
		input  wire        mm_bridge_0_s0_write,                                      //                                          .write
		input  wire        mm_bridge_0_s0_read,                                       //                                          .read
		input  wire [3:0]  mm_bridge_0_s0_byteenable,                                 //                                          .byteenable
		input  wire        mm_bridge_0_s0_debugaccess,                                //                                          .debugaccess
		output wire [1:0]  nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken, // nativephy_loopback_cont_0_rx_seriallpbken.rx_seriallpbken
		output wire [31:0] pio_0_external_connection_export,                          //                 pio_0_external_connection.export
		input  wire [31:0] xcvr_st_converter_0_rx_parallel_data_rx_parallel_data,     //      xcvr_st_converter_0_rx_parallel_data.rx_parallel_data
		output wire [31:0] xcvr_st_converter_0_tx_parallel_data_tx_parallel_data      //      xcvr_st_converter_0_tx_parallel_data.tx_parallel_data
	);
endmodule

