// fmc_cmos_system.v

// Generated using ACDS version 17.1 235

`timescale 1 ps / 1 ps
module fmc_cmos_system (
		input  wire        clkin_clk,                                                 //                                     clkin.clk
		input  wire        clkin_reset_reset_n,                                       //                               clkin_reset.reset_n
		output wire        mm_bridge_0_s0_waitrequest,                                //                            mm_bridge_0_s0.waitrequest
		output wire [31:0] mm_bridge_0_s0_readdata,                                   //                                          .readdata
		output wire        mm_bridge_0_s0_readdatavalid,                              //                                          .readdatavalid
		input  wire [0:0]  mm_bridge_0_s0_burstcount,                                 //                                          .burstcount
		input  wire [31:0] mm_bridge_0_s0_writedata,                                  //                                          .writedata
		input  wire [16:0] mm_bridge_0_s0_address,                                    //                                          .address
		input  wire        mm_bridge_0_s0_write,                                      //                                          .write
		input  wire        mm_bridge_0_s0_read,                                       //                                          .read
		input  wire [3:0]  mm_bridge_0_s0_byteenable,                                 //                                          .byteenable
		input  wire        mm_bridge_0_s0_debugaccess,                                //                                          .debugaccess
		output wire [1:0]  nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken, // nativephy_loopback_cont_0_rx_seriallpbken.rx_seriallpbken
		output wire [31:0] pio_0_external_connection_export,                          //                 pio_0_external_connection.export
		input  wire [31:0] xcvr_st_converter_0_rx_parallel_data_rx_parallel_data,     //      xcvr_st_converter_0_rx_parallel_data.rx_parallel_data
		output wire [31:0] xcvr_st_converter_0_tx_parallel_data_tx_parallel_data      //      xcvr_st_converter_0_tx_parallel_data.tx_parallel_data
	);

	wire         clkin_clk_clk;                                                         // clkin:clk_out -> [fmc_cmos_system_0:clk_50_clk, mm_bridge_0:clk, mm_interconnect_0:clkin_clk_clk, nativePHY_loopback_cont_0:clk, pio_0:clk, rst_controller:clk, xcvr_st_converter_0:rx_clkout, xcvr_st_converter_0:tx_clkout]
	wire  [31:0] xcvr_st_converter_0_rx_data_a_export;                                  // xcvr_st_converter_0:rx_data_a -> fmc_cmos_system_0:data_pattern_checker_0_conduit_pattern_in_export
	wire         xcvr_st_converter_0_rx_clkout_a_export;                                // xcvr_st_converter_0:rx_clkout_a -> fmc_cmos_system_0:data_pattern_checker_0_conduit_pattern_in_clk_export
	wire  [31:0] fmc_cmos_system_0_data_pattern_generator_0_conduit_pattern_out_export; // fmc_cmos_system_0:data_pattern_generator_0_conduit_pattern_out_export -> xcvr_st_converter_0:tx_data_a
	wire         xcvr_st_converter_0_tx_clkout_a_export;                                // xcvr_st_converter_0:tx_clkout_a -> fmc_cmos_system_0:data_pattern_generator_0_conduit_pattern_out_clk_export
	wire         clkin_clk_reset_reset;                                                 // clkin:reset_n_out -> [fmc_cmos_system_0:reset_50_reset_n, rst_controller:reset_in0]
	wire         mm_bridge_0_m0_waitrequest;                                            // mm_interconnect_0:mm_bridge_0_m0_waitrequest -> mm_bridge_0:m0_waitrequest
	wire  [31:0] mm_bridge_0_m0_readdata;                                               // mm_interconnect_0:mm_bridge_0_m0_readdata -> mm_bridge_0:m0_readdata
	wire         mm_bridge_0_m0_debugaccess;                                            // mm_bridge_0:m0_debugaccess -> mm_interconnect_0:mm_bridge_0_m0_debugaccess
	wire  [16:0] mm_bridge_0_m0_address;                                                // mm_bridge_0:m0_address -> mm_interconnect_0:mm_bridge_0_m0_address
	wire         mm_bridge_0_m0_read;                                                   // mm_bridge_0:m0_read -> mm_interconnect_0:mm_bridge_0_m0_read
	wire   [3:0] mm_bridge_0_m0_byteenable;                                             // mm_bridge_0:m0_byteenable -> mm_interconnect_0:mm_bridge_0_m0_byteenable
	wire         mm_bridge_0_m0_readdatavalid;                                          // mm_interconnect_0:mm_bridge_0_m0_readdatavalid -> mm_bridge_0:m0_readdatavalid
	wire  [31:0] mm_bridge_0_m0_writedata;                                              // mm_bridge_0:m0_writedata -> mm_interconnect_0:mm_bridge_0_m0_writedata
	wire         mm_bridge_0_m0_write;                                                  // mm_bridge_0:m0_write -> mm_interconnect_0:mm_bridge_0_m0_write
	wire   [0:0] mm_bridge_0_m0_burstcount;                                             // mm_bridge_0:m0_burstcount -> mm_interconnect_0:mm_bridge_0_m0_burstcount
	wire  [31:0] mm_interconnect_0_nativephy_loopback_cont_0_csr_readdata;              // nativePHY_loopback_cont_0:csr_readdata -> mm_interconnect_0:nativePHY_loopback_cont_0_csr_readdata
	wire   [3:0] mm_interconnect_0_nativephy_loopback_cont_0_csr_address;               // mm_interconnect_0:nativePHY_loopback_cont_0_csr_address -> nativePHY_loopback_cont_0:csr_address
	wire         mm_interconnect_0_nativephy_loopback_cont_0_csr_read;                  // mm_interconnect_0:nativePHY_loopback_cont_0_csr_read -> nativePHY_loopback_cont_0:csr_read
	wire         mm_interconnect_0_nativephy_loopback_cont_0_csr_write;                 // mm_interconnect_0:nativePHY_loopback_cont_0_csr_write -> nativePHY_loopback_cont_0:csr_write
	wire  [31:0] mm_interconnect_0_nativephy_loopback_cont_0_csr_writedata;             // mm_interconnect_0:nativePHY_loopback_cont_0_csr_writedata -> nativePHY_loopback_cont_0:csr_writedata
	wire  [31:0] mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdata;           // fmc_cmos_system_0:mm_bridge_0_s0_readdata -> mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_readdata
	wire         mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_waitrequest;        // fmc_cmos_system_0:mm_bridge_0_s0_waitrequest -> mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_waitrequest
	wire         mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_debugaccess;        // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_debugaccess -> fmc_cmos_system_0:mm_bridge_0_s0_debugaccess
	wire  [12:0] mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_address;            // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_address -> fmc_cmos_system_0:mm_bridge_0_s0_address
	wire         mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_read;               // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_read -> fmc_cmos_system_0:mm_bridge_0_s0_read
	wire   [3:0] mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_byteenable;         // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_byteenable -> fmc_cmos_system_0:mm_bridge_0_s0_byteenable
	wire         mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdatavalid;      // fmc_cmos_system_0:mm_bridge_0_s0_readdatavalid -> mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_readdatavalid
	wire         mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_write;              // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_write -> fmc_cmos_system_0:mm_bridge_0_s0_write
	wire  [31:0] mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_writedata;          // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_writedata -> fmc_cmos_system_0:mm_bridge_0_s0_writedata
	wire   [0:0] mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_burstcount;         // mm_interconnect_0:fmc_cmos_system_0_mm_bridge_0_s0_burstcount -> fmc_cmos_system_0:mm_bridge_0_s0_burstcount
	wire         mm_interconnect_0_pio_0_s1_chipselect;                                 // mm_interconnect_0:pio_0_s1_chipselect -> pio_0:chipselect
	wire  [31:0] mm_interconnect_0_pio_0_s1_readdata;                                   // pio_0:readdata -> mm_interconnect_0:pio_0_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_0_s1_address;                                    // mm_interconnect_0:pio_0_s1_address -> pio_0:address
	wire         mm_interconnect_0_pio_0_s1_write;                                      // mm_interconnect_0:pio_0_s1_write -> pio_0:write_n
	wire  [31:0] mm_interconnect_0_pio_0_s1_writedata;                                  // mm_interconnect_0:pio_0_s1_writedata -> pio_0:writedata
	wire         rst_controller_reset_out_reset;                                        // rst_controller:reset_out -> [mm_bridge_0:reset, mm_interconnect_0:fmc_cmos_system_0_reset_50_reset_bridge_in_reset_reset, mm_interconnect_0:mm_bridge_0_reset_reset_bridge_in_reset_reset, nativePHY_loopback_cont_0:reset_n, pio_0:reset_n]

	fmc_cmos_system_clkin clkin (
		.clk_out     (clkin_clk_clk),         //  output,  width = 1,          clk.clk
		.in_clk      (clkin_clk),             //   input,  width = 1,       clk_in.clk
		.reset_n     (clkin_reset_reset_n),   //   input,  width = 1, clk_in_reset.reset_n
		.reset_n_out (clkin_clk_reset_reset)  //  output,  width = 1,    clk_reset.reset_n
	);

	fmc_cmos_system_mm_bridge_0 mm_bridge_0 (
		.clk              (clkin_clk_clk),                  //   input,   width = 1,   clk.clk
		.m0_waitrequest   (mm_bridge_0_m0_waitrequest),     //   input,   width = 1,    m0.waitrequest
		.m0_readdata      (mm_bridge_0_m0_readdata),        //   input,  width = 32,      .readdata
		.m0_readdatavalid (mm_bridge_0_m0_readdatavalid),   //   input,   width = 1,      .readdatavalid
		.m0_burstcount    (mm_bridge_0_m0_burstcount),      //  output,   width = 1,      .burstcount
		.m0_writedata     (mm_bridge_0_m0_writedata),       //  output,  width = 32,      .writedata
		.m0_address       (mm_bridge_0_m0_address),         //  output,  width = 17,      .address
		.m0_write         (mm_bridge_0_m0_write),           //  output,   width = 1,      .write
		.m0_read          (mm_bridge_0_m0_read),            //  output,   width = 1,      .read
		.m0_byteenable    (mm_bridge_0_m0_byteenable),      //  output,   width = 4,      .byteenable
		.m0_debugaccess   (mm_bridge_0_m0_debugaccess),     //  output,   width = 1,      .debugaccess
		.reset            (rst_controller_reset_out_reset), //   input,   width = 1, reset.reset
		.s0_waitrequest   (mm_bridge_0_s0_waitrequest),     //  output,   width = 1,    s0.waitrequest
		.s0_readdata      (mm_bridge_0_s0_readdata),        //  output,  width = 32,      .readdata
		.s0_readdatavalid (mm_bridge_0_s0_readdatavalid),   //  output,   width = 1,      .readdatavalid
		.s0_burstcount    (mm_bridge_0_s0_burstcount),      //   input,   width = 1,      .burstcount
		.s0_writedata     (mm_bridge_0_s0_writedata),       //   input,  width = 32,      .writedata
		.s0_address       (mm_bridge_0_s0_address),         //   input,  width = 17,      .address
		.s0_write         (mm_bridge_0_s0_write),           //   input,   width = 1,      .write
		.s0_read          (mm_bridge_0_s0_read),            //   input,   width = 1,      .read
		.s0_byteenable    (mm_bridge_0_s0_byteenable),      //   input,   width = 4,      .byteenable
		.s0_debugaccess   (mm_bridge_0_s0_debugaccess)      //   input,   width = 1,      .debugaccess
	);

	fmc_cmos_system_nativePHY_loopback_cont_1 nativephy_loopback_cont_0 (
		.clk                 (clkin_clk_clk),                                             //   input,   width = 1,               clock.clk
		.csr_address         (mm_interconnect_0_nativephy_loopback_cont_0_csr_address),   //   input,   width = 4,                 csr.address
		.csr_read            (mm_interconnect_0_nativephy_loopback_cont_0_csr_read),      //   input,   width = 1,                    .read
		.csr_write           (mm_interconnect_0_nativephy_loopback_cont_0_csr_write),     //   input,   width = 1,                    .write
		.csr_readdata        (mm_interconnect_0_nativephy_loopback_cont_0_csr_readdata),  //  output,  width = 32,                    .readdata
		.csr_writedata       (mm_interconnect_0_nativephy_loopback_cont_0_csr_writedata), //   input,  width = 32,                    .writedata
		.pll_locked          (),                                                          //   input,   width = 2,          pll_locked.pll_locked
		.reset_n             (~rst_controller_reset_out_reset),                           //   input,   width = 1,               reset.reset_n
		.rx_is_lockedtoref   (),                                                          //   input,   width = 2,   rx_is_lockedtoref.rx_is_lockedtoref
		.rx_seriallpbken     (nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken), //  output,   width = 2,     rx_seriallpbken.rx_seriallpbken
		.rx_seriallpbken_mon ()                                                           //  output,   width = 2, rx_seriallpbken_mon.export
	);

	fmc_cmos_system_pio_0 pio_0 (
		.clk        (clkin_clk_clk),                         //   input,   width = 1,                 clk.clk
		.out_port   (pio_0_external_connection_export),      //  output,  width = 32, external_connection.export
		.reset_n    (~rst_controller_reset_out_reset),       //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_pio_0_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_pio_0_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_pio_0_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_pio_0_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_pio_0_s1_readdata)    //  output,  width = 32,                    .readdata
	);

	fmc_cmos_system_xcvr_st_converter_1 xcvr_st_converter_0 (
		.rx_clkout          (clkin_clk_clk),                                                         //   input,   width = 1,          rx_clkout.clk
		.rx_clkout_a        (xcvr_st_converter_0_rx_clkout_a_export),                                //  output,   width = 1,        rx_clkout_a.export
		.rx_clkout_a_output (),                                                                      //  output,   width = 1, rx_clkout_a_output.clk
		.rx_data_a          (xcvr_st_converter_0_rx_data_a_export),                                  //  output,  width = 32,          rx_data_a.export
		.rx_is_lockedtodata (),                                                                      //   input,   width = 1, rx_is_lockedtodata.rx_is_lockedtodata
		.rx_parallel_data   (xcvr_st_converter_0_rx_parallel_data_rx_parallel_data),                 //   input,  width = 32,   rx_parallel_data.rx_parallel_data
		.test_reset_n_a     (),                                                                      //  output,   width = 1,     test_reset_n_a.reset_n
		.tx_clkout          (clkin_clk_clk),                                                         //   input,   width = 1,          tx_clkout.clk
		.tx_clkout_a        (xcvr_st_converter_0_tx_clkout_a_export),                                //  output,   width = 1,        tx_clkout_a.export
		.tx_clkout_a_output (),                                                                      //  output,   width = 1, tx_clkout_a_output.clk
		.tx_data_a          (fmc_cmos_system_0_data_pattern_generator_0_conduit_pattern_out_export), //   input,  width = 32,          tx_data_a.export
		.tx_parallel_data   (xcvr_st_converter_0_tx_parallel_data_tx_parallel_data)                  //  output,  width = 32,   tx_parallel_data.tx_parallel_data
	);

	cmos_test_system fmc_cmos_system_0 (
		.clk_50_clk                                              (clkin_clk_clk),                                                         //   input,   width = 1,                                           clk_50.clk
		.data_pattern_checker_0_conduit_pattern_in_export        (xcvr_st_converter_0_rx_data_a_export),                                  //   input,  width = 32,        data_pattern_checker_0_conduit_pattern_in.export
		.data_pattern_checker_0_conduit_pattern_in_clk_export    (xcvr_st_converter_0_rx_clkout_a_export),                                //   input,   width = 1,    data_pattern_checker_0_conduit_pattern_in_clk.export
		.data_pattern_generator_0_conduit_pattern_out_export     (fmc_cmos_system_0_data_pattern_generator_0_conduit_pattern_out_export), //  output,  width = 32,     data_pattern_generator_0_conduit_pattern_out.export
		.data_pattern_generator_0_conduit_pattern_out_clk_export (xcvr_st_converter_0_tx_clkout_a_export),                                //   input,   width = 1, data_pattern_generator_0_conduit_pattern_out_clk.export
		.mm_bridge_0_s0_waitrequest                              (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_waitrequest),        //  output,   width = 1,                                   mm_bridge_0_s0.waitrequest
		.mm_bridge_0_s0_readdata                                 (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdata),           //  output,  width = 32,                                                 .readdata
		.mm_bridge_0_s0_readdatavalid                            (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdatavalid),      //  output,   width = 1,                                                 .readdatavalid
		.mm_bridge_0_s0_burstcount                               (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_burstcount),         //   input,   width = 1,                                                 .burstcount
		.mm_bridge_0_s0_writedata                                (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_writedata),          //   input,  width = 32,                                                 .writedata
		.mm_bridge_0_s0_address                                  (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_address),            //   input,  width = 13,                                                 .address
		.mm_bridge_0_s0_write                                    (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_write),              //   input,   width = 1,                                                 .write
		.mm_bridge_0_s0_read                                     (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_read),               //   input,   width = 1,                                                 .read
		.mm_bridge_0_s0_byteenable                               (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_byteenable),         //   input,   width = 4,                                                 .byteenable
		.mm_bridge_0_s0_debugaccess                              (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_debugaccess),        //   input,   width = 1,                                                 .debugaccess
		.reset_50_reset_n                                        (clkin_clk_reset_reset)                                                  //   input,   width = 1,                                         reset_50.reset_n
	);

	fmc_cmos_system_altera_mm_interconnect_171_e56m5ji mm_interconnect_0 (
		.clkin_clk_clk                                          (clkin_clk_clk),                                                    //   input,   width = 1,                                        clkin_clk.clk
		.fmc_cmos_system_0_mm_bridge_0_s0_address               (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_address),       //  output,  width = 13,                 fmc_cmos_system_0_mm_bridge_0_s0.address
		.fmc_cmos_system_0_mm_bridge_0_s0_write                 (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_write),         //  output,   width = 1,                                                 .write
		.fmc_cmos_system_0_mm_bridge_0_s0_read                  (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_read),          //  output,   width = 1,                                                 .read
		.fmc_cmos_system_0_mm_bridge_0_s0_readdata              (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdata),      //   input,  width = 32,                                                 .readdata
		.fmc_cmos_system_0_mm_bridge_0_s0_writedata             (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_writedata),     //  output,  width = 32,                                                 .writedata
		.fmc_cmos_system_0_mm_bridge_0_s0_burstcount            (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_burstcount),    //  output,   width = 1,                                                 .burstcount
		.fmc_cmos_system_0_mm_bridge_0_s0_byteenable            (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_byteenable),    //  output,   width = 4,                                                 .byteenable
		.fmc_cmos_system_0_mm_bridge_0_s0_readdatavalid         (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_readdatavalid), //   input,   width = 1,                                                 .readdatavalid
		.fmc_cmos_system_0_mm_bridge_0_s0_waitrequest           (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_waitrequest),   //   input,   width = 1,                                                 .waitrequest
		.fmc_cmos_system_0_mm_bridge_0_s0_debugaccess           (mm_interconnect_0_fmc_cmos_system_0_mm_bridge_0_s0_debugaccess),   //  output,   width = 1,                                                 .debugaccess
		.fmc_cmos_system_0_reset_50_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                   //   input,   width = 1, fmc_cmos_system_0_reset_50_reset_bridge_in_reset.reset
		.mm_bridge_0_m0_address                                 (mm_bridge_0_m0_address),                                           //   input,  width = 17,                                   mm_bridge_0_m0.address
		.mm_bridge_0_m0_waitrequest                             (mm_bridge_0_m0_waitrequest),                                       //  output,   width = 1,                                                 .waitrequest
		.mm_bridge_0_m0_burstcount                              (mm_bridge_0_m0_burstcount),                                        //   input,   width = 1,                                                 .burstcount
		.mm_bridge_0_m0_byteenable                              (mm_bridge_0_m0_byteenable),                                        //   input,   width = 4,                                                 .byteenable
		.mm_bridge_0_m0_read                                    (mm_bridge_0_m0_read),                                              //   input,   width = 1,                                                 .read
		.mm_bridge_0_m0_readdata                                (mm_bridge_0_m0_readdata),                                          //  output,  width = 32,                                                 .readdata
		.mm_bridge_0_m0_readdatavalid                           (mm_bridge_0_m0_readdatavalid),                                     //  output,   width = 1,                                                 .readdatavalid
		.mm_bridge_0_m0_write                                   (mm_bridge_0_m0_write),                                             //   input,   width = 1,                                                 .write
		.mm_bridge_0_m0_writedata                               (mm_bridge_0_m0_writedata),                                         //   input,  width = 32,                                                 .writedata
		.mm_bridge_0_m0_debugaccess                             (mm_bridge_0_m0_debugaccess),                                       //   input,   width = 1,                                                 .debugaccess
		.mm_bridge_0_reset_reset_bridge_in_reset_reset          (rst_controller_reset_out_reset),                                   //   input,   width = 1,          mm_bridge_0_reset_reset_bridge_in_reset.reset
		.nativePHY_loopback_cont_0_csr_address                  (mm_interconnect_0_nativephy_loopback_cont_0_csr_address),          //  output,   width = 4,                    nativePHY_loopback_cont_0_csr.address
		.nativePHY_loopback_cont_0_csr_write                    (mm_interconnect_0_nativephy_loopback_cont_0_csr_write),            //  output,   width = 1,                                                 .write
		.nativePHY_loopback_cont_0_csr_read                     (mm_interconnect_0_nativephy_loopback_cont_0_csr_read),             //  output,   width = 1,                                                 .read
		.nativePHY_loopback_cont_0_csr_readdata                 (mm_interconnect_0_nativephy_loopback_cont_0_csr_readdata),         //   input,  width = 32,                                                 .readdata
		.nativePHY_loopback_cont_0_csr_writedata                (mm_interconnect_0_nativephy_loopback_cont_0_csr_writedata),        //  output,  width = 32,                                                 .writedata
		.pio_0_s1_address                                       (mm_interconnect_0_pio_0_s1_address),                               //  output,   width = 2,                                         pio_0_s1.address
		.pio_0_s1_write                                         (mm_interconnect_0_pio_0_s1_write),                                 //  output,   width = 1,                                                 .write
		.pio_0_s1_readdata                                      (mm_interconnect_0_pio_0_s1_readdata),                              //   input,  width = 32,                                                 .readdata
		.pio_0_s1_writedata                                     (mm_interconnect_0_pio_0_s1_writedata),                             //  output,  width = 32,                                                 .writedata
		.pio_0_s1_chipselect                                    (mm_interconnect_0_pio_0_s1_chipselect)                             //  output,   width = 1,                                                 .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~clkin_clk_reset_reset),         //   input,  width = 1, reset_in0.reset
		.clk            (clkin_clk_clk),                  //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                               // (terminated),                       
		.reset_req_in0  (1'b0),                           // (terminated),                       
		.reset_in1      (1'b0),                           // (terminated),                       
		.reset_req_in1  (1'b0),                           // (terminated),                       
		.reset_in2      (1'b0),                           // (terminated),                       
		.reset_req_in2  (1'b0),                           // (terminated),                       
		.reset_in3      (1'b0),                           // (terminated),                       
		.reset_req_in3  (1'b0),                           // (terminated),                       
		.reset_in4      (1'b0),                           // (terminated),                       
		.reset_req_in4  (1'b0),                           // (terminated),                       
		.reset_in5      (1'b0),                           // (terminated),                       
		.reset_req_in5  (1'b0),                           // (terminated),                       
		.reset_in6      (1'b0),                           // (terminated),                       
		.reset_req_in6  (1'b0),                           // (terminated),                       
		.reset_in7      (1'b0),                           // (terminated),                       
		.reset_req_in7  (1'b0),                           // (terminated),                       
		.reset_in8      (1'b0),                           // (terminated),                       
		.reset_req_in8  (1'b0),                           // (terminated),                       
		.reset_in9      (1'b0),                           // (terminated),                       
		.reset_req_in9  (1'b0),                           // (terminated),                       
		.reset_in10     (1'b0),                           // (terminated),                       
		.reset_req_in10 (1'b0),                           // (terminated),                       
		.reset_in11     (1'b0),                           // (terminated),                       
		.reset_req_in11 (1'b0),                           // (terminated),                       
		.reset_in12     (1'b0),                           // (terminated),                       
		.reset_req_in12 (1'b0),                           // (terminated),                       
		.reset_in13     (1'b0),                           // (terminated),                       
		.reset_req_in13 (1'b0),                           // (terminated),                       
		.reset_in14     (1'b0),                           // (terminated),                       
		.reset_req_in14 (1'b0),                           // (terminated),                       
		.reset_in15     (1'b0),                           // (terminated),                       
		.reset_req_in15 (1'b0)                            // (terminated),                       
	);

endmodule
