module fmc_xcvr_system (
		input  wire        atx_pll_4c_refclk_in_clk_clk,                                                //                                    atx_pll_4c_refclk_in_clk.clk
		input  wire        clk_100_clk,                                                                 //                                                     clk_100.clk
		input  wire        clk_100_reset_reset_n,                                                       //                                               clk_100_reset.reset_n
		input  wire        clk_50_clk,                                                                  //                                                      clk_50.clk
		input  wire        clk_50_reset_reset_n,                                                        //                                                clk_50_reset.reset_n
		output wire [1:0]  fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken, // fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken.rx_seriallpbken
		output wire [31:0] fmc_cmos_system_0_pio_0_external_connection_export,                          //                 fmc_cmos_system_0_pio_0_external_connection.export
		input  wire [31:0] fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data_rx_parallel_data,     //      fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data.rx_parallel_data
		output wire [31:0] fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data_tx_parallel_data,     //      fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data.tx_parallel_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		input  wire [0:0]  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   //  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
		output wire [0:0]  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   //  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
		output wire [0:0]  fmc_xcvr_system_pll_status_pll_locked_output_pll_locked                      //                fmc_xcvr_system_pll_status_pll_locked_output.pll_locked
	);
endmodule

