	component fmc_xcvr_system is
		port (
			atx_pll_4c_refclk_in_clk_clk                                                : in  std_logic                     := 'X';             -- clk
			clk_100_clk                                                                 : in  std_logic                     := 'X';             -- clk
			clk_100_reset_reset_n                                                       : in  std_logic                     := 'X';             -- reset_n
			clk_50_clk                                                                  : in  std_logic                     := 'X';             -- clk
			clk_50_reset_reset_n                                                        : in  std_logic                     := 'X';             -- reset_n
			fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken : out std_logic_vector(1 downto 0);                     -- rx_seriallpbken
			fmc_cmos_system_0_pio_0_external_connection_export                          : out std_logic_vector(31 downto 0);                    -- export
			fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data_rx_parallel_data     : in  std_logic_vector(31 downto 0) := (others => 'X'); -- rx_parallel_data
			fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data_tx_parallel_data     : out std_logic_vector(31 downto 0);                    -- tx_parallel_data
			fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- rx_serial_data
			fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   : out std_logic_vector(0 downto 0);                     -- tx_serial_data
			fmc_xcvr_system_pll_status_pll_locked_output_pll_locked                     : out std_logic_vector(0 downto 0)                      -- pll_locked
		);
	end component fmc_xcvr_system;

	u0 : component fmc_xcvr_system
		port map (
			atx_pll_4c_refclk_in_clk_clk                                                => CONNECTED_TO_atx_pll_4c_refclk_in_clk_clk,                                                --                                    atx_pll_4c_refclk_in_clk.clk
			clk_100_clk                                                                 => CONNECTED_TO_clk_100_clk,                                                                 --                                                     clk_100.clk
			clk_100_reset_reset_n                                                       => CONNECTED_TO_clk_100_reset_reset_n,                                                       --                                               clk_100_reset.reset_n
			clk_50_clk                                                                  => CONNECTED_TO_clk_50_clk,                                                                  --                                                      clk_50.clk
			clk_50_reset_reset_n                                                        => CONNECTED_TO_clk_50_reset_reset_n,                                                        --                                                clk_50_reset.reset_n
			fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken => CONNECTED_TO_fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken_rx_seriallpbken, -- fmc_cmos_system_0_nativephy_loopback_cont_0_rx_seriallpbken.rx_seriallpbken
			fmc_cmos_system_0_pio_0_external_connection_export                          => CONNECTED_TO_fmc_cmos_system_0_pio_0_external_connection_export,                          --                 fmc_cmos_system_0_pio_0_external_connection.export
			fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data_rx_parallel_data     => CONNECTED_TO_fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data_rx_parallel_data,     --      fmc_cmos_system_0_xcvr_st_converter_0_rx_parallel_data.rx_parallel_data
			fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data_tx_parallel_data     => CONNECTED_TO_fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data_tx_parallel_data,     --      fmc_cmos_system_0_xcvr_st_converter_0_tx_parallel_data.tx_parallel_data
			fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4c_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_4_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4d_5_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4e_0_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4e_1_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4e_2_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data_rx_serial_data,   --  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_rx_serial_data.rx_serial_data
			fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data   => CONNECTED_TO_fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data_tx_serial_data,   --  fmc_xcvr_system_bank_4e_3_xcvr_native_s10_0_tx_serial_data.tx_serial_data
			fmc_xcvr_system_pll_status_pll_locked_output_pll_locked                     => CONNECTED_TO_fmc_xcvr_system_pll_status_pll_locked_output_pll_locked                      --                fmc_xcvr_system_pll_status_pll_locked_output.pll_locked
		);

