	component fmc_xcvr_system_pll_status_interconnect_1 is
		port (
			mcgb_rst          : out std_logic_vector(0 downto 0);                    -- mcgb_rst
			pll_locked        : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_locked
			pll_locked_a      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_b      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_c      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_d      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_e      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_f      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_g      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_h      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_i      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_j      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_k      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_l      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_m      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_n      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_o      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_output : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_locked_p      : out std_logic_vector(0 downto 0);                    -- pll_locked
			pll_powerdown     : out std_logic_vector(0 downto 0);                    -- pll_powerdown
			pll_powerdown_a   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_b   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_c   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_d   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_e   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_f   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_g   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_h   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_i   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_j   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_k   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_l   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_m   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_n   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_o   : in  std_logic_vector(0 downto 0) := (others => 'X'); -- pll_powerdown
			pll_powerdown_p   : in  std_logic_vector(0 downto 0) := (others => 'X')  -- pll_powerdown
		);
	end component fmc_xcvr_system_pll_status_interconnect_1;

	u0 : component fmc_xcvr_system_pll_status_interconnect_1
		port map (
			mcgb_rst          => CONNECTED_TO_mcgb_rst,          --          mcgb_rst.mcgb_rst
			pll_locked        => CONNECTED_TO_pll_locked,        --        pll_locked.pll_locked
			pll_locked_a      => CONNECTED_TO_pll_locked_a,      --      pll_locked_a.pll_locked
			pll_locked_b      => CONNECTED_TO_pll_locked_b,      --      pll_locked_b.pll_locked
			pll_locked_c      => CONNECTED_TO_pll_locked_c,      --      pll_locked_c.pll_locked
			pll_locked_d      => CONNECTED_TO_pll_locked_d,      --      pll_locked_d.pll_locked
			pll_locked_e      => CONNECTED_TO_pll_locked_e,      --      pll_locked_e.pll_locked
			pll_locked_f      => CONNECTED_TO_pll_locked_f,      --      pll_locked_f.pll_locked
			pll_locked_g      => CONNECTED_TO_pll_locked_g,      --      pll_locked_g.pll_locked
			pll_locked_h      => CONNECTED_TO_pll_locked_h,      --      pll_locked_h.pll_locked
			pll_locked_i      => CONNECTED_TO_pll_locked_i,      --      pll_locked_i.pll_locked
			pll_locked_j      => CONNECTED_TO_pll_locked_j,      --      pll_locked_j.pll_locked
			pll_locked_k      => CONNECTED_TO_pll_locked_k,      --      pll_locked_k.pll_locked
			pll_locked_l      => CONNECTED_TO_pll_locked_l,      --      pll_locked_l.pll_locked
			pll_locked_m      => CONNECTED_TO_pll_locked_m,      --      pll_locked_m.pll_locked
			pll_locked_n      => CONNECTED_TO_pll_locked_n,      --      pll_locked_n.pll_locked
			pll_locked_o      => CONNECTED_TO_pll_locked_o,      --      pll_locked_o.pll_locked
			pll_locked_output => CONNECTED_TO_pll_locked_output, -- pll_locked_output.pll_locked
			pll_locked_p      => CONNECTED_TO_pll_locked_p,      --      pll_locked_p.pll_locked
			pll_powerdown     => CONNECTED_TO_pll_powerdown,     --     pll_powerdown.pll_powerdown
			pll_powerdown_a   => CONNECTED_TO_pll_powerdown_a,   --   pll_powerdown_a.pll_powerdown
			pll_powerdown_b   => CONNECTED_TO_pll_powerdown_b,   --   pll_powerdown_b.pll_powerdown
			pll_powerdown_c   => CONNECTED_TO_pll_powerdown_c,   --   pll_powerdown_c.pll_powerdown
			pll_powerdown_d   => CONNECTED_TO_pll_powerdown_d,   --   pll_powerdown_d.pll_powerdown
			pll_powerdown_e   => CONNECTED_TO_pll_powerdown_e,   --   pll_powerdown_e.pll_powerdown
			pll_powerdown_f   => CONNECTED_TO_pll_powerdown_f,   --   pll_powerdown_f.pll_powerdown
			pll_powerdown_g   => CONNECTED_TO_pll_powerdown_g,   --   pll_powerdown_g.pll_powerdown
			pll_powerdown_h   => CONNECTED_TO_pll_powerdown_h,   --   pll_powerdown_h.pll_powerdown
			pll_powerdown_i   => CONNECTED_TO_pll_powerdown_i,   --   pll_powerdown_i.pll_powerdown
			pll_powerdown_j   => CONNECTED_TO_pll_powerdown_j,   --   pll_powerdown_j.pll_powerdown
			pll_powerdown_k   => CONNECTED_TO_pll_powerdown_k,   --   pll_powerdown_k.pll_powerdown
			pll_powerdown_l   => CONNECTED_TO_pll_powerdown_l,   --   pll_powerdown_l.pll_powerdown
			pll_powerdown_m   => CONNECTED_TO_pll_powerdown_m,   --   pll_powerdown_m.pll_powerdown
			pll_powerdown_n   => CONNECTED_TO_pll_powerdown_n,   --   pll_powerdown_n.pll_powerdown
			pll_powerdown_o   => CONNECTED_TO_pll_powerdown_o,   --   pll_powerdown_o.pll_powerdown
			pll_powerdown_p   => CONNECTED_TO_pll_powerdown_p    --   pll_powerdown_p.pll_powerdown
		);

