// fmc_xcvr_test_pll_status_interconnect_1.v

// Generated using ACDS version 17.1 235

`timescale 1 ps / 1 ps
module fmc_xcvr_test_pll_status_interconnect_1 (
		output wire [0:0] mcgb_rst,          //          mcgb_rst.mcgb_rst
		input  wire [0:0] pll_locked,        //        pll_locked.pll_locked
		output wire [0:0] pll_locked_a,      //      pll_locked_a.pll_locked
		output wire [0:0] pll_locked_output, // pll_locked_output.pll_locked
		output wire [0:0] pll_powerdown,     //     pll_powerdown.pll_powerdown
		input  wire [0:0] pll_powerdown_a    //   pll_powerdown_a.pll_powerdown
	);

	pll_status_interconnect #(
		.DATAWIDTH (1),
		.NUM_OF_CH (1)
	) fmc_xcvr_test_pll_status_interconnect_1 (
		.pll_locked        (pll_locked),        //   input,  width = 1,        pll_locked.pll_locked
		.pll_powerdown     (pll_powerdown),     //  output,  width = 1,     pll_powerdown.pll_powerdown
		.mcgb_rst          (mcgb_rst),          //  output,  width = 1,          mcgb_rst.mcgb_rst
		.pll_locked_output (pll_locked_output), //  output,  width = 1, pll_locked_output.pll_locked
		.pll_locked_a      (pll_locked_a),      //  output,  width = 1,      pll_locked_a.pll_locked
		.pll_powerdown_a   (pll_powerdown_a)    //   input,  width = 1,   pll_powerdown_a.pll_powerdown
	);

endmodule
