## Generated SDC file "max5.out.sdc"

## Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, the Altera Quartus II License Agreement,
## the Altera MegaCore Function License Agreement, or other 
## applicable license agreement, including, without limitation, 
## that your use is for the sole purpose of programming logic 
## devices manufactured by Altera and sold by Altera or its 
## authorized distributors.  Please refer to the applicable 
## agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 14.0.0 Internal Build 188 04/22/2014 SJ Full Version"

## DATE    "Mon Apr 28 18:47:49 2014"

##
## DEVICE  "5M2210ZF256C4"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {altera_reserved_tck} -period 40.000 -waveform { 0.000 20.000 } [get_ports {altera_reserved_tck}]
create_clock -name {clk_50m_max5} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk_50m_max5}]
create_clock -name {flash_clk} -period 20.000 -waveform { 0.000 10.000 } [get_ports {flash_clk}]
create_clock -name {fpga_avst_clk} -period 40.000 -waveform { 0.000 20.000 } [get_ports {fpga_avst_clk}]


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name slow_clk -source [get_ports {clk_50m_max5}] -divide_by 1024 [get_registers {slow_clocks:slow_clocks_inst|slow_clk_int}]
create_generated_clock -name mv_clk_12m5 -source [get_ports {clk_50m_max5}] -divide_by 4 [get_registers {slow_clocks:slow_clocks_inst|ctr[1]}]
create_generated_clock -name mv_clk_25m -source [get_ports {clk_50m_max5}] -divide_by 2 [get_registers {slow_clocks:slow_clocks_inst|ctr[0]}]


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tms}]

set_input_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  5.000 [get_ports {i2c_scl}]
set_input_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  5.000 [get_ports {i2c_sda}]


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay -fall -max -clock_fall -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdo}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_advn}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_advn}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_cen[0]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_cen[0]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_cen[1]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_cen[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  0.000 [get_ports {flash_clk}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_oen}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_oen}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_resetn}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_resetn}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {flash_wen}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {flash_wen}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[0]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[0]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[1]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[1]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[2]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[2]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[3]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[3]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[4]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[4]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[5]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[5]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[6]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[6]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[7]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[7]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[8]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[8]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[9]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[9]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[10]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[10]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[11]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[11]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[12]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[12]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[13]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[13]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[14]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[14]}]
set_output_delay -add_delay -max -clock [get_clocks {clk_50m_max5}]  3.500 [get_ports {fpga_config_d[15]}]
set_output_delay -add_delay -min -clock [get_clocks {clk_50m_max5}]  -1.000 [get_ports {fpga_config_d[15]}]
set_output_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  0.000 [get_ports {fpga_avst_clk}]

set_output_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  2.500 [get_ports {i2c_scl}]
set_output_delay -add_delay  -clock [get_clocks {clk_50m_max5}]  2.500 [get_ports {i2c_sda}]


#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_ports {fm_d[*]}]
set_false_path -to [get_ports {fm_d[*]}]
set_false_path -to [get_ports {fm_a[*]}]
set_false_path -to [get_ports {flash_resetn}]
set_false_path -to [get_ports {flash_advn}]
set_false_path -to [get_ports {flash_cen[*]}]
set_false_path -to [get_ports {flash_oen}]
set_false_path -to [get_ports {flash_wen}]
set_false_path -from [get_ports {fpga_conf_done}] 
set_false_path -from [get_ports {fpga_nstatus}] 
set_false_path -from [get_ports {pgm_config}] 
set_false_path -from [get_ports {pgm_sel}] 
set_false_path -from [get_ports {factory_load}] 
set_false_path -to [get_ports {max_error}]
set_false_path -to [get_ports {max_load}]
set_false_path -to [get_ports {overtemp}]
set_false_path -to [get_ports {fpga_nconfig}]
set_false_path -to [get_ports {pgm_led[*]}]
set_false_path -to [get_ports {cpu_resetn}]
set_false_path -from [get_ports {cpu_resetn}]
set_false_path -from [get_ports {max_resetn}]

set_false_path -to [get_ports {fpga_avst_valid}]
set_false_path -from [get_ports {fpga_avst_ready}]

#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

