
module pfl2 (
	avst_valid,
	avst_ready,
	avst_data,
	avst_clk,
	flash_addr,
	flash_data,
	flash_nce,
	flash_noe,
	flash_nreset,
	flash_nwe,
	fpga_conf_done,
	fpga_nconfig,
	fpga_nstatus,
	fpga_pgm,
	pfl_clk,
	pfl_flash_access_granted,
	pfl_flash_access_request,
	pfl_nreconfigure,
	pfl_nreset);	

	output		avst_valid;
	input		avst_ready;
	output	[15:0]	avst_data;
	output		avst_clk;
	output	[25:0]	flash_addr;
	inout	[15:0]	flash_data;
	output		flash_nce;
	output		flash_noe;
	output		flash_nreset;
	output		flash_nwe;
	input		fpga_conf_done;
	output		fpga_nconfig;
	input		fpga_nstatus;
	input	[2:0]	fpga_pgm;
	input		pfl_clk;
	input		pfl_flash_access_granted;
	output		pfl_flash_access_request;
	input		pfl_nreconfigure;
	input		pfl_nreset;
endmodule
