	component q_sys is
		port (
			clk_clk                                : in    std_logic                     := 'X';             -- clk
			opencores_i2c_0_export_0_scl_pad_io    : inout std_logic                     := 'X';             -- scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io    : inout std_logic                     := 'X';             -- sda_pad_io
			opencores_i2c_0_over_temp_export       : in    std_logic                     := 'X';             -- export
			opencores_i2c_0_slow_clock_slow_clock  : in    std_logic                     := 'X';             -- slow_clock
			pio_ch_data_external_connection_export : in    std_logic_vector(31 downto 0) := (others => 'X'); -- export
			pio_ch_no_external_connection_export   : out   std_logic_vector(2 downto 0);                     -- export
			reset_reset_n                          : in    std_logic                     := 'X';             -- reset_n
			system_max_id_0_control_gui_export     : out   std_logic_vector(7 downto 0);                     -- export
			system_max_id_0_cpu_resetn_export      : out   std_logic;                                        -- export
			system_max_id_0_diff_raw_export        : in    std_logic_vector(23 downto 0) := (others => 'X'); -- export
			system_max_id_0_fpga_pgm_export        : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- export
			system_max_id_0_fpga_reconfign_export  : out   std_logic;                                        -- export
			system_max_id_0_i2c_inf_sw_export      : out   std_logic;                                        -- export
			system_max_id_0_page_sel_export        : out   std_logic_vector(3 downto 0);                     -- export
			system_max_id_0_page_sel_pb_export     : in    std_logic                     := 'X';             -- export
			system_max_id_0_project_id_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			system_max_id_0_single_raw_export      : in    std_logic_vector(23 downto 0) := (others => 'X'); -- export
			system_max_id_0_temp_data_export       : out   std_logic_vector(7 downto 0);                     -- export
			system_max_id_0_version_export         : in    std_logic_vector(15 downto 0) := (others => 'X')  -- export
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_clk                                => CONNECTED_TO_clk_clk,                                --                             clk.clk
			opencores_i2c_0_export_0_scl_pad_io    => CONNECTED_TO_opencores_i2c_0_export_0_scl_pad_io,    --        opencores_i2c_0_export_0.scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io    => CONNECTED_TO_opencores_i2c_0_export_0_sda_pad_io,    --                                .sda_pad_io
			opencores_i2c_0_over_temp_export       => CONNECTED_TO_opencores_i2c_0_over_temp_export,       --       opencores_i2c_0_over_temp.export
			opencores_i2c_0_slow_clock_slow_clock  => CONNECTED_TO_opencores_i2c_0_slow_clock_slow_clock,  --      opencores_i2c_0_slow_clock.slow_clock
			pio_ch_data_external_connection_export => CONNECTED_TO_pio_ch_data_external_connection_export, -- pio_ch_data_external_connection.export
			pio_ch_no_external_connection_export   => CONNECTED_TO_pio_ch_no_external_connection_export,   --   pio_ch_no_external_connection.export
			reset_reset_n                          => CONNECTED_TO_reset_reset_n,                          --                           reset.reset_n
			system_max_id_0_control_gui_export     => CONNECTED_TO_system_max_id_0_control_gui_export,     --     system_max_id_0_control_gui.export
			system_max_id_0_cpu_resetn_export      => CONNECTED_TO_system_max_id_0_cpu_resetn_export,      --      system_max_id_0_cpu_resetn.export
			system_max_id_0_diff_raw_export        => CONNECTED_TO_system_max_id_0_diff_raw_export,        --        system_max_id_0_diff_raw.export
			system_max_id_0_fpga_pgm_export        => CONNECTED_TO_system_max_id_0_fpga_pgm_export,        --        system_max_id_0_fpga_pgm.export
			system_max_id_0_fpga_reconfign_export  => CONNECTED_TO_system_max_id_0_fpga_reconfign_export,  --  system_max_id_0_fpga_reconfign.export
			system_max_id_0_i2c_inf_sw_export      => CONNECTED_TO_system_max_id_0_i2c_inf_sw_export,      --      system_max_id_0_i2c_inf_sw.export
			system_max_id_0_page_sel_export        => CONNECTED_TO_system_max_id_0_page_sel_export,        --        system_max_id_0_page_sel.export
			system_max_id_0_page_sel_pb_export     => CONNECTED_TO_system_max_id_0_page_sel_pb_export,     --     system_max_id_0_page_sel_pb.export
			system_max_id_0_project_id_export      => CONNECTED_TO_system_max_id_0_project_id_export,      --      system_max_id_0_project_id.export
			system_max_id_0_single_raw_export      => CONNECTED_TO_system_max_id_0_single_raw_export,      --      system_max_id_0_single_raw.export
			system_max_id_0_temp_data_export       => CONNECTED_TO_system_max_id_0_temp_data_export,       --       system_max_id_0_temp_data.export
			system_max_id_0_version_export         => CONNECTED_TO_system_max_id_0_version_export          --         system_max_id_0_version.export
		);

